// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 371);
/******/ })
/************************************************************************/
/******/ ({

/***/ 284:
/***/ (function(module, exports) {

module.exports = {
  "weui-switch": {
    "position": "relative",
    "width": "70",
    "height": "38",
    "outline": 0,
    "borderRadius": "19"
  },
  "cycle": {
    "content": "\" \"",
    "position": "absolute",
    "top": "1",
    "left": "1",
    "width": "36",
    "height": "36",
    "borderRadius": "18",
    "backgroundColor": "#ffffff"
  },
  "weui-switch-close": {
    "border": "1px solid #D6D7DC",
    "backgroundColor": "#D6D7DC"
  },
  "weui-switch-on": {
    "borderColor": "#3F80CC",
    "backgroundColor": "#3F80CC"
  }
}

/***/ }),

/***/ 285:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
    props: {
        value: {
            type: Boolean,
            default: true
        },
        visible: {
            default: true
        },
        userId: {
            type: String,
            default: -1
        },
        init: {
            default: false
        },
        isClick: {
            default: true
        }
    },
    data: function data() {
        return {
            shift: ''
        };
    },

    watch: {},
    methods: {
        toggle: function toggle(init) {
            var cycleDiv = this.$refs.cycle;
            this.value = !this.value;
            animation.transition(cycleDiv, {
                styles: {
                    transform: this.value ? 'translateX(32)' : 'translateX(0)'
                },
                duration: 200, //ms
                timingFunction: 'ease',
                needLayout: false,
                delay: 0 //ms
            });

            if (!init) {
                this.$emit('change', { bindUserId: this.userId, checked: this.value });
            }
        }
    },
    mounted: function mounted() {
        //            this.toggle(true);
    }
};

/***/ }),

/***/ 286:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      height: "40px",
      width: "92px"
    },
    on: {
      "click": function($event) {
        _vm.toggle(false)
      }
    }
  }, [_c('span', {
    staticClass: ["weui-switch"],
    class: [_vm.value ? 'weui-switch-on' : 'weui-switch-close'],
    attrs: {
      "value": _vm.value
    },
    on: {
      "click": function($event) {
        _vm.toggle(false)
      }
    }
  }), _c('div', {
    ref: "cycle",
    staticClass: ["cycle"],
    style: {
      'transform': _vm.value ? 'translateX(32)' : 'translateX(0)'
    },
    on: {
      "click": function($event) {
        _vm.toggle(false)
      }
    }
  })])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 371:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(284)
)

/* script */
__vue_exports__ = __webpack_require__(285)

/* template */
var __vue_template__ = __webpack_require__(286)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\myswitch.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-b7a76db2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });