// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 372);
/******/ })
/************************************************************************/
/******/ ({

/***/ 292:
/***/ (function(module, exports) {

module.exports = {
  "limg": {
    "width": 32,
    "height": 46
  },
  "refresh": {
    "height": 128,
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "refreshText": {
    "color": "#888888",
    "fontSize": 30
  },
  "indicator": {
    "color": "#888888",
    "height": 40,
    "width": 40,
    "marginRight": 10
  },
  "panel": {
    "width": "600",
    "height": "250",
    "marginLeft": "75",
    "marginTop": "35",
    "marginBottom": "35",
    "flexDirection": "column",
    "justifyContent": "center",
    "borderWidth": "2",
    "borderStyle": "solid",
    "borderColor": "#DDDDDD",
    "backgroundColor": "#F5F5F5"
  },
  "text": {
    "fontSize": "50",
    "textAlign": "center",
    "color": "#41B883"
  }
}

/***/ }),

/***/ 293:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//


exports.default = {
    props: {
        width: {
            default: 750
        }
    },
    data: function data() {
        return {
            rtext: '下拉以加载',
            updatetime: '没有更新',
            offset: 0,
            deg: 20,
            refreshing: false,
            pulldistance: 135,
            hasrotate: false,
            key: "ky" + Math.random()
        };
    },

    methods: {
        animateArrow: function animateArrow(deg) {
            var animation = weex.requireModule('animation');
            var arrow = this.$refs.arrow;
            //                var deg=this.hasrotate?180:0

            animation.transition(arrow, {
                styles: {
                    transform: "rotate(" + deg + "deg" + ")"
                },

                duration: 150, //ms
                timingFunction: 'ease',
                delay: 0 //ms
            }, function () {});
        },
        onrefresh: function onrefresh(event) {
            var _this = this;

            if (this.offset >= this.pulldistance) {
                this.refreshing = true;
                this.rtext = "加载中";
                setTimeout(function () {
                    _this.$emit('onRefresh');
                }, 1000);
            }
        },
        end: function end() {
            this.refreshing = false;
            this.updatetime = this.getNowFormatDate();
        },
        onpullingdown: function onpullingdown(event) {

            var dis = event.pullingDistance;
            if (dis < 0) dis *= -1;
            this.offset = dis;

            if (this.refreshing == false) {

                if (dis > this.pulldistance) {
                    this.rtext = "松开刷新";
                    this.deg = 180;
                    this.hasrotate = false;
                    this.animateArrow(180);
                } else {
                    var p = dis / this.pulldistance;
                    if (p > 1) p == 1;
                    this.deg = p * 180;
                    this.animateArrow(0);
                    this.rtext = '下拉以加载';
                }
            }
        },
        getNowFormatDate: function getNowFormatDate() {
            var date = new Date();
            var seperator1 = "-";
            var seperator2 = ":";
            var month = date.getMonth() + 1;
            var strDate = date.getDate();
            var min = date.getMinutes();
            var secon = date.getSeconds();
            if (month >= 1 && month <= 9) {
                month = "0" + month;
            }
            if (strDate >= 0 && strDate <= 9) {
                strDate = "0" + strDate;
            }
            if (min >= 0 && min <= 9) {
                min = "0" + min;
            }
            if (secon >= 0 && secon <= 9) {
                secon = "0" + secon;
            }

            var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate + " " + date.getHours() + seperator2 + min + seperator2 + secon;
            return currentdate;
        }
    },

    created: function created() {}
};

/***/ }),

/***/ 294:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('refresh', {
    key: _vm.key,
    staticClass: ["refresh"],
    style: {
      'width': _vm.width
    },
    attrs: {
      "id": "rex",
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh,
      "pullingdown": _vm.onpullingdown
    }
  }, [_c('div', {
    staticStyle: {
      flexDirection: "row",
      alignItems: "center",
      justifyContent: "center"
    }
  }, [(_vm.refreshing) ? _c('floading', {
    staticClass: ["indicator"],
    attrs: {
      "color": "#555555"
    }
  }) : _vm._e(), (!_vm.refreshing) ? _c('image', {
    ref: "arrow",
    staticClass: ["limg"],
    attrs: {
      "src": "root:img/pull_arrow.png"
    }
  }) : _vm._e(), _c('div', {
    staticStyle: {
      alignItems: "center"
    }
  }, [_c('text', {
    staticClass: ["refreshText"]
  }, [_vm._v(_vm._s(_vm.rtext))])])], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 372:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(292)
)

/* script */
__vue_exports__ = __webpack_require__(293)

/* template */
var __vue_template__ = __webpack_require__(294)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\pullrefresh.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-8f4fc102"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });