// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 396);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof2 = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; /**
                                                                                                                                                                                                                                                                                * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
                                                                                                                                                                                                                                                                                * Created by Tw93 on 17/11/01
                                                                                                                                                                                                                                                                                */

var _urlParse = __webpack_require__(6);

var _urlParse2 = _interopRequireDefault(_urlParse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Utils = {
  UrlParser: _urlParse2.default,
  _typeof: function _typeof(obj) {
    return Object.prototype.toString.call(obj).slice(8, -1).toLowerCase();
  },
  isPlainObject: function isPlainObject(obj) {
    return Utils._typeof(obj) === 'object';
  },
  isString: function isString(obj) {
    return typeof obj === 'string';
  },
  isNonEmptyArray: function isNonEmptyArray() {
    var obj = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

    return obj && obj.length > 0 && Array.isArray(obj) && typeof obj !== 'undefined';
  },
  isObject: function isObject(item) {
    return item && (typeof item === 'undefined' ? 'undefined' : _typeof2(item)) === 'object' && !Array.isArray(item);
  },
  isEmptyObject: function isEmptyObject(obj) {
    return Object.keys(obj).length === 0 && obj.constructor === Object;
  },
  decodeIconFont: function decodeIconFont(text) {
    // 正则匹配 图标和文字混排 eg: 我去上学校&#xe600;,天天不&#xe600;迟到
    var regExp = /&#x[a-z|0-9]{4,5};?/g;
    if (regExp.test(text)) {
      return text.replace(new RegExp(regExp, 'g'), function (iconText) {
        var replace = iconText.replace(/&#x/, '0x').replace(/;$/, '');
        return String.fromCharCode(replace);
      });
    } else {
      return text;
    }
  },
  mergeDeep: function mergeDeep(target) {
    for (var _len = arguments.length, sources = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      sources[_key - 1] = arguments[_key];
    }

    if (!sources.length) return target;
    var source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (var key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, _defineProperty({}, key, {}));
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, _defineProperty({}, key, source[key]));
        }
      }
    }
    return Utils.mergeDeep.apply(Utils, [target].concat(sources));
  },
  appendProtocol: function appendProtocol(url) {
    if (/^\/\//.test(url)) {
      var bundleUrl = weex.config.bundleUrl;

      return 'http' + (/^https:/.test(bundleUrl) ? 's' : '') + ':' + url;
    }
    return url;
  },
  encodeURLParams: function encodeURLParams(url) {
    var parsedUrl = new _urlParse2.default(url, true);
    return parsedUrl.toString();
  },
  goToH5Page: function goToH5Page(jumpUrl) {
    var animated = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    var callback = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

    var Navigator = weex.requireModule('navigator');
    var jumpUrlObj = new Utils.UrlParser(jumpUrl, true);
    var url = Utils.appendProtocol(jumpUrlObj.toString());
    Navigator.push({
      url: Utils.encodeURLParams(url),
      animated: animated.toString()
    }, callback);
  },

  env: {
    isTaobao: function isTaobao() {
      var appName = weex.config.env.appName;

      return (/(tb|taobao|淘宝)/i.test(appName)
      );
    },
    isTrip: function isTrip() {
      var appName = weex.config.env.appName;

      return appName === 'LX';
    },
    isBoat: function isBoat() {
      var appName = weex.config.env.appName;

      return appName === 'Boat' || appName === 'BoatPlayground';
    },
    isWeb: function isWeb() {
      var platform = weex.config.env.platform;

      return (typeof window === 'undefined' ? 'undefined' : _typeof2(window)) === 'object' && platform.toLowerCase() === 'web';
    },
    isIOS: function isIOS() {
      var platform = weex.config.env.platform;

      return platform.toLowerCase() === 'ios';
    },

    /**
     * 是否为 iPhone X
     * @returns {boolean}
     */
    isIPhoneX: function isIPhoneX() {
      var deviceHeight = weex.config.env.deviceHeight;

      if (Utils.env.isWeb()) {
        return (typeof window === 'undefined' ? 'undefined' : _typeof2(window)) !== undefined && window.screen && window.screen.width && window.screen.height && parseInt(window.screen.width, 10) === 375 && parseInt(window.screen.height, 10) === 812;
      }
      return Utils.env.isIOS() && deviceHeight === 2436;
    },
    isAndroid: function isAndroid() {
      var platform = weex.config.env.platform;

      return platform.toLowerCase() === 'android';
    },
    isAlipay: function isAlipay() {
      var appName = weex.config.env.appName;

      return appName === 'AP';
    },
    isTmall: function isTmall() {
      var appName = weex.config.env.appName;

      return (/(tm|tmall|天猫)/i.test(appName)
      );
    },
    isAliWeex: function isAliWeex() {
      return Utils.env.isTmall() || Utils.env.isTrip() || Utils.env.isTaobao();
    },
    supportsEB: function supportsEB() {
      var weexVersion = weex.config.env.weexVersion || '0';
      var isHighWeex = Utils.compareVersion(weexVersion, '0.10.1.4') && (Utils.env.isIOS() || Utils.env.isAndroid());
      var expressionBinding = weex.requireModule('expressionBinding');
      return expressionBinding && expressionBinding.enableBinding && isHighWeex;
    },


    /**
     * 判断Android容器是否支持是否支持expressionBinding(处理方式很不一致)
     * @returns {boolean}
     */
    supportsEBForAndroid: function supportsEBForAndroid() {
      return Utils.env.isAndroid() && Utils.env.supportsEB();
    },


    /**
     * 判断IOS容器是否支持是否支持expressionBinding
     * @returns {boolean}
     */
    supportsEBForIos: function supportsEBForIos() {
      return Utils.env.isIOS() && Utils.env.supportsEB();
    },


    /**
     * 获取weex屏幕真实的设置高度，需要减去导航栏高度
     * @returns {Number}
     */
    getPageHeight: function getPageHeight() {
      var env = weex.config.env;

      var navHeight = Utils.env.isWeb() ? 0 : Utils.env.isIPhoneX() ? 176 : 132;
      return env.deviceHeight / env.deviceWidth * 750 - navHeight;
    }
  },

  /**
   * 版本号比较
   * @memberOf Utils
   * @param currVer {string}
   * @param promoteVer {string}
   * @returns {boolean}
   * @example
   *
   * const { Utils } = require('@ali/wx-bridge');
   * const { compareVersion } = Utils;
   * console.log(compareVersion('0.1.100', '0.1.11')); // 'true'
   */
  compareVersion: function compareVersion() {
    var currVer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '0.0.0';
    var promoteVer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '0.0.0';

    if (currVer === promoteVer) return true;
    var currVerArr = currVer.split('.');
    var promoteVerArr = promoteVer.split('.');
    var len = Math.max(currVerArr.length, promoteVerArr.length);
    for (var i = 0; i < len; i++) {
      var proVal = ~~promoteVerArr[i];
      var curVal = ~~currVerArr[i];
      if (proVal < curVal) {
        return true;
      } else if (proVal > curVal) {
        return false;
      }
    }
    return false;
  },

  /**
   * 分割数组
   * @param arr 被分割数组
   * @param size 分割数组的长度
   * @returns {Array}
   */
  arrayChunk: function arrayChunk() {
    var arr = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    var size = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 4;

    var groups = [];
    if (arr && arr.length > 0) {
      groups = arr.map(function (e, i) {
        return i % size === 0 ? arr.slice(i, i + size) : null;
      }).filter(function (e) {
        return e;
      });
    }
    return groups;
  },
  truncateString: function truncateString(str, len) {
    var hasDot = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

    var newLength = 0;
    var newStr = '';
    var singleChar = '';
    var chineseRegex = /[^\x00-\xff]/g;
    var strLength = str.replace(chineseRegex, '**').length;
    for (var i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  }
};

exports.default = Utils;

/***/ }),

/***/ 10:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(82);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(83);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 113:
/***/ (function(module, exports) {

module.exports = {
  "wxc-city": {
    "position": "fixed",
    "width": "750",
    "top": 0,
    "left": "750",
    "right": 0,
    "bottom": 0,
    "backgroundColor": "#F2F3F4"
  },
  "top": {
    "backgroundColor": "#3F80CC",
    "height": "40"
  },
  "full-top": {
    "backgroundColor": "#3F80CC",
    "height": "80"
  }
}

/***/ }),

/***/ 114:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _defaultData = __webpack_require__(47);

var _defaultData2 = _interopRequireDefault(_defaultData);

var _util = __webpack_require__(115);

var Util = _interopRequireWildcard(_util);

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

var _tab = __webpack_require__(116);

var _tab2 = _interopRequireDefault(_tab);

var _wxcSearchbar = __webpack_require__(10);

var _wxcSearchbar2 = _interopRequireDefault(_wxcSearchbar);

var _wxcResult = __webpack_require__(11);

var _wxcResult2 = _interopRequireDefault(_wxcResult);

var _wxcIndexlist = __webpack_require__(12);

var _wxcIndexlist2 = _interopRequireDefault(_wxcIndexlist);

var _wxcMinibar = __webpack_require__(2);

var _wxcMinibar2 = _interopRequireDefault(_wxcMinibar);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
var modal = weex.requireModule('modal');
exports.default = {
    components: { wxcTab: _tab2.default, WxcSearchbar: _wxcSearchbar2.default, WxcResult: _wxcResult2.default, WxcIndexlist: _wxcIndexlist2.default, WxcMinibar: _wxcMinibar2.default },
    props: {
        inputConfig: {
            type: Object,
            default: function _default() {
                return {};
            }
        },
        sourceData: {
            type: Object,
            default: _defaultData2.default
        },
        cityStyleType: {
            type: Object,
            default: 'list'
        },
        currentLocation: {
            type: Object,
            default: '定位中'
        },
        areaId: {
            type: String,
            default: ''
        },
        cityHeight: {
            type: Number,
            default: 0
        },
        showTab: {
            type: Boolean,
            default: false
        },
        showIndex: {
            type: Boolean,
            default: true
        },
        // 是否单选
        single: {
            type: Boolean,
            default: true
        },
        minibarShow: {
            type: Boolean,
            default: true
        },
        centerTitle: {
            type: String,
            default: ''
        },
        rightText: {
            type: String,
            default: ''
        },
        leftText: {
            type: String,
            default: ''
        }
    },
    data: function data() {
        return {
            tId: null,
            saveDefaultSourceData: {},
            onlyShowList: false,
            result: {
                noGoods: {
                    pic: 'https://img.alicdn.com/tfs/TB1SpPHkf2H8KJjy0FcXXaDlFXa-200-200.png',
                    button: '',
                    content: '搜索无结果'
                }
            },
            currentIndex: -1,
            checkedItem: [],
            text: '',
            isFullScreen: ''
        };
    },
    created: function created() {
        this.isFullScreen = this.getIsFullScreen();
        this.saveDefaultSourceData = this.sourceData;
    },

    computed: {
        currentCityLocationConfig: function currentCityLocationConfig() {
            return {
                type: this.cityStyleType,
                title: '定位',
                list: [{ name: this.currentLocation, areaId: this.areaId, isLocation: true }]
            };
        },
        normalList: function normalList() {
            return Util.getCities(this.sourceData.cities);
        },
        hotListConfig: function hotListConfig() {
            return {
                type: this.cityStyleType,
                title: '热门',
                list: Util.getCities(this.sourceData.hotCity)
            };
        },
        showError: function showError() {
            var normalList = this.normalList,
                hotListConfig = this.hotListConfig;

            return normalList && normalList.length < 1 && hotListConfig && hotListConfig.list && hotListConfig.list.length < 1;
        },
        listHeight: function listHeight() {
            // 兼容去头逻辑
            var pageHeight = _utils2.default.env.getPageHeight();

            var cityHeight = this.cityHeight;

            if (cityHeight && !isNaN(cityHeight) && cityHeight > 0) {
                pageHeight = cityHeight;
            }
            // searchInput 84
            var tabHeight = this.showTab ? 90 : 0;
            return pageHeight - 84 - tabHeight;
        },
        mergeInputConfig: function mergeInputConfig() {
            return _extends({
                autofocus: false,
                alwaysShowCancel: true,
                placeholder: '中文/拼音/首字母'
            }, this.inputConfig);
        }
    },
    methods: {
        minibarRightButtonClick: function minibarRightButtonClick(e) {
            this.$emit('gxtRightClick', e);
        },
        minibarLeftButtonClick: function minibarLeftButtonClick(e) {
            this.$emit('gxtLeftClick', e);
        },
        onTabSwitch: function onTabSwitch(e) {
            this.$emit('wxcTabSwitch', e);
        },
        switchTab: function switchTab() {
            var _this = this;

            var i = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;

            setTimeout(function () {
                _this.$refs['wxc-tab'].switchTab(i);
            }, 100);
        },
        onItemClick: function onItemClick(e) {
            var single = this.single;
            this.$refs['wxc-searchbar'].autoBlur();
            if (!single) {
                if (this.checkedItem.length <= 4) {
                    this.currentIndex = e.vData[e.index];
                    if (e.vData[e.index].active == true) {
                        this.$set(e.vData[e.index], 'active', false);
                        var v = e.vData[e.index].areaId;
                        this.text = this.checkedItem.findIndex(function (v) {
                            return v == e.vData[e.index].areaId;
                        });
                        this.checkedItem.splice(this.text, 1);
                    } else {
                        this.$set(e.vData[e.index], 'active', true);
                    }
                    if (e.vData[e.index].active == true) {
                        var checkedItemLength = this.checkedItem.length;
                        for (var i = 0; i < checkedItemLength; i++) {
                            if (e.vData[e.index].areaId == this.checkedItem[i]) {
                                this.$set(e.vData[e.index], 'active', false);
                                this.checkedItem.splice(i, 1);
                                modal.toast({ message: '请勿重复选择报价地区', duration: 0.3 });
                            }
                        }
                        this.checkedItem.push(e.vData[e.index].areaId);
                    }
                    var resultarr = [].concat(_toConsumableArray(new Set(this.checkedItem)));
                    this.$emit('wxcCityItemSelected', resultarr);
                } else {
                    this.currentIndex = e.vData[e.index];
                    if (e.vData[e.index].active == true) {
                        this.$set(e.vData[e.index], 'active', false);
                        var _v = e.vData[e.index].areaId;
                        this.text = this.checkedItem.findIndex(function (v) {
                            return v == e.vData[e.index].areaId;
                        });
                        this.checkedItem.splice(this.text, 1);
                    }
                    var _resultarr = [].concat(_toConsumableArray(new Set(this.checkedItem)));
                    this.$emit('wxcCityItemSelected', _resultarr);
                }
            } else {
                this.show(false);
                this.$emit('wxcCityItemSelected', { item: e.item });
            }
        },
        onInput: function onInput(e) {
            var _this2 = this;

            clearTimeout(this.tId);
            var cities = this.sourceData.cities;
            var value = e.value;

            if (value !== '' && cities && cities.length > 0) {
                var queryData = Util.query(cities, String(value).trim());
                this.sourceData = {
                    cities: queryData,
                    hotCity: []
                };
                this.onlyShowList = true;
            } else {
                this.sourceData = this.saveDefaultSourceData;
                this.onlyShowList = false;
            }
            this.tId = setTimeout(function () {
                _this2.$emit('wxcCityOnInput', {
                    value: e.value
                });
            }, 300);
        },
        onCancel: function onCancel() {
            this.autoBlur();
            this.show(false);
            this.$emit('wxcCityCanceled', {});
        },
        onSubmit: function onSubmit(e) {
            this.autoBlur();
            this.$emit('wxcCityOnKeyUpEnter', { value: e.value });
        },
        autoBlur: function autoBlur() {
            var inputRef = this.$refs['wxc-searchbar'];
            inputRef && inputRef.autoBlur();
        },
        show: function show() {
            var status = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
            var callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;

            animation.transition(this.$refs.city, {
                styles: {
                    transform: 'translateX(' + (status ? -750 : 750) + 'px)'
                },
                duration: status ? 250 : 300, // ms
                timingFunction: status ? 'ease-in' : 'ease-out',
                delay: 0 // ms
            }, function () {
                callback && callback();
            });
        }
    }
};

/***/ }),

/***/ 115:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCities = getCities;
exports.query = query;

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getCities(list) {
  var showDesc = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  if (list && list.length > 0) {
    var result = list.map(function (v) {
      var o = Object.assign({}, v);

      if (o.suggestName) {
        o.name = o.suggestName;
      }

      if (o.stationName && !o.name) {
        o.name = o.stationName;
      }

      if (o.cityName && !o.name) {
        o.name = o.cityName;
      }

      if (o.code && showDesc) {
        o.desc = o.code;
      }
      return o;
    });
    return result;
  } else {
    return [];
  }
}

function query(source, text) {
  var res = [];
  res = source.filter(function (item) {
    var arr = [];
    var isHave = false;
    Object.keys(item).forEach(function (prop) {
      var itemStr = item[prop];
      _utils2.default.isString(itemStr) && itemStr.split(',').forEach(function (val) {
        arr.push(val);
      });
    });
    arr.some(function (val) {
      isHave = new RegExp('^' + text).test(val);
      return isHave;
    });
    return isHave;
  });
  return res;
}

/***/ }),

/***/ 116:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(79)
)

/* script */
__vue_exports__ = __webpack_require__(80)

/* template */
var __vue_template__ = __webpack_require__(81)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\weexui\\packages\\wxc-city\\tab.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-009b8404"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 117:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    ref: "city",
    staticClass: ["wxc-city"]
  }, [_c('div', {
    class: [_vm.isFullScreen ? 'full-top' : 'top']
  }), _c('wxc-minibar', {
    staticStyle: {
      height: "88px",
      fontSize: "32px"
    },
    attrs: {
      "title": _vm.centerTitle,
      "rightText": _vm.rightText,
      "leftText": _vm.leftText,
      "backgroundColor": "#3B7ECF",
      "textColor": "#FFFFFF",
      "show": _vm.minibarShow
    },
    on: {
      "wxcMinibarRightButtonClicked": _vm.minibarRightButtonClick,
      "wxcMinibarLeftButtonClicked": _vm.onCancel
    }
  }), _c('wxc-searchbar', _vm._b({
    ref: "wxc-searchbar",
    on: {
      "wxcSearchbarInputOnInput": _vm.onInput,
      "wxcSearchbarInputReturned": _vm.onSubmit,
      "wxcSearchbarCancelClicked": _vm.onCancel
    }
  }, 'wxc-searchbar', _vm.mergeInputConfig, false)), (_vm.showTab) ? _c('wxc-tab', {
    ref: "wxc-tab",
    on: {
      "wxcTabSwitch": _vm.onTabSwitch
    }
  }) : _vm._e(), _c('wxc-indexlist', {
    attrs: {
      "normalList": _vm.normalList,
      "hotListConfig": _vm.hotListConfig,
      "navStyle": {
        top: '24px'
      },
      "height": _vm.listHeight,
      "showIndex": _vm.showIndex,
      "onlyShowList": _vm.onlyShowList,
      "currentIndex": _vm.currentIndex,
      "cityLocationConfig": _vm.currentCityLocationConfig
    },
    on: {
      "wxcIndexlistItemClicked": _vm.onItemClick
    }
  }), (_vm.showError) ? _c('wxc-result', {
    attrs: {
      "type": "noGoods",
      "wrapStyle": {
        top: '212px'
      },
      "show": true,
      "customSet": _vm.result
    }
  }) : _vm._e()], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(84);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 13:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GxtSwipe = exports.GxtResult = exports.GxtHeader = exports.GxtIcon = undefined;

var _gxtIcon = __webpack_require__(4);

var _gxtIcon2 = _interopRequireDefault(_gxtIcon);

var _gxtHeader = __webpack_require__(32);

var _gxtHeader2 = _interopRequireDefault(_gxtHeader);

var _gxtResult = __webpack_require__(34);

var _gxtResult2 = _interopRequireDefault(_gxtResult);

var _gxtSwipe = __webpack_require__(36);

var _gxtSwipe2 = _interopRequireDefault(_gxtSwipe);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 17/09/25
 */

exports.GxtIcon = _gxtIcon2.default;
exports.GxtHeader = _gxtHeader2.default;
exports.GxtResult = _gxtResult2.default;
exports.GxtSwipe = _gxtSwipe2.default;

/***/ }),

/***/ 15:
/***/ (function(module, exports) {

module.exports = {
  "icon-font": {
    "color": "#e5e5e5",
    "fontSize": "48",
    "fontFamily": "iconfont",
    "backgroundColor:active": "#3377c6"
  },
  "icon-font-noActive": {
    "color": "#e5e5e5",
    "fontSize": "48",
    "fontFamily": "iconfont"
  }
}

/***/ }),

/***/ 16:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _type = __webpack_require__(17);

var _type2 = _interopRequireDefault(_type);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  props: {
    name: {
      default: 'email',
      type: String
    },
    activeClass: {
      default: true
    }

  },
  data: function data() {
    return {
      Icon: _type2.default
    };
  },
  beforeCreate: function beforeCreate() {

    var font = weex.requireModule("font");
    font.addFont('iconfont', 'root:font/iconfont.ttf');
    // font.addFont('iconfont','http://at.alicdn.com/t/font_610017_2l8hxok1k8c.ttf');
  },

  methods: {
    itemClicked: function itemClicked(name) {
      this.$emit('gxtIconClicked', {
        name: name
      });
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _passwordSee$password;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = (_passwordSee$password = {
  passwordSee: '\uE626',
  passwordNosee: '\uE625',
  email: '\uE623',
  swechat: '\uE63A',
  user: '\uE601',
  message: '\uE743',
  historyList: '\uE620',
  doubleMessage: '\uE62F',
  back: '\uE621',
  search: '\uE71E',
  //微信
  wechat: '\uE63E',
  //验证码
  verificationCode: '\uE632',
  //材料名称
  dataName: '\uE64B',
  //规格型号
  format: '\uE64F',
  //品牌要求
  brands: '\uE64D',
  //工程用量
  projectUsage: '\uE64E',
  //报价地区
  area: '\uE64A',
  //盖章报价
  stamp: '\uE648',
  //图纸附件
  annex: '\uE649',
  //备注说明
  remark: '\uE647',
  //向右箭头
  rightArrow: '\uE62D',
  //右三角形
  rightTriangle: '\uE67D',
  //左三角形
  leftTriangle: '\uE67E',
  //聊天语音
  chatVoice: '\uE629',
  //聊天表情
  chatMoji: '\uE602',
  //聊天加号
  chatAdd: '\uE645',
  //账户登录
  accountLogin: '\uE636',
  //五角星
  star: '\uE64C',
  //2018-5-21
  //提现
  withdraw: '\uE670',
  // 积分明细
  scoreDetail: '\uE66F',
  // 充值
  recharge: '\uE66E',
  // 积分商城
  scoreMall: '\uE66D',
  // 员工管理
  employeeManage: '\uE66C',
  // 充值成功
  rechargeSuccess: '\uE66B',
  // 小键盘
  littleKeyboard: '\uE66A',
  // 表情
  Expression: '\uE669',
  // 添加
  add: '\uE668',
  // 系统通知
  systemNotice: '\uE667'
}, _defineProperty(_passwordSee$password, 'search', '\uE666'), _defineProperty(_passwordSee$password, 'personalCenter', '\uE665'), _defineProperty(_passwordSee$password, 'pendingEvaluate', '\uE664'), _defineProperty(_passwordSee$password, 'pendingOrder', '\uE663'), _defineProperty(_passwordSee$password, 'date', '\uE662'), _defineProperty(_passwordSee$password, 'billStatus', '\uE661'), _defineProperty(_passwordSee$password, 'pendingOffer', '\uE660'), _defineProperty(_passwordSee$password, 'all', '\uE65F'), _defineProperty(_passwordSee$password, 'pendingBill', '\uE65E'), _defineProperty(_passwordSee$password, 'position', '\uE65D'), _defineProperty(_passwordSee$password, 'inquiry', '\uE675'), _defineProperty(_passwordSee$password, 'selectInquiry', '\uE659'), _defineProperty(_passwordSee$password, 'notice', '\uE676'), _defineProperty(_passwordSee$password, 'selectNotice', '\uE65A'), _defineProperty(_passwordSee$password, 'qiangdan', '\uE656'), _defineProperty(_passwordSee$password, 'qiangdaning', '\uE655'), _defineProperty(_passwordSee$password, 'selectAll', '\uE653'), _defineProperty(_passwordSee$password, 'evaluate', '\uE652'), _defineProperty(_passwordSee$password, 'gotoEvaluate', '\uE650'), _defineProperty(_passwordSee$password, 'myCompany', '\uE640'), _defineProperty(_passwordSee$password, 'companyCertification', '\uE63F'), _defineProperty(_passwordSee$password, 'feedback', '\uE63D'), _defineProperty(_passwordSee$password, 'switchMode', '\uE63B'), _defineProperty(_passwordSee$password, 'mimabukejian', '\uE639'), _defineProperty(_passwordSee$password, 'mimakejian', '\uE637'), _defineProperty(_passwordSee$password, 'yanzhengmacuowu', '\uE635'), _defineProperty(_passwordSee$password, 'zhucechenggong', '\uE634'), _defineProperty(_passwordSee$password, 'zhanghuqingchu', '\uE633'), _defineProperty(_passwordSee$password, 'serviceCenter', '\uE631'), _defineProperty(_passwordSee$password, 'scan', '\uE630'), _defineProperty(_passwordSee$password, 'addInquiry', '\uE65B'), _defineProperty(_passwordSee$password, 'close', '\uE603'), _defineProperty(_passwordSee$password, 'confirm', '\uE638'), _defineProperty(_passwordSee$password, 'alipay', '\uE622'), _defineProperty(_passwordSee$password, 'wxpay', '\uE604'), _defineProperty(_passwordSee$password, 'myWallet', '\uE643'), _defineProperty(_passwordSee$password, 'unSelect', '\uE618'), _defineProperty(_passwordSee$password, 'delete', '\uE642'), _defineProperty(_passwordSee$password, 'score', '\uE641'), _defineProperty(_passwordSee$password, 'setting', '\uE63C'), _defineProperty(_passwordSee$password, 'profilePhoto', '\uE614'), _defineProperty(_passwordSee$password, 'offerSetting', '\uE672'), _defineProperty(_passwordSee$password, 'supplyCompany', '\uE673'), _defineProperty(_passwordSee$password, 'myCredit', '\uE674'), _defineProperty(_passwordSee$password, 'qdqing', '\uE679'), _passwordSee$password);

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('text', {
    class: [_vm.activeClass ? 'icon-font' : 'icon-font-noActive'],
    on: {
      "click": function($event) {
        _vm.itemClicked(_vm.name)
      }
    }
  }, [_vm._v(_vm._s(_vm.Icon[_vm.name]))])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(67);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 21:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(15)
)

/* script */
__vue_exports__ = __webpack_require__(16)

/* template */
var __vue_template__ = __webpack_require__(18)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\gxtui\\packages\\gxt-icon\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-43646d68"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 22:
/***/ (function(module, exports) {

module.exports = {
  "gxt-header": {
    "width": "750",
    "backgroundColor": "#3B7ECF"
  },
  "normal": {
    "height": "40"
  },
  "special": {
    "height": "80"
  },
  "banner": {
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "88"
  },
  "title": {
    "fontSize": "36",
    "color": "#ffffff"
  },
  "left": {
    "width": "180",
    "height": "88",
    "paddingLeft": "28",
    "lineHeight": "88",
    "fontSize": "38",
    "color": "#ffffff"
  },
  "right": {
    "width": "180",
    "height": "88",
    "alignItems": "flex-end",
    "paddingRight": "28",
    "lineHeight": "88",
    "fontSize": "38",
    "textAlign": "right"
  },
  "left-icon": {
    "fontSize": "38",
    "color": "#ffffff"
  }
}

/***/ }),

/***/ 23:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

//const env = weex.requireModule('env')
exports.default = {
    props: {
        title: {
            type: String,
            default: '标题'
        },
        leftIconName: {
            type: String,
            default: 'back'
        },
        rightIconName: {
            type: String,
            default: ''
        },
        rightText: {
            type: String,
            default: ''
        },
        rightTextStyle: {
            type: Object,
            default: function _default() {
                return {};
            }
        },
        isScreen: {
            type: Boolean,
            default: false
        }
    },
    methods: {
        leftIconClicked: function leftIconClicked() {
            this.$emit('leftIconClicked', {});
        },
        rightIconClicked: function rightIconClicked() {
            this.$emit('rightIconClicked', {});
        }
    },
    created: function created() {
        this.isScreen = this.getIsFullScreen();
        //env.isFringeScreen();
    }
};

/***/ }),

/***/ 24:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["gxt-header"]
  }, [_c('div', {
    class: [_vm.isScreen ? 'special' : 'normal']
  }), _c('div', {
    staticClass: ["banner"]
  }, [_c('gxt-icon', {
    staticClass: ["left"],
    attrs: {
      "name": _vm.leftIconName
    },
    on: {
      "gxtIconClicked": _vm.leftIconClicked
    }
  }), _c('text', {
    staticClass: ["title"]
  }, [_vm._v(_vm._s(_vm.title))]), (!_vm.rightText) ? _c('gxt-icon', {
    staticClass: ["right"],
    attrs: {
      "name": _vm.rightIconName
    },
    on: {
      "gxtIconClicked": _vm.rightIconClicked
    }
  }) : _vm._e(), (_vm.rightText) ? _c('text', {
    staticClass: ["right"],
    style: _vm.rightTextStyle,
    on: {
      "click": _vm.rightIconClicked
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 25:
/***/ (function(module, exports) {

module.exports = {
  "wrapper": {
    "width": "750",
    "justifyContent": "center",
    "alignItems": "center",
    "backgroundColor": "#f2f3f4"
  },
  "image": {
    "width": "340",
    "height": "265"
  },
  "computedText": {
    "marginTop": "146",
    "fontSize": "29",
    "color": "#666666"
  }
}

/***/ }),

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    props: {
        name: {
            default: 'empty',
            type: String
        },
        paddingTop: {
            type: [Number, String],
            default: 232
        },
        show: {
            type: Boolean,
            default: true
        },
        text: {
            default: '空空如也哦！',
            type: String
        }
    },
    data: function data() {
        return {};
    },
    beforeCreate: function beforeCreate() {},

    computed: {
        imgSrc: function imgSrc() {
            return 'root:img/status/' + this.name + '.png';
        },
        setPaddingTop: function setPaddingTop() {
            var paddingTop = this.paddingTop;
            return paddingTop + 'px';
        },
        computedText: function computedText() {
            if (this.name == 'no-network') {
                return this.text = '网络不给力';
            } else if (this.name == 'history') {
                return this.text = '暂无历史记录';
            } else {
                return this.text;
            }
        }
    },
    methods: {
        itemClicked: function itemClicked(name) {
            this.$emit('gxtIconClicked', {
                name: name
            });
        }
    }
};

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', [_c('div', {
    staticClass: ["wrapper"],
    style: {
      paddingTop: _vm.setPaddingTop
    }
  }, [_c('image', {
    staticClass: ["image"],
    attrs: {
      "src": _vm.imgSrc
    }
  }), _c('text', {
    staticClass: ["computedText"]
  }, [_vm._v(_vm._s(_vm.computedText))])])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 28:
/***/ (function(module, exports) {

module.exports = {
  "bui-list": {
    "flex": 1
  },
  "bui-cell": {
    "flexDirection": "row",
    "alignItems": "center",
    "height": "100",
    "borderBottomWidth": "1",
    "borderBottomColor": "#d7dde4",
    "borderBottomStyle": "solid",
    "backgroundColor:active": "#f5f5f5"
  },
  "bui-cell-large": {
    "flexDirection": "row",
    "height": "120",
    "borderBottomWidth": "1",
    "borderBottomColor": "#d7dde4",
    "borderBottomStyle": "solid",
    "backgroundColor:active": "#f5f5f5"
  },
  "bui-cell-swipe-menu": {
    "flexDirection": "row",
    "borderBottomWidth": "1",
    "borderBottomColor": "#d7dde4",
    "borderBottomStyle": "solid"
  },
  "bui-cell-xlarge": {
    "flexDirection": "row",
    "alignItems": "center",
    "height": "140",
    "borderBottomWidth": "1",
    "borderBottomColor": "#d7dde4",
    "borderBottomStyle": "solid",
    "backgroundColor:active": "#f5f5f5"
  },
  "bui-list-left": {
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "paddingLeft": "20"
  },
  "bui-list-main": {
    "flex": 1,
    "justifyContent": "center",
    "backgroundColor": "#ffffff"
  },
  "bui-list-right": {
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "paddingRight": "20"
  },
  "bui-list-title": {
    "fontSize": "30",
    "color": "#464c5b",
    "textOverflow": "ellipsis",
    "lines": 1
  },
  "bui-list-subtitle": {
    "fontSize": "30",
    "color": "#9ea7b4",
    "textOverflow": "ellipsis",
    "lines": 1
  },
  "bui-list-thumb": {
    "width": "80",
    "height": "80"
  },
  "bui-list-action": {
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "width": "300"
  },
  "bui-loading": {
    "width": "750",
    "height": "150",
    "flexDirection": "column",
    "display": "flex",
    "MsFlexAlign": "center",
    "WebkitAlignItems": "center",
    "WebkitBoxAlign": "center",
    "alignItems": "center",
    "justifyContent": "center",
    "paddingTop": "10",
    "paddingBottom": "10"
  },
  "bui-refresh": {
    "justifyContent": "center",
    "flexDirection": "row",
    "width": "750",
    "height": "100",
    "display": "flex",
    "MsFlexAlign": "center",
    "WebkitAlignItems": "center",
    "WebkitBoxAlign": "center",
    "alignItems": "center",
    "paddingTop": "10",
    "paddingBottom": "10"
  },
  "bui-loading-indicator": {
    "fontSize": "30",
    "textAlign": "center",
    "color": "#9ea7b4"
  },
  "bui-indicator": {
    "height": "60",
    "width": "60",
    "color": "#9ea7b4"
  },
  "bui-list-swipe": {
    "position": "absolute",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0",
    "flexDirection": "row",
    "justifyContent": "flex-end"
  },
  "bui-list-swipe-btn": {
    "flexDirection": "row",
    "width": "120",
    "alignItems": "center",
    "justifyContent": "center",
    "textAlign": "center",
    "backgroundColor": "#c6c7c8"
  },
  "bgRed": {
    "backgroundColor": "#fa3300"
  },
  "bui-list-swipe-btn-text": {
    "fontSize": "30",
    "color": "#ffffff"
  },
  "bui-list-swipe-main": {
    "flexDirection": "row",
    "justifyContent": "flex-start"
  },
  "bui-list-main-left": {
    "flex": 1,
    "flexDirection": "row",
    "borderColor": "#F4F4F4",
    "borderStyle": "solid",
    "borderTopWidth": "1",
    "paddingLeft": "30",
    "paddingRight": "30"
  },
  "bui-list-desc": {
    "fontSize": "25",
    "color": "#464c5b"
  },
  "message-title": {
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "paddingTop": "8",
    "paddingBottom": "8"
  },
  "message-main": {
    "flex": 1,
    "height": "140",
    "paddingTop": "20",
    "paddingBottom": "20",
    "justifyContent": "space-between"
  },
  "text-time": {
    "fontSize": "22",
    "color": "#999999"
  },
  "text-content": {
    "fontSize": "24",
    "color": "#666666",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "red-point": {
    "position": "absolute",
    "width": "18",
    "height": "18",
    "borderRadius": "9",
    "backgroundColor": "#FF0000",
    "top": "11",
    "right": "31"
  }
}

/***/ }),

/***/ 29:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _gxtIcon = __webpack_require__(4);

var _gxtIcon2 = _interopRequireDefault(_gxtIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var animation = weex.requireModule('animation'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var defaultAction = [{
    'title': '取消',
    'bgcolor': '#c6c7c8'
}, {
    'title': '删除',
    'bgcolor': '#fa3300'
}];
exports.default = {
    data: function data() {
        return {
            ss: ''
        };
    },
    props: {
        items: {
            type: Array,
            default: function _default() {
                return defaultAction;
            }
        },
        height: {
            type: String,
            default: '100px'
        },
        title: {
            type: String
        },
        ob: {
            type: Object,
            default: {}
        }
    },
    methods: {
        //操作点击事件
        _actionClick: function _actionClick(index) {
            var _this = this;

            this.close(function () {
                _this.$emit('actionClick', index);
            });
        },
        _swipe: function _swipe(e) {
            var _this2 = this;

            switch (e.direction) {
                case 'left':
                    this.open(function () {
                        _this2.$emit('swipeleft');
                    });
                    break;
                case 'right':
                    this.close(function () {
                        _this2.$emit('swiperight');
                    });
                    break;
            }
        },
        _click: function _click(e) {
            this.$emit('click');
            this.close();
        },
        close: function close(fn) {
            var translate = 'translate(0px, 0px)';
            var el = this.$refs.swipedom;
            this._animationFn(el, 1, translate, 'ease-in', function () {
                fn && fn();
            });
        },
        open: function open(fn) {
            var swipeDom = this.$refs.swipeBox;
            var lenDom = void 0;
            if (swipeDom.hasOwnProperty('pureChildren')) lenDom = swipeDom.pureChildren;else lenDom = this.$refs.swipeBox.children;
            var len = lenDom && lenDom.length || 0;
            var translate = 'translate(-' + 120 * len + 'px, 0px)';
            var el = this.$refs.swipedom;
            this._animationFn(el, 1, translate, 'ease-in', function () {
                fn && fn();
            });
        },
        _animationFn: function _animationFn(el, opacity, translate, timing, fn) {
            animation.transition(el, {
                styles: {
                    opacity: opacity,
                    transform: translate,
                    transformOrigin: 'center center'
                },
                duration: 200,
                timingFunction: timing,
                delay: 0
            }, function () {
                fn && fn();
            });
        }
    }
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var g;

// This works in non-strict mode
g = function () {
	return this;
}();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1, eval)("this");
} catch (e) {
	// This works if the window reference is available
	if ((typeof window === "undefined" ? "undefined" : _typeof(window)) === "object") g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["bui-list-swipe-menu"]
  }, [_c('div', {
    staticClass: ["bui-cell-swipe-menu"],
    style: {
      'height': _vm.height
    }
  }, [_c('div', {
    ref: "swipeBox",
    staticClass: ["bui-list-swipe"]
  }, [_vm._t("action", _vm._l((_vm.items), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["bui-list-swipe-btn"],
      style: {
        'background-color': item.bgcolor
      },
      on: {
        "click": function($event) {
          _vm._actionClick(index)
        }
      }
    }, [_c('text', {
      staticClass: ["bui-list-swipe-btn-text"]
    }, [_vm._v(_vm._s(item.title))])])
  }))], 2), _c('div', {
    ref: "swipedom",
    staticClass: ["bui-list-main", "bui-list-swipe-main"],
    on: {
      "click": _vm._click,
      "swipe": function($event) {
        _vm._swipe($event)
      }
    }
  }, [_c('div', {
    staticClass: ["bui-list-main-left"]
  }, [_c('div', {
    staticStyle: {
      position: "relative",
      height: "140px",
      paddingTop: "20px",
      paddingBottom: "20px",
      paddingRight: "40px"
    }
  }, [(_vm.ob.avatar) ? _c('image', {
    staticStyle: {
      width: "100px",
      height: "100px",
      borderRadius: "8px"
    },
    attrs: {
      "src": _vm.ob.avatar
    }
  }) : _vm._e(), (!_vm.ob.avatar) ? _c('gxt-icon', {
    staticStyle: {
      borderRadius: "8px",
      width: "100px",
      height: "100px",
      textAlign: "center",
      lineHeight: "100px",
      backgroundColor: "#f3f3f3"
    },
    attrs: {
      "activeClass": false,
      "name": "profilePhoto"
    }
  }) : _vm._e(), (!_vm.ob.read) ? _c('text', {
    staticClass: ["red-point"]
  }) : _vm._e()], 1), _c('div', {
    staticClass: ["message-main"]
  }, [_c('div', {
    staticClass: ["message-title"]
  }, [_c('text', {
    staticClass: ["bui-list-title"]
  }, [_vm._v(_vm._s(_vm.ob.userName || '暂无昵称'))]), _c('text', {
    staticClass: ["text-time"]
  }, [_vm._v(_vm._s(_vm.ob.time))])]), _c('text', {
    staticClass: ["text-content"]
  }, [_vm._v(_vm._s(_vm.ob.content))])])])])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 32:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(33);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 33:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(22)
)

/* script */
__vue_exports__ = __webpack_require__(23)

/* template */
var __vue_template__ = __webpack_require__(24)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\gxtui\\packages\\gxt-header\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-75bf4dc0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 34:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(35);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 35:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(25)
)

/* script */
__vue_exports__ = __webpack_require__(26)

/* template */
var __vue_template__ = __webpack_require__(27)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\gxtui\\packages\\gxt-result\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-a678eaa0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 36:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(37);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 37:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(28)
)

/* script */
__vue_exports__ = __webpack_require__(29)

/* template */
var __vue_template__ = __webpack_require__(30)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\gxtui\\packages\\gxt-swipe\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-38075263"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 396:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(113)
)

/* script */
__vue_exports__ = __webpack_require__(114)

/* template */
var __vue_template__ = __webpack_require__(117)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\weexui\\packages\\wxc-city\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-e9871f0a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(21);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 47:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Created by dianwoda on 2018/1/31.
 */
exports.default = {
  hotCity: [{ name: '北京', pinYin: 'beijing', py: 'bj', areaId: 11 }, { name: '上海', pinYin: 'shanghai', py: 'sh', areaId: 31 }, { name: '天津', pinYin: 'tianjin', py: 'tj', areaId: 12 }, { name: '广州', pinYin: 'guangzhou', py: 'gz', areaId: 4421 }, { name: '武汉', pinYin: 'wuhan', py: 'wh', areaId: 4206 }],
  cities: [{ name: '阿坝州', pinYin: 'abazhou', py: 'abz', areaId: 5105 }, { name: '阿里', pinYin: 'ali', py: 'al', areaId: 5405 }, { name: '阿勒泰', pinYin: 'aletai', py: 'alt', areaId: 6506 }, { name: '阿克苏', pinYin: 'akesu', py: 'aks', areaId: 6507 }, { name: '安庆', pinYin: 'anqing', py: 'aq', areaId: 3413 }, { name: '安阳', pinYin: 'anyang', py: 'ay', areaId: 4115 }, { name: '安顺', pinYin: 'anshun', py: 'as', areaId: 5207 }, { name: '安康', pinYin: 'ankang', py: 'ak', areaId: 6101 }, { name: '鞍山', pinYin: 'anshan', py: 'as', areaId: 2113 }, { name: '阿拉善盟', pinYin: 'alashanmeng', py: 'alsm', areaId: 1510 }, { name: '北京', pinYin: 'beijing', py: 'bj', areaId: 11 }, { name: '保定', pinYin: 'baoding', py: 'bd', areaId: 1301 }, { name: '保山', pinYin: 'baoshan', py: 'bs', areaId: 5309 }, { name: '白城', pinYin: 'baicheng', py: 'bc', areaId: 2204 }, { name: '白山', pinYin: 'baishan', py: 'bs', areaId: 2209 }, { name: '白银', pinYin: 'baiyin', py: 'by', areaId: 6204 }, { name: '百色', pinYin: 'baise', py: 'bs', areaId: 4512 }, { name: '包头', pinYin: 'baotou', py: 'bt', areaId: 1507 }, { name: '巴中', pinYin: 'bazhong', py: 'bz', areaId: 5117 }, { name: '巴音郭楞', pinYin: 'bayinguoleng', py: 'bygl', areaId: 6510 }, { name: '毕节', pinYin: 'bijie', py: 'bj', areaId: 5202 }, { name: '巴彦淖尔', pinYin: 'bayannaoer', py: 'byne', areaId: 1502 }, { name: '北海', pinYin: 'beihai', py: 'bh', areaId: 4506 }, { name: '宝鸡', pinYin: 'baoji', py: 'bj', areaId: 6105 }, { name: '本溪', pinYin: 'benxi', py: 'bx', areaId: 2105 }, { name: '蚌埠', pinYin: 'bengbu', py: 'bb', areaId: 3402 }, { name: '亳州', pinYin: 'bozhou', py: 'bz', areaId: 3416 }, { name: '博尔塔拉', pinYin: 'boertala', py: 'betl', areaId: 6504 }, { name: '滨州', pinYin: 'binzhou', py: 'bz', areaId: 3706 }, { name: '朝阳', pinYin: 'chaoyang', py: 'cy', areaId: 2104 }, { name: '巢湖', pinYin: 'chaohu', py: 'ch', areaId: 3410 }, { name: '潮州', pinYin: 'chaozhou', py: 'cz', areaId: 4416 }, { name: '成都', pinYin: 'chengdu', py: 'cd', areaId: 5113 }, { name: '重庆', pinYin: 'chongqing', py: 'cq', areaId: 50 }, { name: '崇左', pinYin: 'chongzuo', py: 'cz', areaId: 4504 }, { name: '崇州', pinYin: 'chongzhou', py: 'cz', areaId: 5122 }, { name: '长沙', pinYin: 'changsha', py: 'cs', areaId: 4312 }, { name: '长春', pinYin: 'changchun', py: 'cc', areaId: 2206 }, { name: '常州', pinYin: 'changzhou', py: 'cz', areaId: 3207 }, { name: '常德', pinYin: 'changde', py: 'cd', areaId: 4303 }, { name: '昌都', pinYin: 'changdu', py: 'cd', areaId: 5402 }, { name: '昌吉', pinYin: 'changji', py: 'cj', areaId: 6512 }, { name: '沧州', pinYin: 'cangzhou', py: 'cz', areaId: 1309 }, { name: '承德', pinYin: 'chengde', py: 'cd', areaId: 1310 }, { name: '郴州', pinYin: 'chenzhou', py: 'cz', areaId: 4311 }, { name: '长治', pinYin: 'changzhi', py: 'cz', areaId: 1407 }, { name: '长白山', pinYin: 'changbaishan', py: 'cbs', areaId: 2212 }, { name: '赤峰', pinYin: 'chifeng', py: 'cf', areaId: 1508 }, { name: '池州', pinYin: 'chizhou', py: 'cz', areaId: 3409 }, { name: '滁州', pinYin: 'chuzhou', py: 'cz', areaId: 3406 }, { name: '楚雄', pinYin: 'chuxiong', py: 'cx', areaId: 5307 }, { name: '大连', pinYin: 'dalian', py: 'dl', areaId: 2102 }, { name: '东莞', pinYin: 'dongguan', py: 'dg', areaId: 4406 }, { name: '东营', pinYin: 'dongying', py: 'dy', areaId: 3716 }, { name: '东方', pinYin: 'dongfang', py: 'df', areaId: 4603 }, { name: '大庆', pinYin: 'daqing', py: 'dq', areaId: 2302 }, { name: '大兴安岭', pinYin: 'daxinganling', py: 'dxal', areaId: 2307 }, { name: '大同', pinYin: 'datong', py: 'dt', areaId: 1409 }, { name: '大理', pinYin: 'dali', py: 'dl', areaId: 5310 }, { name: '达州', pinYin: 'dazhou', py: 'dz', areaId: 5107 }, { name: '丹东', pinYin: 'dandong', py: 'dd', areaId: 2103 }, { name: '儋州', pinYin: 'danzhou', py: 'dz', areaId: 4605 }, { name: '德州', pinYin: 'dezhou', py: 'dz', areaId: 3713 }, { name: '德阳', pinYin: 'deyang', py: 'dy', areaId: 5114 }, { name: '德宏', pinYin: 'dehong', py: 'dh', areaId: 5311 }, { name: '都江堰', pinYin: 'dujiangyan', py: 'djy', areaId: 5123 }, { name: '迪庆', pinYin: 'diqing', py: 'dq', areaId: 5304 }, { name: '定西', pinYin: 'dingxi', py: 'dx', areaId: 6210 }, { name: '鄂州', pinYin: 'ezhou', py: 'ez', areaId: 4202 }, { name: '鄂尔多斯', pinYin: 'eerduosi', py: 'eeds', areaId: 1503 }, { name: '恩施', pinYin: 'enshi', py: 'es', areaId: 4214 }, { name: '阜新', pinYin: 'fuxin', py: 'fx', areaId: 2112 }, { name: '阜阳', pinYin: 'fuyang', py: 'fy', areaId: 3405 }, { name: '福州', pinYin: 'fuzhou', py: 'fz', areaId: 3502 }, { name: '佛山', pinYin: 'foshan', py: 'fs', areaId: 4403 }, { name: '抚顺', pinYin: 'fushun', py: 'fs', areaId: 2101 }, { name: '抚州', pinYin: 'fuzhou', py: 'fz', areaId: 3606 }, { name: '防城港', pinYin: 'fangchenggang', py: 'fcg', areaId: 4508 }, { name: '广州', pinYin: 'guangzhou', py: 'gz', areaId: 4421 }, { name: '赣州', pinYin: 'ganzhou', py: 'gz', areaId: 3608 }, { name: '甘孜', pinYin: 'ganzi', py: 'gz', areaId: 5102 }, { name: '贵阳', pinYin: 'guiyang', py: 'gy', areaId: 5208 }, { name: '桂林', pinYin: 'guilin', py: 'gl', areaId: 4501 }, { name: '贵港', pinYin: 'guigang', py: 'gg', areaId: 4511 }, { name: '广元', pinYin: 'guangyuan', py: 'gy', areaId: 5116 }, { name: '广安', pinYin: 'guangan', py: 'ga', areaId: 5115 }, { name: '广汉', pinYin: 'guanghan', py: 'gh', areaId: 5136 }, { name: '固原', pinYin: 'guyuan', py: 'gy', areaId: 6402 }, { name: '公主岭', pinYin: 'gongzhuling', py: 'gzl', areaId: 2211 }, { name: '果洛', pinYin: '果洛', py: 'gl', areaId: 6301 }, { name: '杭州', pinYin: 'hangzhou', py: 'hz', areaId: 3301 }, { name: '哈尔滨', pinYin: 'haerbin', py: 'heb', areaId: 2310 }, { name: '合肥', pinYin: 'hefei', py: 'hf', areaId: 3417 }, { name: '菏泽', pinYin: 'heze', py: 'hz', areaId: 3705 }, { name: '河源', pinYin: 'heyuan', py: 'hy', areaId: 4412 }, { name: '鹤岗', pinYin: 'hegang', py: 'hg', areaId: 2305 }, { name: '鹤壁', pinYin: 'hebi', py: 'hb', areaId: 4106 }, { name: '贺州', pinYin: 'hezhou', py: 'hz', areaId: 4510 }, { name: '河池', pinYin: 'hechi', py: 'hc', areaId: 4514 }, { name: '和田', pinYin: 'hetian', py: 'ht', areaId: 6511 }, { name: '黑河', pinYin: 'heihe', py: 'hh', areaId: 2306 }, { name: '呼和浩特', pinYin: 'huhehaote', py: 'hhht', areaId: 1501 }, { name: '哈密', pinYin: 'hami', py: 'hm', areaId: 6515 }, { name: '海口', pinYin: 'haikou', py: 'hk', areaId: 4609 }, { name: '海北', pinYin: 'haibei', py: 'hb', areaId: 6302 }, { name: '海东', pinYin: 'haidong', py: 'hd', areaId: 6303 }, { name: '海西', pinYin: 'haixi', py: 'hx', areaId: 6307 }, { name: '海南州', pinYin: 'hainanzhou', py: 'hnz', areaId: 6308 }, { name: '黄山', pinYin: 'huangshan', py: 'hs', areaId: 3404 }, { name: '黄石', pinYin: 'huangshi', py: 'hs', areaId: 4212 }, { name: '黄冈', pinYin: 'huanggang', py: 'hg', areaId: 4213 }, { name: '黄南', pinYin: 'huangnan', py: 'hn', areaId: 6304 }, { name: '淮安', pinYin: 'huaian', py: 'ha', areaId: 3202 }, { name: '淮南', pinYin: 'huainan', py: 'hn', areaId: 3407 }, { name: '淮北', pinYin: 'huaibei', py: 'hb', areaId: 3408 }, { name: '怀化', pinYin: 'huaihua', py: 'hh', areaId: 4304 }, { name: '湖州', pinYin: 'huzhou', py: 'hz', areaId: 3310 }, { name: '呼伦贝尔', pinYin: 'hulunbeier', py: 'hlbe', areaId: 1512 }, { name: '葫芦岛', pinYin: 'huludao', py: 'hld', areaId: 2107 }, { name: '惠州', pinYin: 'huizhou', py: 'hz', areaId: 4401 }, { name: '邯郸', pinYin: 'handan', py: 'hd', areaId: 1306 }, { name: '衡阳', pinYin: 'hengyang', py: 'hy', areaId: 4309 }, { name: '衡水', pinYin: 'hengshui', py: 'hs', areaId: 1308 }, { name: '汉中', pinYin: 'hanzhong', py: 'hz', areaId: 6107 }, { name: '红河', pinYin: 'honghe', py: 'hh', areaId: 5305 }, { name: '济南', pinYin: 'jinan', py: 'jn', areaId: 3709 }, { name: '济宁', pinYin: 'jining', py: 'jn', areaId: 3708 }, { name: '吉安', pinYin: 'jian', py: 'ja', areaId: 3602 }, { name: '九江', pinYin: 'jiujiang', py: 'jj', areaId: 3604 }, { name: '景德镇', pinYin: 'jingdezhen', py: 'jdz', areaId: 3611 }, { name: '吉林', pinYin: 'jilin', py: 'jl', areaId: 2203 }, { name: '简阳', pinYin: 'jianyang', py: 'jy', areaId: 5127 }, { name: '江门', pinYin: 'jiangmen', py: 'jm', areaId: 4411 }, { name: '江南', pinYin: 'jiangnan', py: 'jn', areaId: 5126 }, { name: '江油', pinYin: 'jiangyou', py: 'jy', areaId: 5138 }, { name: '焦作', pinYin: 'jiaozuo', py: 'jz', areaId: 4109 }, { name: '金华', pinYin: 'jinhua', py: 'jh', areaId: 3311 }, { name: '金昌', pinYin: 'jinchang', py: 'jc', areaId: 6202 }, { name: '晋中', pinYin: 'jinzhong', py: 'jz', areaId: 1403 }, { name: '晋城', pinYin: 'jincheng', py: 'jc', areaId: 1404 }, { name: '锦州', pinYin: 'jinzhou', py: 'jz', areaId: 2111 }, { name: '荆州', pinYin: 'jingzhou', py: 'jz', areaId: 4205 }, { name: '荆门', pinYin: 'jingmen', py: 'jm', areaId: 4204 }, { name: '嘉兴', pinYin: 'jiaxing', py: 'jx', areaId: 3303 }, { name: '嘉峪关', pinYin: 'jiayuguan', py: 'jyg', areaId: 6212 }, { name: '佳木斯', pinYin: 'jiamusi', py: 'jms', areaId: 2312 }, { name: '酒泉', pinYin: 'jiuquan', py: 'jq', areaId: 6201 }, { name: '鸡西', pinYin: 'jixi', py: 'jx', areaId: 2304 }, { name: '揭阳', pinYin: 'jieyang', py: 'jy', areaId: 4407 }, { name: '昆明', pinYin: 'kunming', py: 'km', areaId: 5315 }, { name: '开封', pinYin: 'kaifeng', py: 'kf', areaId: 4114 }, { name: '喀什', pinYin: 'kashi', py: 'ks', areaId: 6501 }, { name: '克拉玛依', pinYin: 'kelamayi', py: 'klmy', areaId: 6509 }, { name: '克州', pinYin: 'kezhou', py: 'kz', areaId: 6514 }, { name: '兰州', pinYin: 'lanzhou', py: 'lz', areaId: 6214 }, { name: '廊坊', pinYin: 'langfang', py: 'lf', areaId: 1311 }, { name: '阆中', pinYin: 'langzhong', py: 'lz', areaId: 5125 }, { name: '丽江', pinYin: 'lijiang', py: 'lj', areaId: 5302 }, { name: '丽水', pinYin: 'lishui', py: 'ls', areaId: 3305 }, { name: '六安', pinYin: 'luan', py: 'la', areaId: 3415 }, { name: '洛阳', pinYin: 'luoyang', py: 'ly', areaId: 4112 }, { name: '漯河', pinYin: 'luohe', py: 'lh', areaId: 4111 }, { name: '柳州', pinYin: 'liuzhou', py: 'lz', areaId: 4502 }, { name: '六盘水', pinYin: 'liupanshui', py: 'lps', areaId: 5201 }, { name: '凉山', pinYin: 'liangshan', py: 'ls', areaId: 5120 }, { name: '泸州', pinYin: 'luzhou', py: 'lz', areaId: 5112 }, { name: '拉萨', pinYin: 'lasa', py: 'ls', areaId: 5404 }, { name: '莱芜', pinYin: 'laiwu', py: 'lw', areaId: 3704 }, { name: '来宾', pinYin: 'laibin', py: 'lb', areaId: 4503 }, { name: '临汾', pinYin: 'linfen', py: 'lf', areaId: 1401 }, { name: '临沂', pinYin: 'linyi', py: 'ly', areaId: 3715 }, { name: '临沧', pinYin: 'lincang', py: 'lc', areaId: 5031 }, { name: '临夏', pinYin: 'linxia', py: 'lx', areaId: 6213 }, { name: '林芝', pinYin: 'linzhi', py: 'lz', areaId: 5401 }, { name: '乐山', pinYin: 'leshan', py: 'ls', areaId: 5121 }, { name: '聊城', pinYin: 'liaocheng', py: 'lc', areaId: 3703 }, { name: '辽阳', pinYin: 'liaoyang', py: 'ly', areaId: 2109 }, { name: '辽源', pinYin: 'liaoyuan', py: 'ly', areaId: 2208 }, { name: '连云港', pinYin: 'lianyungang', py: 'lyg', areaId: 3212 }, { name: '吕梁', pinYin: 'lvliang', py: 'll', areaId: 1410 }, { name: '娄底', pinYin: 'loudi', py: 'ld', areaId: 4301 }, { name: '陇南', pinYin: 'longnan', py: 'ln', areaId: 6203 }, { name: '龙岩', pinYin: 'longyan', py: 'ly', areaId: 3504 }, { name: '马鞍山', pinYin: 'maanshan', py: 'mas', areaId: 3414 }, { name: '茂名', pinYin: 'maoming', py: 'mm', areaId: 4419 }, { name: '绵阳', pinYin: 'mianyang', py: 'my', areaId: 5110 }, { name: '绵竹', pinYin: 'mianzhu', py: 'mz', areaId: 5124 }, { name: '梅州', pinYin: 'meizhou', py: 'mz', areaId: 4408 }, { name: '眉山', pinYin: 'meishan', py: 'ms', areaId: 5111 }, { name: '梅河口', pinYin: 'meihekou', py: 'mhk', areaId: 2210 }, { name: '牡丹江', pinYin: 'mudanjiang', py: 'mdj', areaId: 2309 }, { name: '南昌', pinYin: 'nanchang', py: 'nc', areaId: 3603 }, { name: '南京', pinYin: 'nanjing', py: 'nj', areaId: 3210 }, { name: '南宁', pinYin: 'nanning', py: 'nn', areaId: 4505 }, { name: '宁波', pinYin: 'ningbo', py: 'nb', areaId: 3302 }, { name: '宁德', pinYin: 'ningde', py: 'nd', areaId: 3505 }, { name: '南通', pinYin: 'nantong', py: 'nt', areaId: 3209 }, { name: '南充', pinYin: 'nanchong', py: 'nc', areaId: 5119 }, { name: '南平', pinYin: 'nanping', py: 'np', areaId: 3507 }, { name: '南阳', pinYin: 'nanyang', py: 'ny', areaId: 4102 }, { name: '那曲', pinYin: 'naqu', py: 'nq', areaId: 5406 }, { name: '内江', pinYin: 'neijiang', py: 'nj', areaId: 5101 }, { name: '怒江', pinYin: 'nujiang', py: 'nj', areaId: 5312 }, { name: '彭州', pinYin: 'pengzhou', py: 'pz', areaId: 5139 }, { name: '萍乡', pinYin: 'pingxiang', py: 'px', areaId: 3609 }, { name: '平凉', pinYin: 'pingliang', py: 'pl', areaId: 6209 }, { name: '平顶山', pinYin: 'pingdingshan', py: 'pds', areaId: 4104 }, { name: '攀枝花', pinYin: 'panzhihua', py: 'pzh', areaId: 5103 }, { name: '盘锦', pinYin: 'panjin', py: 'pj', areaId: 2114 }, { name: '濮阳', pinYin: 'puyang', py: 'py', areaId: 4110 }, { name: '莆田', pinYin: 'putian', py: 'pt', areaId: 3503 }, { name: '秦皇岛', pinYin: 'qinhuangdao', py: 'qhd', areaId: 1303 }, { name: '钦州', pinYin: 'qinzhou', py: 'qz', areaId: 4509 }, { name: '青岛', pinYin: 'qingdao', py: 'qd', areaId: 3714 }, { name: '清远', pinYin: 'qingyuan', py: 'qy', areaId: 4414 }, { name: '庆阳', pinYin: 'qingyang', py: 'qy', areaId: 6208 }, { name: '齐齐哈尔', pinYin: 'qiqihaer', py: 'qqhe', areaId: 2308 }, { name: '七台河', pinYin: 'qitaihe', py: 'qqhe', areaId: 2313 }, { name: '黔西南', pinYin: 'qianxinan', py: 'qxn', areaId: 5204 }, { name: '黔东南', pinYin: 'qiandongnan', py: 'qdn', areaId: 5205 }, { name: '黔南', pinYin: 'qiannan', py: 'qn', areaId: 5206 }, { name: '琼海', pinYin: 'qionghai', py: 'qh', areaId: 4611 }, { name: '邛崃', pinYin: 'qionglai', py: 'ql', areaId: 5129 }, { name: '泉州', pinYin: 'quanzhou', py: 'qz', areaId: 3509 }, { name: '衢州', pinYin: 'quzhou', py: 'qz', areaId: 3307 }, { name: '曲靖', pinYin: 'qujing', py: 'qj', areaId: 5308 }, { name: '日照', pinYin: 'rizhao', py: 'rz', areaId: 3712 }, { name: '日喀则', pinYin: 'rikaze', py: 'rkz', areaId: 5407 }, { name: '上海', pinYin: 'shanghai', py: 'sh', areaId: 31 }, { name: '商丘', pinYin: 'shangqiu', py: 'sq', areaId: 4117 }, { name: '商洛', pinYin: 'shangluo', py: 'sl', areaId: 6102 }, { name: '深圳', pinYin: 'shenzhen', py: 'sz', areaId: 4413 }, { name: '沈阳', pinYin: 'shenyang', py: 'sy', areaId: 2106 }, { name: '山南', pinYin: 'shannan', py: 'sn', areaId: 5403 }, { name: '神龙架', pinYin: 'shenlongjia', py: 'slj', areaId: 4215 }, { name: '绍兴', pinYin: 'shaoxing', py: 'sx', areaId: 3309 }, { name: '绍阳', pinYin: 'shaoyang', py: 'sy', areaId: 4310 }, { name: '韶关', pinYin: 'shaoguan', py: 'sg', areaId: 4402 }, { name: '石家庄', pinYin: 'shijiazhuang', py: 'sjz', areaId: 1304 }, { name: '石嘴山', pinYin: 'shizuishan', py: 'szs', areaId: 6405 }, { name: '石河子', pinYin: 'shihezi', py: 'shz', areaId: 6516 }, { name: '十堰', pinYin: 'shiyan', py: 'sy', areaId: 4211 }, { name: '什邡', pinYin: 'shifang', py: 'sf', areaId: 5137 }, { name: '顺德', pinYin: 'shunde', py: 'sd', areaId: 4422 }, { name: '苏州', pinYin: 'suzhou', py: 'sz', areaId: 3211 }, { name: '宿州', pinYin: 'suzhou', py: 'sz', areaId: 3411 }, { name: '三亚', pinYin: 'sanya', py: 'sy', areaId: 4621 }, { name: '三门峡', pinYin: 'sanmenxia', py: 'smx', areaId: 4105 }, { name: '三明', pinYin: 'sanming', py: 'sm', areaId: 3506 }, { name: '汕头', pinYin: 'shantou', py: 'st', areaId: 4409 }, { name: '汕尾', pinYin: 'shanwei', py: 'sw', areaId: 4410 }, { name: '上饶', pinYin: 'shangrao', py: 'sr', areaId: 3605 }, { name: '四平', pinYin: 'siping', py: 'sp', areaId: 2202 }, { name: '思茅', pinYin: 'simao', py: 'sm', areaId: 5313 }, { name: '朔州', pinYin: 'shuozhou', py: 'sz', areaId: 1405 }, { name: '松原', pinYin: 'songyuan', py: 'sy', areaId: 2201 }, { name: '双鸭山', pinYin: 'shuangyashan', py: 'sys', areaId: 2311 }, { name: '随州', pinYin: 'suizhou', py: 'sz', areaId: 4201 }, { name: '遂宁', pinYin: 'suining', py: 'sn', areaId: 5106 }, { name: '绥化', pinYin: 'suihua', py: 'sh', areaId: 2303 }, { name: '宿迁', pinYin: 'suqian', py: 'sq', areaId: 3208 }, { name: '天津', pinYin: 'tianjin', py: 'tj', areaId: 12 }, { name: '天水', pinYin: 'tianshui', py: 'ts', areaId: 6211 }, { name: '太原', pinYin: 'taiyuan', py: 'ty', areaId: 1408 }, { name: '台州', pinYin: 'taizhou', py: 'tz', areaId: 3304 }, { name: '泰州', pinYin: 'taizhou', py: 'tz', areaId: 3203 }, { name: '泰安', pinYin: 'taian', py: 'ta', areaId: 3710 }, { name: '唐山', pinYin: 'tangshan', py: 'ts', areaId: 1302 }, { name: '塔城', pinYin: 'tacheng', py: 'tc', areaId: 6502 }, { name: '铁岭', pinYin: 'tieling', py: 'tl', areaId: 2110 }, { name: '铜陵', pinYin: 'tongling', py: 'tl', areaId: 1509 }, { name: '铜川', pinYin: 'tongchuan', py: 'tc', areaId: 6104 }, { name: '通辽', pinYin: 'tongliao', py: 'tl', areaId: 1509 }, { name: '通化', pinYin: 'tonghua', py: 'th', areaId: 2207 }, { name: '铜仁', pinYin: 'tongren', py: 'tr', areaId: 5203 }, { name: '吐鲁番', pinYin: 'tulufan', py: 'tlf', areaId: 6508 }, { name: '武汉', pinYin: 'wuhan', py: 'wh', areaId: 4206 }, { name: '芜湖', pinYin: 'wuhu', py: 'wh', areaId: 3401 }, { name: '乌海', pinYin: 'wuhai', py: 'wh', areaId: 1505 }, { name: '无锡', pinYin: 'wuxi', py: 'wx', areaId: 3204 }, { name: '梧州', pinYin: 'wuzhou', py: 'wz', areaId: 4507 }, { name: '武威', pinYin: 'wuwei', py: 'ww', areaId: 6206 }, { name: '乌兰察布', pinYin: 'wulanchabu', py: 'wlcb', areaId: 1511 }, { name: '五指山', pinYin: 'wuzhishan', py: 'wzs', areaId: 4612 }, { name: '五家渠', pinYin: 'wujiaqu', py: 'wjq', areaId: 6517 }, { name: '吴忠', pinYin: 'wuzhong', py: 'wz', areaId: 6403 }, { name: '万宁', pinYin: 'wanning', py: 'wn', areaId: 4601 }, { name: '温州', pinYin: 'wenzhou', py: 'wz', areaId: 3306 }, { name: '文山', pinYin: 'wenshan', py: 'ws', areaId: 5314 }, { name: '乌鲁木齐', pinYin: 'wulumuqi', py: 'wlmq', areaId: 6503 }, { name: '潍坊', pinYin: 'weifang', py: 'wf', areaId: 3701 }, { name: '威海', pinYin: 'weihai', py: 'wh', areaId: 3717 }, { name: '渭南', pinYin: 'weinan', py: 'wn', areaId: 6106 }, { name: '西安', pinYin: 'xian', py: 'xa', areaId: 6110 }, { name: '西双版纳', pinYin: 'xishuangbanna', py: 'xsbb', areaId: 5303 }, { name: '锡林郭勒盟', pinYin: 'xilinguolemeng', py: 'xlglm', areaId: 1504 }, { name: '厦门', pinYin: 'xiamen', py: 'xm', areaId: 3508 }, { name: '徐州', pinYin: 'xuzhou', py: 'xz', areaId: 3206 }, { name: '宣城', pinYin: 'xuancheng', py: 'xc', areaId: 3412 }, { name: '西宁', pinYin: 'xining', py: 'xn', areaId: 6305 }, { name: '咸宁', pinYin: 'xianning', py: 'xn', areaId: 4210 }, { name: '咸阳', pinYin: 'xianyang', py: 'xy', areaId: 6103 }, { name: '襄阳', pinYin: 'xiangyang', py: 'xy', areaId: 4203 }, { name: '湘潭', pinYin: 'xiangtan', py: 'xt', areaId: 4307 }, { name: '湘西', pinYin: 'xiangxi', py: 'xx', areaId: 4314 }, { name: '孝感', pinYin: 'xiaogan', py: 'xg', areaId: 4209 }, { name: '邢台', pinYin: 'xingtai', py: 'xt', areaId: 1307 }, { name: '新余', pinYin: 'xinyu', py: 'xy', areaId: 3610 }, { name: '新乡', pinYin: 'xinxiang', py: 'xx', areaId: 4113 }, { name: '许昌', pinYin: 'xuchang', py: 'xc', areaId: 4108 }, { name: '信阳', pinYin: 'xinyang', py: 'xy', areaId: 4101 }, { name: '忻州', pinYin: 'xinzhou', py: 'xz', areaId: 1402 }, { name: '兴安盟', pinYin: 'xinyanmeng', py: 'xam', areaId: 1506 }, { name: '银川', pinYin: 'yinchuan', py: 'yc', areaId: 6401 }, { name: '宜昌', pinYin: 'yichang', py: 'yc', areaId: 4208 }, { name: '益阳', pinYin: 'yiyang', py: 'yy', areaId: 4308 }, { name: '伊春', pinYin: 'yichun', py: 'yc', areaId: 2301 }, { name: '宜春', pinYin: 'yichun', py: 'yc', areaId: 3601 }, { name: '雅安', pinYin: 'yaan', py: 'ya', areaId: 5104 }, { name: '烟台', pinYin: 'yantai', py: 'yt', areaId: 3702 }, { name: '延边', pinYin: 'yanbian', py: 'yb', areaId: 2205 }, { name: '盐城', pinYin: 'yancheng', py: 'yc', areaId: 3201 }, { name: '扬州', pinYin: 'yangzhou', py: 'yz', areaId: 3205 }, { name: '阳泉', pinYin: 'yangquan', py: 'yq', areaId: 1406 }, { name: '阳江', pinYin: 'yangjiang', py: 'yj', areaId: 4420 }, { name: '宜宾', pinYin: 'yibin', py: 'yb', areaId: 5118 }, { name: '运城', pinYin: 'yuncheng', py: 'yc', areaId: 1411 }, { name: '云浮', pinYin: 'yunfu', py: 'yf', areaId: 4404 }, { name: '榆林', pinYin: 'yulin', py: 'yl', areaId: 6108 }, { name: '玉林', pinYin: 'yulin', py: 'yl', areaId: 4513 }, { name: '玉树', pinYin: 'yushu', py: 'ys', areaId: 6306 }, { name: '盐城', pinYin: 'yancheng', py: 'yc', areaId: 3201 }, { name: '岳阳', pinYin: 'yueyang', py: 'yy', areaId: 4302 }, { name: '玉溪', pinYin: 'yuxi', py: 'yx', areaId: 5306 }, { name: '延安', pinYin: 'yanan', py: 'ya', areaId: 6109 }, { name: '伊犁', pinYin: 'yili', py: 'yl', areaId: 6513 }, { name: '鹰潭', pinYin: 'yingtan', py: 'yt', areaId: 3607 }, { name: '营口', pinYin: 'yingkou', py: 'yk', areaId: 2108 }, { name: '永州', pinYin: 'yongzhou', py: 'yz', areaId: 4306 }, { name: '郑州', pinYin: 'zhengzhou', py: 'zz', areaId: 4107 }, { name: '镇江', pinYin: 'zhenjiang', py: 'zj', areaId: 3213 }, { name: '珠海', pinYin: 'zhuhai', py: 'zh', areaId: 4417 }, { name: '张家界', pinYin: 'zhangjiajie', py: 'zzj', areaId: 4313 }, { name: '漳州', pinYin: 'zhanghzou', py: 'zz', areaId: 3501 }, { name: '中山', pinYin: 'zhongshan', py: 'zs', areaId: 4405 }, { name: '中卫', pinYin: 'zhongwei', py: 'zw', areaId: 6404 }, { name: '遵义', pinYin: 'zunyi', py: 'zy', areaId: 5209 }, { name: '湛江', pinYin: 'zhanjiang', py: 'zj', areaId: 4415 }, { name: '株洲', pinYin: 'zhuzhou', py: 'zz', areaId: 4305 }, { name: '驻马店', pinYin: 'zhumadian', py: 'zmd', areaId: 4103 }, { name: '肇庆', pinYin: 'zhaoqing', py: 'zq', areaId: 4418 }, { name: '昭通', pinYin: 'zhaotong', py: 'zt', areaId: 5316 }, { name: '枣庄', pinYin: 'zaozhuang', py: 'zz', areaId: 3711 }, { name: '舟山', pinYin: 'zhoushan', py: 'zs', areaId: 3308 }, { name: '周口', pinYin: 'zhoukou', py: 'zk', areaId: 4116 }, { name: '淄博', pinYin: 'zibo', py: 'zb', areaId: 3707 }, { name: '自贡', pinYin: 'zigong', py: 'zg', areaId: 5109 }, { name: '资阳', pinYin: 'ziyang', py: 'zy', areaId: 5108 }, { name: '张掖', pinYin: 'zhangye', py: 'zy', areaId: 6207 }]
};

/***/ }),

/***/ 48:
/***/ (function(module, exports) {

module.exports = {
  "wxc-minibar": {
    "width": "750",
    "height": "90",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "backgroundColor": "#009ff0"
  },
  "left": {
    "width": "90"
  },
  "middle-title": {
    "marginLeft": "90",
    "fontSize": "32",
    "color": "#ffffff",
    "height": "36",
    "lineHeight": "34"
  },
  "left-icon": {
    "width": "88",
    "height": "88",
    "lineHeight": "88",
    "fontSize": "38",
    "textAlign": "center"
  },
  "right": {
    "width": "180",
    "paddingRight": "32",
    "alignItems": "flex-end"
  },
  "left-button": {
    "width": "21",
    "height": "36"
  },
  "right-button": {
    "width": "32",
    "height": "32"
  },
  "icon-text": {
    "fontSize": "28",
    "color": "#ffffff"
  }
}

/***/ }),

/***/ 49:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _gxtui = __webpack_require__(13);

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
exports.default = {
  components: { GxtIcon: _gxtui.GxtIcon },
  props: {
    backgroundColor: {
      type: String,
      default: '#FFC900'
    },
    leftButton: {
      type: String,
      default: 'https://gw.alicdn.com/tfs/TB1x18VpwMPMeJjy1XdXXasrXXa-21-36.png'
    },
    textColor: {
      type: String,
      default: '#3D3D3D'
    },
    rightButton: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: '标题'
    },
    leftText: {
      type: String,
      default: ''
    },
    rightText: {
      type: String,
      default: ''
    },
    useDefaultReturn: {
      type: Boolean,
      default: true
    },
    show: {
      type: Boolean,
      default: true
    }
  },
  methods: {
    leftButtonClicked: function leftButtonClicked() {
      var self = this;
      /*if (self.useDefaultReturn) {
          navigator.pop({}, e => {
        });
      }*/
      self.$emit('wxcMinibarLeftButtonClicked', {});
    },
    rightButtonClicked: function rightButtonClicked() {
      var self = this;
      if (self.rightText || self.rightButton) {
        self.$emit('wxcMinibarRightButtonClicked', {});
      }
    }
  }
};

/***/ }),

/***/ 50:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["wxc-minibar"],
    style: {
      backgroundColor: _vm.backgroundColor
    }
  }, [_c('div', {
    staticClass: ["left"],
    attrs: {
      "ariaLabel": "返回",
      "accessible": true
    },
    on: {
      "click": _vm.leftButtonClicked
    }
  }, [_vm._t("left", [_c('gxt-icon', {
    staticClass: ["left-icon"],
    attrs: {
      "name": "back"
    },
    on: {
      "gxtIconClicked": _vm.leftButtonClicked
    }
  }), (_vm.leftText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.leftText))]) : _vm._e()])], 2), _vm._t("middle", [_c('text', {
    staticClass: ["middle-title"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["right"],
    on: {
      "click": _vm.rightButtonClicked
    }
  }, [_vm._t("right", [(_vm.rightButton && !_vm.rightText) ? _c('image', {
    staticClass: ["right-button"],
    attrs: {
      "src": _vm.rightButton,
      "ariaHidden": true
    }
  }) : _vm._e(), (_vm.rightText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()])], 2)], 2) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 55:
/***/ (function(module, exports) {

module.exports = {
  "wxc-search-bar": {
    "paddingLeft": "20",
    "paddingRight": "20",
    "backgroundColor": "#ffffff",
    "width": "750",
    "height": "84",
    "flexDirection": "row"
  },
  "wxc-search-bar-yellow": {
    "backgroundColor": "#ffc900"
  },
  "search-bar-input": {
    "position": "absolute",
    "top": "10",
    "paddingTop": 0,
    "paddingBottom": 0,
    "paddingRight": "40",
    "paddingLeft": "60",
    "fontSize": "26",
    "width": "624",
    "height": "64",
    "lineHeight": "64",
    "backgroundColor": "#E5E5E5",
    "borderRadius": "6"
  },
  "search-bar-input-yellow": {
    "backgroundColor": "#fff6d6"
  },
  "search-bar-icon": {
    "position": "absolute",
    "width": "30",
    "height": "30",
    "left": "34",
    "top": "28"
  },
  "search-bar-close": {
    "position": "absolute",
    "width": "30",
    "height": "30",
    "right": "120",
    "top": "28"
  },
  "search-bar-button": {
    "width": "94",
    "height": "65",
    "lineHeight": "65",
    "fontSize": "30",
    "textAlign": "center",
    "backgroundColor": "#ffffff",
    "marginTop": "10",
    "marginRight": 0,
    "color": "#333333",
    "position": "absolute",
    "right": "8",
    "backgroundColor:active": "#F8F8F8"
  },
  "search-bar-button-yellow": {
    "backgroundColor": "#FFC900"
  },
  "input-has-dep": {
    "paddingLeft": "240",
    "width": "710"
  },
  "bar-dep": {
    "width": "170",
    "paddingRight": "12",
    "paddingLeft": "12",
    "height": "42",
    "alignItems": "center",
    "flexDirection": "row",
    "position": "absolute",
    "left": "24",
    "top": "22",
    "borderRightStyle": "solid",
    "borderRightWidth": "1",
    "borderRightColor": "#C7C7C7"
  },
  "bar-dep-yellow": {
    "borderRightColor": "#C7C7C7"
  },
  "dep-text": {
    "flex": 1,
    "textAlign": "center",
    "fontSize": "26",
    "color": "#666666",
    "marginRight": "6",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "dep-arrow": {
    "width": "24",
    "height": "24"
  },
  "icon-has-dep": {
    "left": "214"
  },
  "disabled-input": {
    "width": "750",
    "height": "64",
    "position": "absolute",
    "left": 0,
    "backgroundColor": "rgba(0,0,0,0)"
  },
  "has-dep-disabled": {
    "width": "550",
    "left": "200"
  }
}

/***/ }),

/***/ 56:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _type = __webpack_require__(57);

exports.default = {
    props: {
        disabled: {
            type: Boolean,
            default: false
        },
        alwaysShowCancel: {
            type: Boolean,
            default: false
        },
        inputType: {
            type: String,
            default: 'text'
        },
        mod: {
            type: String,
            default: 'default'
        },
        autofocus: {
            type: Boolean,
            default: false
        },
        theme: {
            type: String,
            default: 'gray'
        },
        barStyle: {
            type: Object,
            default: function _default() {
                return {};
            }
        },
        defaultValue: {
            type: String,
            default: ''
        },
        placeholder: {
            type: String,
            default: '搜索'
        },
        cancelLabel: {
            type: String,
            default: '取消 '
        },
        depName: {
            type: String,
            default: '杭州'
        }
    },
    computed: {
        needShowCancel: function needShowCancel() {
            return this.alwaysShowCancel || this.showCancel;
        },
        buttonStyle: function buttonStyle() {
            var barStyle = this.barStyle;

            if (barStyle.backgroundColor) {
                return { backgroundColor: barStyle.backgroundColor };
            }
            return {};
        }
    },
    data: function data() {
        return {
            inputIcon: _type.INPUT_ICON,
            closeIcon: _type.CLOSE_ICON,
            arrowIcon: _type.ARROW_ICON,
            showCancel: false,
            showClose: false,
            value: ''
        };
    },
    created: function created() {
        this.defaultValue && (this.value = this.defaultValue);
        if (this.disabled) {
            this.showCancel = false;
            this.showClose = false;
        }
    },

    methods: {
        onBlur: function onBlur() {
            var self = this;
            setTimeout(function () {
                self.showCancel = false;
                self.detectShowClose();
                self.$emit('wxcSearchbarInputOnBlur', { value: self.value });
            }, 10);
        },
        autoBlur: function autoBlur() {
            this.$refs['search-input'].blur();
        },
        onFocus: function onFocus() {
            if (this.isDisabled) {
                return;
            }
            this.showCancel = true;
            this.detectShowClose();
            this.$emit('wxcSearchbarInputOnFocus', { value: this.value });
        },
        closeClicked: function closeClicked() {
            this.value = '';
            this.showCancel && (this.showCancel = false);
            this.showClose && (this.showClose = false);
            this.$emit('wxcSearchbarCloseClicked', { value: this.value });
            this.$emit('wxcSearchbarInputOnInput', { value: this.value });
        },
        onInput: function onInput(e) {
            this.value = e.value;
            this.showCancel = true;
            this.detectShowClose();
            this.$emit('wxcSearchbarInputOnInput', { value: this.value });
        },
        onSubmit: function onSubmit(e) {
            this.onBlur();
            this.value = e.value;
            this.showCancel = true;
            this.detectShowClose();
            this.$emit('wxcSearchbarInputReturned', { value: this.value });
        },
        cancelClicked: function cancelClicked() {
            this.showCancel && (this.showCancel = false);
            this.showClose && (this.showClose = false);
            this.$emit('wxcSearchbarCancelClicked', { value: this.value });
        },
        detectShowClose: function detectShowClose() {
            this.showClose = this.value.length > 0 && this.showCancel;
        },
        depClicked: function depClicked() {
            this.$emit('wxcSearchbarDepChooseClicked', {});
        },
        inputDisabledClicked: function inputDisabledClicked() {
            this.$emit('wxcSearchbarInputDisabledClicked', {});
        },
        setValue: function setValue(value) {
            this.value = value;
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 57:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 2016/10/31.
 */

var INPUT_ICON = exports.INPUT_ICON = "https://gw.alicdn.com/tfs/TB1FZB.pwMPMeJjy1XdXXasrXXa-30-30.png";
var CLOSE_ICON = exports.CLOSE_ICON = "https://gw.alicdn.com/tfs/TB1sZB.pwMPMeJjy1XdXXasrXXa-24-24.png";
var ARROW_ICON = exports.ARROW_ICON = "https://gw.alicdn.com/tfs/TB1vZB.pwMPMeJjy1XdXXasrXXa-24-24.png";

/***/ }),

/***/ 58:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.mod === 'default') ? _c('div', {
    class: ['wxc-search-bar', 'wxc-search-bar-' + _vm.theme],
    style: _vm.barStyle
  }, [_c('input', {
    ref: "search-input",
    class: ['search-bar-input', 'search-bar-input-' + _vm.theme],
    style: {
      width: _vm.needShowCancel ? '624px' : '710px'
    },
    attrs: {
      "autofocus": _vm.autofocus,
      "disabled": _vm.disabled,
      "value": _vm.value,
      "type": _vm.inputType,
      "placeholder": _vm.placeholder
    },
    on: {
      "blur": _vm.onBlur,
      "focus": _vm.onFocus,
      "input": _vm.onInput,
      "return": _vm.onSubmit
    }
  }), (_vm.disabled) ? _c('div', {
    staticClass: ["disabled-input"],
    on: {
      "click": _vm.inputDisabledClicked
    }
  }) : _vm._e(), _c('image', {
    staticClass: ["search-bar-icon"],
    attrs: {
      "ariaHidden": true,
      "src": _vm.inputIcon
    }
  }), (_vm.showClose) ? _c('image', {
    staticClass: ["search-bar-close"],
    attrs: {
      "ariaHidden": true,
      "src": _vm.closeIcon
    },
    on: {
      "click": _vm.closeClicked
    }
  }) : _vm._e(), (_vm.needShowCancel) ? _c('text', {
    class: ['search-bar-button', 'search-bar-button-' + _vm.theme],
    style: _vm.buttonStyle,
    on: {
      "click": _vm.cancelClicked
    }
  }, [_vm._v(_vm._s(_vm.cancelLabel))]) : _vm._e()]) : _vm._e(), (_vm.mod === 'hasDep') ? _c('div', {
    class: ['wxc-search-bar', 'wxc-search-bar-' + _vm.theme],
    style: _vm.barStyle
  }, [_c('input', {
    class: ['search-bar-input', 'input-has-dep', 'search-bar-input-' + _vm.theme],
    attrs: {
      "disabled": _vm.disabled,
      "autofocus": _vm.autofocus,
      "value": _vm.value,
      "type": _vm.inputType,
      "placeholder": _vm.placeholder
    },
    on: {
      "blur": _vm.onBlur,
      "focus": _vm.onFocus,
      "input": _vm.onInput,
      "return": _vm.onSubmit
    }
  }), (_vm.disabled) ? _c('div', {
    staticClass: ["disabled-input", "has-dep-disabled"],
    on: {
      "click": _vm.inputDisabledClicked
    }
  }) : _vm._e(), _c('div', {
    class: ['bar-dep', '.bar-dep-' + _vm.theme],
    on: {
      "click": _vm.depClicked
    }
  }, [_c('text', {
    staticClass: ["dep-text"]
  }, [_vm._v(_vm._s(_vm.depName))]), _c('image', {
    staticClass: ["dep-arrow"],
    attrs: {
      "src": _vm.arrowIcon,
      "ariaHidden": true
    }
  })]), _c('image', {
    staticClass: ["search-bar-icon", "icon-has-dep"],
    attrs: {
      "ariaHidden": true,
      "src": _vm.inputIcon
    }
  })]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 59:
/***/ (function(module, exports) {

module.exports = {
  "wrap": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0
  },
  "wxc-result": {
    "width": "750",
    "flex": 1,
    "alignItems": "center",
    "backgroundColor": "#f2f3f4"
  },
  "result-image": {
    "width": "320",
    "height": "320"
  },
  "result-content": {
    "marginTop": "36",
    "alignItems": "center"
  },
  "content-text": {
    "fontSize": "30",
    "color": "#A5A5A5",
    "height": "42",
    "lineHeight": "42",
    "textAlign": "center"
  },
  "content-desc": {
    "marginTop": "10"
  },
  "result-button": {
    "marginTop": "60",
    "borderWidth": "1",
    "borderColor": "#979797",
    "backgroundColor": "#FFFFFF",
    "borderRadius": "6",
    "width": "240",
    "height": "72",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "button-text": {
    "color": "#666666",
    "fontSize": "30"
  }
}

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var required = __webpack_require__(7),
    qs = __webpack_require__(8),
    protocolre = /^([a-z][a-z0-9.+-]*:)?(\/\/)?([\S\s]*)/i,
    slashes = /^[A-Za-z][A-Za-z0-9+-.]*:\/\//;

/**
 * These are the parse rules for the URL parser, it informs the parser
 * about:
 *
 * 0. The char it Needs to parse, if it's a string it should be done using
 *    indexOf, RegExp using exec and NaN means set as current value.
 * 1. The property we should set when parsing this value.
 * 2. Indication if it's backwards or forward parsing, when set as number it's
 *    the value of extra chars that should be split off.
 * 3. Inherit from location if non existing in the parser.
 * 4. `toLowerCase` the resulting value.
 */
var rules = [['#', 'hash'], // Extract from the back.
['?', 'query'], // Extract from the back.
['/', 'pathname'], // Extract from the back.
['@', 'auth', 1], // Extract from the front.
[NaN, 'host', undefined, 1, 1], // Set left over value.
[/:(\d+)$/, 'port', undefined, 1], // RegExp the back.
[NaN, 'hostname', undefined, 1, 1] // Set left over.
];

/**
 * These properties should not be copied or inherited from. This is only needed
 * for all non blob URL's as a blob URL does not include a hash, only the
 * origin.
 *
 * @type {Object}
 * @private
 */
var ignore = { hash: 1, query: 1 };

/**
 * The location object differs when your code is loaded through a normal page,
 * Worker or through a worker using a blob. And with the blobble begins the
 * trouble as the location object will contain the URL of the blob, not the
 * location of the page where our code is loaded in. The actual origin is
 * encoded in the `pathname` so we can thankfully generate a good "default"
 * location from it so we can generate proper relative URL's again.
 *
 * @param {Object|String} loc Optional default location object.
 * @returns {Object} lolcation object.
 * @api public
 */
function lolcation(loc) {
  loc = loc || global.location || {};

  var finaldestination = {},
      type = typeof loc === 'undefined' ? 'undefined' : _typeof(loc),
      key;

  if ('blob:' === loc.protocol) {
    finaldestination = new URL(unescape(loc.pathname), {});
  } else if ('string' === type) {
    finaldestination = new URL(loc, {});
    for (key in ignore) {
      delete finaldestination[key];
    }
  } else if ('object' === type) {
    for (key in loc) {
      if (key in ignore) continue;
      finaldestination[key] = loc[key];
    }

    if (finaldestination.slashes === undefined) {
      finaldestination.slashes = slashes.test(loc.href);
    }
  }

  return finaldestination;
}

/**
 * @typedef ProtocolExtract
 * @type Object
 * @property {String} protocol Protocol matched in the URL, in lowercase.
 * @property {Boolean} slashes `true` if protocol is followed by "//", else `false`.
 * @property {String} rest Rest of the URL that is not part of the protocol.
 */

/**
 * Extract protocol information from a URL with/without double slash ("//").
 *
 * @param {String} address URL we want to extract from.
 * @return {ProtocolExtract} Extracted information.
 * @api private
 */
function extractProtocol(address) {
  var match = protocolre.exec(address);

  return {
    protocol: match[1] ? match[1].toLowerCase() : '',
    slashes: !!match[2],
    rest: match[3]
  };
}

/**
 * Resolve a relative URL pathname against a base URL pathname.
 *
 * @param {String} relative Pathname of the relative URL.
 * @param {String} base Pathname of the base URL.
 * @return {String} Resolved pathname.
 * @api private
 */
function resolve(relative, base) {
  var path = (base || '/').split('/').slice(0, -1).concat(relative.split('/')),
      i = path.length,
      last = path[i - 1],
      unshift = false,
      up = 0;

  while (i--) {
    if (path[i] === '.') {
      path.splice(i, 1);
    } else if (path[i] === '..') {
      path.splice(i, 1);
      up++;
    } else if (up) {
      if (i === 0) unshift = true;
      path.splice(i, 1);
      up--;
    }
  }

  if (unshift) path.unshift('');
  if (last === '.' || last === '..') path.push('');

  return path.join('/');
}

/**
 * The actual URL instance. Instead of returning an object we've opted-in to
 * create an actual constructor as it's much more memory efficient and
 * faster and it pleases my OCD.
 *
 * @constructor
 * @param {String} address URL we want to parse.
 * @param {Object|String} location Location defaults for relative paths.
 * @param {Boolean|Function} parser Parser for the query string.
 * @api public
 */
function URL(address, location, parser) {
  if (!(this instanceof URL)) {
    return new URL(address, location, parser);
  }

  var relative,
      extracted,
      parse,
      instruction,
      index,
      key,
      instructions = rules.slice(),
      type = typeof location === 'undefined' ? 'undefined' : _typeof(location),
      url = this,
      i = 0;

  //
  // The following if statements allows this module two have compatibility with
  // 2 different API:
  //
  // 1. Node.js's `url.parse` api which accepts a URL, boolean as arguments
  //    where the boolean indicates that the query string should also be parsed.
  //
  // 2. The `URL` interface of the browser which accepts a URL, object as
  //    arguments. The supplied object will be used as default values / fall-back
  //    for relative paths.
  //
  if ('object' !== type && 'string' !== type) {
    parser = location;
    location = null;
  }

  if (parser && 'function' !== typeof parser) parser = qs.parse;

  location = lolcation(location);

  //
  // Extract protocol information before running the instructions.
  //
  extracted = extractProtocol(address || '');
  relative = !extracted.protocol && !extracted.slashes;
  url.slashes = extracted.slashes || relative && location.slashes;
  url.protocol = extracted.protocol || location.protocol || '';
  address = extracted.rest;

  //
  // When the authority component is absent the URL starts with a path
  // component.
  //
  if (!extracted.slashes) instructions[2] = [/(.*)/, 'pathname'];

  for (; i < instructions.length; i++) {
    instruction = instructions[i];
    parse = instruction[0];
    key = instruction[1];

    if (parse !== parse) {
      url[key] = address;
    } else if ('string' === typeof parse) {
      if (~(index = address.indexOf(parse))) {
        if ('number' === typeof instruction[2]) {
          url[key] = address.slice(0, index);
          address = address.slice(index + instruction[2]);
        } else {
          url[key] = address.slice(index);
          address = address.slice(0, index);
        }
      }
    } else if (index = parse.exec(address)) {
      url[key] = index[1];
      address = address.slice(0, index.index);
    }

    url[key] = url[key] || (relative && instruction[3] ? location[key] || '' : '');

    //
    // Hostname, host and protocol should be lowercased so they can be used to
    // create a proper `origin`.
    //
    if (instruction[4]) url[key] = url[key].toLowerCase();
  }

  //
  // Also parse the supplied query string in to an object. If we're supplied
  // with a custom parser as function use that instead of the default build-in
  // parser.
  //
  if (parser) url.query = parser(url.query);

  //
  // If the URL is relative, resolve the pathname against the base URL.
  //
  if (relative && location.slashes && url.pathname.charAt(0) !== '/' && (url.pathname !== '' || location.pathname !== '')) {
    url.pathname = resolve(url.pathname, location.pathname);
  }

  //
  // We should not add port numbers if they are already the default port number
  // for a given protocol. As the host also contains the port number we're going
  // override it with the hostname which contains no port number.
  //
  if (!required(url.port, url.protocol)) {
    url.host = url.hostname;
    url.port = '';
  }

  //
  // Parse down the `auth` for the username and password.
  //
  url.username = url.password = '';
  if (url.auth) {
    instruction = url.auth.split(':');
    url.username = instruction[0] || '';
    url.password = instruction[1] || '';
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:' ? url.protocol + '//' + url.host : 'null';

  //
  // The href is just the compiled result.
  //
  url.href = url.toString();
}

/**
 * This is convenience method for changing properties in the URL instance to
 * insure that they all propagate correctly.
 *
 * @param {String} part          Property we need to adjust.
 * @param {Mixed} value          The newly assigned value.
 * @param {Boolean|Function} fn  When setting the query, it will be the function
 *                               used to parse the query.
 *                               When setting the protocol, double slash will be
 *                               removed from the final url if it is true.
 * @returns {URL}
 * @api public
 */
function set(part, value, fn) {
  var url = this;

  switch (part) {
    case 'query':
      if ('string' === typeof value && value.length) {
        value = (fn || qs.parse)(value);
      }

      url[part] = value;
      break;

    case 'port':
      url[part] = value;

      if (!required(value, url.protocol)) {
        url.host = url.hostname;
        url[part] = '';
      } else if (value) {
        url.host = url.hostname + ':' + value;
      }

      break;

    case 'hostname':
      url[part] = value;

      if (url.port) value += ':' + url.port;
      url.host = value;
      break;

    case 'host':
      url[part] = value;

      if (/:\d+$/.test(value)) {
        value = value.split(':');
        url.port = value.pop();
        url.hostname = value.join(':');
      } else {
        url.hostname = value;
        url.port = '';
      }

      break;

    case 'protocol':
      url.protocol = value.toLowerCase();
      url.slashes = !fn;
      break;

    case 'pathname':
    case 'hash':
      if (value) {
        var char = part === 'pathname' ? '/' : '#';
        url[part] = value.charAt(0) !== char ? char + value : value;
      } else {
        url[part] = value;
      }
      break;

    default:
      url[part] = value;
  }

  for (var i = 0; i < rules.length; i++) {
    var ins = rules[i];

    if (ins[4]) url[ins[1]] = url[ins[1]].toLowerCase();
  }

  url.origin = url.protocol && url.host && url.protocol !== 'file:' ? url.protocol + '//' + url.host : 'null';

  url.href = url.toString();

  return url;
}

/**
 * Transform the properties back in to a valid and full URL string.
 *
 * @param {Function} stringify Optional query stringify function.
 * @returns {String}
 * @api public
 */
function toString(stringify) {
  if (!stringify || 'function' !== typeof stringify) stringify = qs.stringify;

  var query,
      url = this,
      protocol = url.protocol;

  if (protocol && protocol.charAt(protocol.length - 1) !== ':') protocol += ':';

  var result = protocol + (url.slashes ? '//' : '');

  if (url.username) {
    result += url.username;
    if (url.password) result += ':' + url.password;
    result += '@';
  }

  result += url.host + url.pathname;

  query = 'object' === _typeof(url.query) ? stringify(url.query) : url.query;
  if (query) result += '?' !== query.charAt(0) ? '?' + query : query;

  if (url.hash) result += url.hash;

  return result;
}

URL.prototype = { set: set, toString: toString };

//
// Expose the URL parser and some additional properties that might be useful for
// others or testing.
//
URL.extractProtocol = extractProtocol;
URL.location = lolcation;
URL.qs = qs;

module.exports = URL;
/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(3)))

/***/ }),

/***/ 60:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _type = __webpack_require__(61);

var _type2 = _interopRequireDefault(_type);

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    type: {
      type: String,
      default: 'errorPage'
    },
    show: {
      type: Boolean,
      default: true
    },
    wrapStyle: Object,
    paddingTop: {
      type: [Number, String],
      default: 232
    },
    customSet: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  computed: {
    resultType: function resultType() {
      var type = this.type,
          customSet = this.customSet;

      var allTypes = _utils2.default.isEmptyObject(customSet) ? _type2.default : _utils2.default.mergeDeep(_type2.default, customSet);
      var types = allTypes['errorPage'];
      if (['errorPage', 'noGoods', 'noNetwork', 'errorLocation'].indexOf(type) > -1) {
        types = allTypes[type];
      }
      return types;
    },
    setPaddingTop: function setPaddingTop() {
      var paddingTop = this.paddingTop;
      return paddingTop + 'px';
    }
  },
  methods: {
    handleTouchEnd: function handleTouchEnd(e) {
      // web上面有点击穿透问题
      var platform = weex.config.env.platform;

      platform === 'Web' && e.preventDefault && e.preventDefault();
    },
    onClick: function onClick() {
      var type = this.type;
      this.$emit('wxcResultButtonClicked', { type: type });
    }
  }
};

/***/ }),

/***/ 61:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
 * Created by Tw93 on 2016/11/4.
 */

exports.default = {
  errorPage: {
    pic: 'https://img.alicdn.com/tfs/TB17blphfDH8KJjy1XcXXcpdXXa-320-320.png',
    content: '抱歉出错了，我们正在全力解决中',
    button: '再试一次',
    title: '出错啦'
  },
  noGoods: {
    pic: 'https://img.alicdn.com/tfs/TB1mPWEeOqAXuNjy1XdXXaYcVXa-320-320.png',
    content: '主人，这里什么都没有找到',
    button: '再试一次',
    title: '暂无商品'
  },
  noNetwork: {
    pic: 'https://img.alicdn.com/tfs/TB1jkA5g9_I8KJjy0FoXXaFnVXa-320-320.png',
    content: '哎呀，没有网络了......',
    button: '刷新一下',
    title: '无网络'
  },
  errorLocation: {
    pic: 'https://img.alicdn.com/tfs/TB1zXXahhrI8KJjy0FpXXb5hVXa-320-320.png',
    content: '哎呀，定位失败了......',
    button: '刷新一下',
    title: '定位失败'
  }
};

/***/ }),

/***/ 62:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["wrap"],
    style: _vm.wrapStyle
  }, [_c('div', {
    staticClass: ["wxc-result"],
    style: {
      paddingTop: _vm.setPaddingTop
    }
  }, [_c('image', {
    staticClass: ["result-image"],
    attrs: {
      "ariaHidden": true,
      "src": _vm.resultType.pic
    }
  }), (_vm.resultType.content) ? _c('div', {
    staticClass: ["result-content"]
  }, [_c('text', {
    staticClass: ["content-text"]
  }, [_vm._v(_vm._s(_vm.resultType.content))]), (_vm.resultType.desc) ? _c('text', {
    staticClass: ["content-text", "content-desc"]
  }, [_vm._v(_vm._s(_vm.resultType.desc))]) : _vm._e()]) : _vm._e(), (_vm.resultType.button) ? _c('div', {
    staticClass: ["result-button"],
    on: {
      "touchend": _vm.handleTouchEnd,
      "click": _vm.onClick
    }
  }, [_c('text', {
    staticClass: ["button-text"]
  }, [_vm._v(_vm._s(_vm.resultType.button))])]) : _vm._e()])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 63:
/***/ (function(module, exports) {

module.exports = {
  "index-list": {
    "width": "750",
    "height": "1334"
  },
  "index-list-title": {
    "borderBottomWidth": "1",
    "borderBottomColor": "rgba(32,35,37,0.15)",
    "backgroundColor": "#FBFBFB",
    "fontSize": "24",
    "color": "#666666",
    "height": "48",
    "lineHeight": "48",
    "paddingLeft": "24",
    "width": "750"
  },
  "group-title": {
    "borderBottomWidth": 0,
    "paddingBottom": 0,
    "height": "60",
    "paddingTop": "24"
  },
  "index-list-item": {
    "width": "750",
    "flexDirection": "row",
    "alignItems": "center",
    "borderBottomWidth": "1",
    "borderBottomColor": "#e0e0e0",
    "height": "92",
    "paddingLeft": "24",
    "paddingRight": "24",
    "backgroundColor": "#FFFFFF",
    "justifyContent": "space-between"
  },
  "iphone-x": {
    "height": "68"
  },
  "title": {
    "fontSize": "32",
    "color": "#3D3D3D"
  },
  "desc": {
    "fontSize": "24",
    "color": "#A5A5A5",
    "marginLeft": "30"
  },
  "index-list-nav": {
    "position": "absolute",
    "top": 0,
    "right": 0,
    "marginBottom": "60",
    "marginTop": "60",
    "paddingBottom": "20",
    "paddingTop": "20",
    "width": "70"
  },
  "list-nav-key": {
    "textAlign": "center",
    "fontSize": "24",
    "height": "40",
    "color": "#666666"
  },
  "index-list-pop": {
    "position": "fixed",
    "top": "550",
    "left": "316",
    "width": "120",
    "height": "120",
    "textAlign": "center",
    "justifyContent": "center",
    "backgroundColor": "rgba(32,35,37,0.6)",
    "borderBottomLeftRadius": "60",
    "borderBottomRightRadius": "60",
    "borderTopLeftRadius": "60",
    "borderTopRightRadius": "60",
    "paddingLeft": 0,
    "paddingRight": 0,
    "paddingTop": "35",
    "paddingBottom": "35",
    "color": "#ffffff"
  },
  "list-pop-text": {
    "fontSize": "40",
    "textAlign": "center",
    "color": "#ffffff"
  },
  "group": {
    "paddingBottom": "18",
    "paddingRight": "70",
    "backgroundColor": "#FBFBFB"
  },
  "group-list": {
    "flexDirection": "row",
    "marginLeft": "18",
    "marginTop": "18"
  },
  "group-item": {
    "width": "146",
    "height": "64",
    "borderWidth": "1",
    "borderColor": "#e0e0e0",
    "marginRight": "18",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "backgroundColor": "#ffffff"
  },
  "item-name": {
    "fontSize": "24",
    "lineHeight": "26",
    "color": "#333333"
  },
  "item-desc": {
    "marginTop": "2",
    "color": "#999999",
    "fontSize": "20",
    "textAlign": "center"
  },
  "location-icon": {
    "width": "32",
    "height": "32",
    "marginRight": "8"
  },
  "item-checked": {
    "color": "#E67C6A",
    "fontSize": "30",
    "marginRight": "98"
  }
}

/***/ }),

/***/ 64:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _format = __webpack_require__(65);

var Format = _interopRequireWildcard(_format);

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    height: {
      type: [Number, String],
      default: _utils2.default.env.getPageHeight()
    },
    normalList: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    onlyShowList: {
      type: Boolean,
      default: false
    },
    showIndex: {
      type: Boolean,
      default: true
    },
    hotListConfig: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    // 城市选择子组件 特殊情况支持
    cityLocationConfig: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    headerStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    navStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    navTextStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    popStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    popTextStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    itemStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    itemTextStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    itemDescStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    groupWrapStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    groupItemStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    groupItemTextStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    groupItemDescStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    currentIndex: {
      type: Boolean,
      default: true
    }
  },
  created: function created() {
    this.isIPhoneX = _utils2.default.env.isIPhoneX();
  },

  computed: {
    formatList: function formatList() {
      var normalList = this.normalList,
          hotListConfig = this.hotListConfig,
          cityLocationConfig = this.cityLocationConfig;

      return Format.totalList(normalList, hotListConfig, cityLocationConfig);
    }
  },
  data: function data() {
    return {
      popKeyShow: false,
      popKey: '',
      navOffsetY: 0,
      timer: null
    };
  },
  methods: {
    itemClicked: function itemClicked(item, index, vData) {
      this.$emit('wxcIndexlistItemClicked', {
        item: item,
        index: index,
        vData: vData
      });
    },
    go2Key: function go2Key(key) {
      var _this = this;

      var keyEl = this.$refs['index-item-title-' + key][0];
      keyEl && dom.scrollToElement(keyEl, {
        offset: 0
      });
      this.popKey = key;
      this.popKeyShow = true;
      this.timer && clearTimeout(this.timer);
      this.timer = setTimeout(function () {
        _this.popKeyShow = false;
      }, 600);
    }
  }
};

/***/ }),

/***/ 65:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.totalList = totalList;
exports.getSpecialData = getSpecialData;

var _utils = __webpack_require__(0);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 根据26个字母取每一项首字母对数据进行排序,处理数据变换
 * @return {[array]}
 */
function totalList(source, hotListConfig, cityLocationConfig) {
  var LETTERS = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
  var res = [];
  LETTERS.split('').forEach(function (letter) {
    var _data = source.filter(function (item) {
      if (item.pinYin) {
        return item.pinYin.slice(0, 1).toLowerCase() === letter.toLowerCase();
      } else if (item.py) {
        return item.py.slice(0, 1).toLowerCase() === letter.toLowerCase();
      } else {
        return false;
      }
    });
    if (_data.length) {
      res.push({
        title: letter,
        data: _data,
        type: 'list'
      });
    }
  });

  // 处理热门数据
  var hotList = getSpecialData(hotListConfig);
  hotList && res.unshift(hotList);

  // 处理特殊定位数据
  var cityLocation = getSpecialData(cityLocationConfig);
  cityLocation && res.unshift(cityLocation);

  return res;
} /**
   * CopyRight (C) 2017-2022 Alibaba Group Holding Limited.
   * Created by Tw93 on 17/11/01
   */

function getSpecialData(data) {
  if (data && data.type && data.list && data.list.length > 0) {
    var type = data.type,
        title = data.title,
        list = data.list;

    return {
      title: title,
      type: type,
      data: type === 'group' ? _utils2.default.arrayChunk(list) : list
    };
  } else {
    return null;
  }
}

/***/ }),

/***/ 66:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('list', {
    staticClass: ["index-list"],
    style: {
      height: _vm.height + 'px'
    }
  }, [_c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_vm._t("head")], 2), _vm._l((_vm.formatList), function(v, i) {
    return _c('cell', {
      key: i,
      ref: 'index-item-title-' + v.title,
      refInFor: true,
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [(!_vm.onlyShowList) ? _c('text', {
      class: ['index-list-title', v.type && v.type == 'group' && 'group-title'],
      style: _vm.headerStyle
    }, [_vm._v(_vm._s(v.title))]) : _vm._e(), (v.type && v.type === 'group' && !_vm.onlyShowList) ? _c('div', {
      staticClass: ["group"],
      style: _vm.groupWrapStyle
    }, _vm._l((v.data), function(group, index) {
      return _c('div', {
        key: index,
        staticClass: ["group-list"]
      }, _vm._l((group), function(item, i) {
        return _c('div', {
          key: i,
          staticClass: ["group-item"],
          style: _vm.groupItemStyle,
          attrs: {
            "accessible": true,
            "ariaLabel": ((item.name) + "," + (item.desc?item.desc:''))
          },
          on: {
            "click": function($event) {
              _vm.itemClicked(item)
            }
          }
        }, [(item.isLocation) ? _c('image', {
          staticClass: ["location-icon"],
          attrs: {
            "src": "https://gw.alicdn.com/tfs/TB1JUiUPFXXXXXUXXXXXXXXXXXX-32-32.png"
          }
        }) : _vm._e(), _c('div', [_c('text', {
          staticClass: ["item-name"],
          style: _vm.groupItemTextStyle
        }, [_vm._v(_vm._s(item.name))]), (item.desc) ? _c('text', {
          staticClass: ["item-desc"],
          style: _vm.groupItemDescStyle
        }, [_vm._v(_vm._s(item.desc))]) : _vm._e()])])
      }))
    })) : _vm._e(), (v.type === 'list') ? _c('div', _vm._l((v.data), function(item, index) {
      return _c('div', {
        key: index,
        staticClass: ["index-list-item"],
        style: _vm.itemStyle,
        attrs: {
          "accessible": true,
          "ariaLabel": ((item.name) + "," + (item.desc?item.desc:''))
        },
        on: {
          "click": function($event) {
            _vm.itemClicked(item, index, v.data)
          }
        }
      }, [_c('text', {
        staticClass: ["title"],
        style: _vm.itemTextStyle
      }, [_vm._v(_vm._s(item.name))]), _c('text', {
        staticClass: ["desc"],
        style: _vm.itemDescStyle
      }, [_vm._v(_vm._s(item.desc))]), (item.active) ? _c('text', {
        staticClass: ["item-checked"]
      }, [_vm._v("√")]) : _vm._e()])
    })) : _vm._e()])
  }), (_vm.isIPhoneX) ? _c('cell', {
    staticClass: ["iphone-x"],
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }) : _vm._e()], 2), (_vm.showIndex && !_vm.onlyShowList) ? _c('div', {
    staticClass: ["index-list-nav"],
    style: _vm.navStyle
  }, _vm._l((_vm.formatList), function(item, index) {
    return _c('text', {
      key: index,
      staticClass: ["list-nav-key"],
      style: _vm.navTextStyle,
      attrs: {
        "title": item.title
      },
      on: {
        "click": function($event) {
          _vm.go2Key(item.title)
        }
      }
    }, [_vm._v(_vm._s(item.title))])
  })) : _vm._e(), (_vm.popKeyShow) ? _c('div', {
    staticClass: ["index-list-pop"],
    style: _vm.popStyle
  }, [_c('text', {
    staticClass: ["list-pop-text"],
    style: _vm.popTextStyle
  }, [_vm._v(_vm._s(_vm.popKey))])]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 67:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(48)
)

/* script */
__vue_exports__ = __webpack_require__(49)

/* template */
var __vue_template__ = __webpack_require__(50)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\weexui\\packages\\wxc-minibar\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-54ba7468"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Check if we're required to add a port number.
 *
 * @see https://url.spec.whatwg.org/#default-port
 * @param {Number|String} port Port number we need to check
 * @param {String} protocol Protocol we need to check against.
 * @returns {Boolean} Is it a default port for the given protocol
 * @api private
 */

module.exports = function required(port, protocol) {
  protocol = protocol.split(':')[0];
  port = +port;

  if (!port) return false;

  switch (protocol) {
    case 'http':
    case 'ws':
      return port !== 80;

    case 'https':
    case 'wss':
      return port !== 443;

    case 'ftp':
      return port !== 21;

    case 'gopher':
      return port !== 70;

    case 'file':
      return false;
  }

  return port !== 0;
};

/***/ }),

/***/ 79:
/***/ (function(module, exports) {

module.exports = {
  "tab-box": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "center"
  },
  "tab-item": {
    "flex": 1,
    "height": "90",
    "backgroundColor": "#ffffff",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "tab-item-text": {
    "textAlign": "center",
    "color": "#000000",
    "fontSize": "28",
    "fontWeight": "normal"
  },
  "text-selected": {
    "fontWeight": "bold"
  },
  "tab-item-selected-bar": {
    "width": "750",
    "backgroundColor": "#f2f3f4"
  },
  "tab-item-selected-bar-in": {
    "width": "375",
    "justifyContent": "center",
    "alignItems": "center",
    "flexDirection": "row",
    "height": "6"
  },
  "tab-item-active": {
    "backgroundColor": "#ffb200",
    "width": "92",
    "height": "6"
  }
}

/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var has = Object.prototype.hasOwnProperty;

/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String} The decoded string.
 * @api private
 */
function decode(input) {
  return decodeURIComponent(input.replace(/\+/g, ' '));
}

/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
function querystring(query) {
  var parser = /([^=?&]+)=?([^&]*)/g,
      result = {},
      part;

  while (part = parser.exec(query)) {
    var key = decode(part[1]),
        value = decode(part[2]);

    //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    if (key in result) continue;
    result[key] = value;
  }

  return result;
}

/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */
function querystringify(obj, prefix) {
  prefix = prefix || '';

  var pairs = [];

  //
  // Optionally prefix with a '?' if needed
  //
  if ('string' !== typeof prefix) prefix = '?';

  for (var key in obj) {
    if (has.call(obj, key)) {
      pairs.push(encodeURIComponent(key) + '=' + encodeURIComponent(obj[key]));
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
}

//
// Expose the module.
//
exports.stringify = querystringify;
exports.parse = querystring;

/***/ }),

/***/ 80:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {},
  data: function data() {
    return {
      checkedIndex: 0
    };
  },
  methods: {
    switchTab: function switchTab(index) {
      var animation = weex.requireModule('animation');
      this.checkedIndex = index;
      this.$emit('wxcTabSwitch', {
        index: index
      });
      animation.transition(this.$refs['tab-bar'], {
        styles: {
          transform: 'translateX(' + index * 375 + 'px)'
        },
        duration: 150, // ms
        timingFunction: 'ease',
        delay: 0 // ms
      }, function () {});
    }
  }
};

/***/ }),

/***/ 81:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('div', {
    staticClass: ["tab-box"]
  }, _vm._l((['国内', '国际']), function(name, i) {
    return _c('div', {
      key: i,
      staticClass: ["tab-item"],
      on: {
        "click": function($event) {
          _vm.switchTab(i)
        }
      }
    }, [_c('text', {
      staticClass: ["['tab-item-text',", "i===checkedIndex", "&&", "'text-selected']"]
    }, [_vm._v(_vm._s(name))])])
  })), _c('div', {
    staticClass: ["tab-item-selected-bar"]
  }, [_c('div', {
    ref: "tab-bar",
    staticClass: ["tab-item-selected-bar-in"]
  }, [_c('div', {
    staticClass: ["tab-item-active"]
  })])])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 82:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(55)
)

/* script */
__vue_exports__ = __webpack_require__(56)

/* template */
var __vue_template__ = __webpack_require__(58)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\weexui\\packages\\wxc-searchbar\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-41553737"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 83:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(59)
)

/* script */
__vue_exports__ = __webpack_require__(60)

/* template */
var __vue_template__ = __webpack_require__(62)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\weexui\\packages\\wxc-result\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5df5a02d"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 84:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(63)
)

/* script */
__vue_exports__ = __webpack_require__(64)

/* template */
var __vue_template__ = __webpack_require__(66)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\weexui\\packages\\wxc-indexlist\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-80928008"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ })

/******/ });