// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 559);
/******/ })
/************************************************************************/
/******/ ({

/***/ 559:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(560)
)

/* script */
__vue_exports__ = __webpack_require__(561)

/* template */
var __vue_template__ = __webpack_require__(562)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\inquiry\\publish\\showInquiry.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4e0c5590"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ }),

/***/ 560:
/***/ (function(module, exports) {

module.exports = {
  "top": {
    "backgroundColor": "#3F80CC",
    "height": "40"
  },
  "full-top": {
    "backgroundColor": "#3F80CC",
    "height": "80"
  },
  "banner": {
    "width": "750",
    "height": "88",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "backgroundColor": "#3F80CC"
  },
  "banner-text": {
    "color": "#ffffff",
    "fontSize": "32"
  },
  "left-icon": {
    "width": "88",
    "height": "88",
    "paddingRight": "6",
    "lineHeight": "88",
    "fontSize": "38",
    "textAlign": "center"
  },
  "empty": {
    "width": "38",
    "marginRight": "20"
  },
  "row": {
    "flexDirection": "row",
    "justifyContent": "flex-start",
    "alignItems": "center",
    "marginLeft": "30",
    "marginRight": "30",
    "height": "90",
    "textOverflow": "ellipsis",
    "width": "700"
  },
  "text": {
    "marginRight": "30",
    "fontSize": "34",
    "color": "#333333"
  }
}

/***/ }),

/***/ 561:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {
            inquiryList: [],
            inquiryId: '',
            isFullScreen: ''
        };
    },

    methods: {
        refresh: function refresh() {
            this.load();
        },
        load: function load() {
            var _this = this;

            var param = {};
            param.userId = this.getString('userId');
            param.sheetId = this.inquiryId;
            var host = this.netjs.getPublishUrl() + 'inquiryDetail/getListBySheetId';
            this.$refs.list.load(host, param, this.inquiryList, function (itms, res) {
                _this.inquiryList = itms;
            });
        },
        goback: function goback() {
            this.back();
        }
    },
    created: function created() {
        var _this2 = this;

        this.isFullScreen = this.getIsFullScreen();
        this.addEventListener("onPageInit", function (e) {
            _this2.inquiryId = e.inquiryId;
            _this2.load();
        });
    }
};

/***/ }),

/***/ 562:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wraper', [_c('div', {
    staticStyle: {
      flex: "1"
    }
  }, [_c('div', {
    class: [_vm.isFullScreen ? 'full-top' : 'top']
  }), _c('div', {
    staticClass: ["banner"]
  }, [_c('gxt-icon', {
    staticClass: ["left-icon"],
    attrs: {
      "name": "back"
    },
    on: {
      "gxtIconClicked": _vm.goback
    }
  }), _c('text', {
    staticClass: ["banner-text"]
  }, [_vm._v("询价单明细")]), _c('div', {
    staticClass: ["empty"]
  })], 1), _c('flist', {
    ref: "list",
    attrs: {
      "loadOnInit": false,
      "background": "#F6F6F6",
      "usePullRefresh": false
    },
    on: {
      "load": _vm.load,
      "refresh": _vm.refresh
    }
  }, _vm._l((_vm.inquiryList), function(obj, index) {
    return _c('cell', {
      appendAsTree: true,
      attrs: {
        "slot": "cell",
        "append": "tree"
      },
      slot: "cell"
    }, [_c('div', {
      staticClass: ["row"]
    }, [_c('text', {
      staticClass: ["text"]
    }, [_vm._v(_vm._s(index + 1))]), _c('text', {
      staticClass: ["text"]
    }, [_vm._v(_vm._s(obj.productName))]), _c('text', {
      staticClass: ["text"]
    }, [_vm._v(_vm._s(obj.standard))])])])
  }))], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });