// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 602);
/******/ })
/************************************************************************/
/******/ ({

/***/ 304:
/***/ (function(module, exports) {

module.exports = {
  "normal": {
    "height": "40"
  },
  "special": {
    "height": "80"
  },
  "banner": {
    "backgroundColor": "#3B7ECF",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "88"
  },
  "history": {
    "backgroundColor:active": "#3377c6"
  },
  "banner-title": {
    "fontSize": "38",
    "color": "#ffffff"
  },
  "user-title": {
    "height": "168",
    "backgroundColor": "#F8F8F8"
  },
  "quotation-list": {
    "alignItems": "center",
    "backgroundColor": "#F6F6F6"
  },
  "panel": {
    "width": "750",
    "height": "255",
    "marginBottom": "35",
    "justifyContent": "center",
    "borderColor": "rgb(162,217,192)",
    "paddingTop": "10",
    "paddingLeft": "28",
    "paddingRight": "28",
    "backgroundColor": "#ffffff"
  },
  "panel-title": {
    "flexDirection": "row",
    "justifyContent": "space-between",
    "borderBottomColor": "#F4F4F4",
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "paddingBottom": "18",
    "paddingTop": "18"
  },
  "panel-main": {
    "flexDirection": "row",
    "justifyContent": "space-between"
  },
  "panel-main-info": {
    "flexDirection": "row",
    "justifyContent": "space-between",
    "marginTop": "8"
  },
  "fz28": {
    "fontSize": "28"
  },
  "col66": {
    "color": "#666666"
  },
  "col99": {
    "color": "#999999"
  },
  "text": {
    "fontSize": "100",
    "textAlign": "center",
    "color": "#41B883"
  },
  "loading": {
    "width": 750,
    "display": "flex",
    "MsFlexAlign": "center",
    "WebkitAlignItems": "center",
    "WebkitBoxAlign": "center",
    "alignItems": "center",
    "backgroundColor": "#FF0000",
    "height": "180"
  },
  "indicator-text": {
    "color": "#888888",
    "fontSize": "30",
    "textAlign": "center"
  },
  "host": {
    "position": "absolute",
    "left": 0,
    "top": 0,
    "right": 0,
    "bottom": 100
  },
  "tab-list": {
    "flex": 1,
    "alignItems": "center"
  },
  "title-item": {
    "height": 100,
    "width": 750,
    "position": "absolute",
    "bottom": 0,
    "left": 0,
    "right": 0,
    "flexDirection": "row",
    "justifyContent": "space-around",
    "alignItems": "center",
    "borderBottomStyle": "solid",
    "flex": 1
  },
  "refresh": {
    "height": "128",
    "width": "750",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "limg": {
    "width": "32",
    "height": "46"
  },
  "indicator": {
    "color": "#888888",
    "height": "40",
    "width": "40",
    "marginRight": "10"
  }
}

/***/ }),

/***/ 305:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _index = __webpack_require__(38);

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    data: function data() {
        return {
            lists: [],
            text: '',
            textStyle: {
                color: '#fff'
            },
            btnStyle: {
                width: '180px',
                backgroundColor: '#E1624D',
                height: '60px'
            },
            quobtnStyle: {
                width: '180px',
                backgroundColor: '#3B7ECF',
                height: '60px'
            },
            // userId:3,
            listPage: 1,
            listMaxId: '',
            isComplete: true,
            detailId: '',
            status: '',
            empty: false,
            lockReconnect: false,
            msgList: {},
            talkDataOnline: [],
            talkDataOnlineObj: {},
            talkOnlineUserId: '',
            newMsg: '',
            isRun: false, //是否加载过数据
            runAble: true, //进入页面第一次初始化数据,
            isPull: false,
            isScreen: false,
            title: '抢单',
            leftIconName: 'user',
            rightText: '历史记录',
            rightTextStyle: {
                color: '#ffffff',
                fontSize: '30px'
            }
        };
    },

    methods: {
        onload: function onload() {
            this.load();
        },
        send: function send() {
            this.sendNotify('quotationToggle', {});
        },
        refresh: function refresh() {
            this.isPull = true;
            this.load();
        },
        load: function load() {
            var _this = this;

            var param = {};
            param.userId = _index2.default.userId;
            param.isPull = this.isPull;
            // param.pageSize=5;
            if (this.lists.length > 0) {
                this.isRun = true;
            }
            var host = this.netjs.getPublishUrl() + 'allot/myAllotList';
            this.$refs.list.load(host, param, this.lists, function (itms, res) {
                _this.lists = itms;
                _this.isPull = false;
            });
        },

        //host模块，询价页面 消息页面的切换
        change: function change(i) {
            this.index = i;
            this.currentPage = i;
            this.load();
        },

        //右上角跳转报价单历史列表页
        goHistoryList: function goHistoryList() {
            this.push('./historyList.js', function () {});
        },

        //跳转单子详细页面，并传值quotation_id
        goQuotationDetail: function goQuotationDetail(detailId, isComplete) {
            var that = this;
            var param = {
                // "userId":_global.userId,
                "detailId": detailId,
                "isComplete": isComplete
            };
            this.pushParam('./quotationDetail.js', param);
        }
    },
    created: function created() {
        var _this2 = this;

        // this.isScreen = env.isFringeScreen();

        this.addEventListener("onPageInit", function (e) {
            // this.load();
            if (_this2.runAble) {
                setTimeout(function () {
                    _this2.load();
                }, 300);
                _this2.runAble = false;
            }
        });
        var that = this;
        var param = {
            userId: _index2.default.userId
            //抢单装态变化
        };this.registNotify("qStatus", function (res) {
            that.status = res.status;
            that.detailId = res.detailId;
            if (that.lists != null && that.lists.length > 0) {
                for (var i = 0; i < that.lists.length; i++) {
                    if (that.lists[i].detailId == that.detailId) {
                        that.lists[i].status = 2;
                        break;
                    }
                }
            }
        });
        //报价完成状态变化
        this.registNotify("qStatusCom", function (res) {
            that.status = res.status;
            that.detailId = res.detailId;
            if (that.lists != null && that.lists.length > 0) {
                for (var i = 0; i < that.lists.length; i++) {
                    if (that.lists[i].detailId == that.detailId) {
                        that.lists[i].status = res.status;
                        break;
                    }
                }
            }
        });
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 306:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wraper', {
    on: {
      "load": _vm.onload
    }
  }, [_c('div', {
    staticStyle: {
      flex: "1"
    }
  }, [_c('gxt-header', {
    attrs: {
      "title": _vm.title,
      "rightText": _vm.rightText,
      "leftIconName": _vm.leftIconName,
      "rightTextStyle": _vm.rightTextStyle
    },
    on: {
      "leftIconClicked": _vm.send,
      "rightIconClicked": _vm.goHistoryList
    }
  }), _c('gxt-result', {
    attrs: {
      "show": _vm.empty
    }
  }), _c('flist', {
    ref: "list",
    attrs: {
      "loadOnInit": false,
      "background": "#fff",
      "isRun": _vm.isRun
    },
    on: {
      "load": _vm.load,
      "refresh": _vm.refresh
    }
  }, _vm._l((_vm.lists), function(quotation, i) {
    return _c('cell', {
      staticClass: ["quotation-list"],
      appendAsTree: true,
      attrs: {
        "slot": "cell",
        "append": "tree"
      },
      slot: "cell"
    }, [_c('div', {
      staticClass: ["panel"]
    }, [_c('div', {
      staticClass: ["panel-title"]
    }, [_c('text', {
      staticStyle: {
        color: "#3B7ECF",
        fontSize: "38px"
      }
    }, [_vm._v(_vm._s(quotation.productName))]), _c('text', {
      staticStyle: {
        color: "#E1624D",
        fontSize: "28px"
      }
    }, [_vm._v("￥ " + _vm._s(quotation.reward) + " 赏金")])]), _c('div', {
      staticClass: ["panel-main"]
    }, [_c('div', [_c('div', {
      staticClass: ["panel-main-info"]
    }, [_c('text', {
      staticClass: ["fz28", "col99"]
    }, [_vm._v("发布时长：")]), _c('text', {
      staticClass: ["fz28", "col66"]
    }, [_vm._v(_vm._s(quotation.pastTime))])]), _c('div', {
      staticClass: ["panel-main-info"]
    }, [_c('text', {
      staticClass: ["fz28", "", "col99"]
    }, [_vm._v("发布地点：")]), _c('text', {
      staticClass: ["fz28", "", "col66"]
    }, [_vm._v(_vm._s(quotation.areaName))])]), _c('div', {
      staticClass: ["panel-main-info"]
    }, [_c('text', {
      staticClass: ["fz28", "col99"]
    }, [_vm._v("发布人：")]), _c('text', {
      staticClass: ["fz28", "", "col66"]
    }, [_vm._v(_vm._s(quotation.realName || '游客'))])])]), _c('div', {
      staticStyle: {
        justifyContent: "center",
        height: "120px"
      }
    }, [(quotation.status == 1) ? _c('WxcButton', {
      attrs: {
        "actived": true,
        "btnStyle": _vm.btnStyle,
        "textStyle": _vm.textStyle,
        "text": "抢单"
      },
      on: {
        "wxcButtonClicked": function($event) {
          _vm.goQuotationDetail(quotation.detailId, quotation.status)
        }
      }
    }) : (quotation.status == 2) ? _c('WxcButton', {
      attrs: {
        "text": "报价",
        "textStyle": _vm.textStyle,
        "btnStyle": _vm.quobtnStyle
      },
      on: {
        "wxcButtonClicked": function($event) {
          _vm.goQuotationDetail(quotation.detailId, quotation.status)
        }
      }
    }) : _c('WxcButton', {
      attrs: {
        "text": "重新报价",
        "textStyle": _vm.textStyle,
        "btnStyle": _vm.quobtnStyle
      },
      on: {
        "wxcButtonClicked": function($event) {
          _vm.goQuotationDetail(quotation.detailId, quotation.status)
        }
      }
    })], 1)])])])
  }))], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(39)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\global\\index.vue"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

//注册接口
var registerApi = 'http://api.jc.net.cn';
//短信接口
var messageApi = 'http://api.jc.net.cn';
//注册appId
var appId = 'weizaojia';
//注册appKey
var appKey = '1c29cbaeaf8e66b4e6f8213bae6c5a25';
//手机号验证
var phoneReg = /^1[0-9]{10}$/;
//线上接口
var onlineApi = 'http://api.jc.net.cn';
// const onlineApi = 'http://10.1.1.131:8087';
//获取登录时存储pref的userId
var pref = weex.requireModule('pref');
var userId = pref.getString('userId');
// const userId = 172;
exports.default = {
    registerApi: registerApi,
    messageApi: messageApi,
    appId: appId,
    appKey: appKey,
    phoneReg: phoneReg,
    onlineApi: onlineApi,
    userId: userId
};

/***/ }),

/***/ 602:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(304)
)

/* script */
__vue_exports__ = __webpack_require__(305)

/* template */
var __vue_template__ = __webpack_require__(306)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\quotation\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-2cf3502c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });