// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 733);
/******/ })
/************************************************************************/
/******/ ({

/***/ 333:
/***/ (function(module, exports) {

module.exports = {
  "panel": {
    "width": "750",
    "height": "175",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#F4F4F4",
    "backgroundColor": "#FFFFFF"
  },
  "left-block": {
    "flexDirection": "column",
    "paddingLeft": "30",
    "justifyContent": "center",
    "width": "500"
  },
  "right-block": {
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "width": "200"
  },
  "user-name": {
    "fontSize": "28",
    "marginTop": "15"
  },
  "department-text": {
    "fontSize": "24",
    "color": "#858585",
    "marginTop": "15"
  }
}

/***/ }),

/***/ 334:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


exports.default = {
    data: function data() {
        return {
            userId: '',
            companyId: '',
            lists: [],
            isPull: false
        };
    },

    methods: {
        refresh: function refresh() {
            this.isPull = true;
            this.load();
        },
        load: function load() {
            var _this = this;

            var param = {};
            param.userId = this.userId;
            param.companyId = this.companyId;
            param.isPull = this.isPull;
            var host = this.netjs.getCompanyUrl() + 'userReplyBindList';
            this.$refs.list.load(host, param, this.lists, function (itms, res) {
                _this.lists = itms;
                _this.isPull = false;
            });
        },

        // onload(){
        //     this.load();
        // },
        handleUser: function handleUser(status, bindUserId, index) {
            var _this2 = this;

            var param = {
                // companyId:this.companyId,
                companyId: this.companyId,
                userId: this.userId,
                bindUserId: bindUserId,
                bindStatus: status
            };
            this.netjs.noProgressPost(this.netjs.getCompanyUrl() + 'handRequestBind', param, function (e) {

                if (e.status == 1) {
                    _this2.lists[index].replyStatus = status;
                    _this2.getReplyNumber();
                    _this2.toast(e.message);
                    _this2.sendNotify('personalStatus', { personalStatus: status });
                } else {
                    _this2.toast(e.message);
                }
            });
        },
        getReplyNumber: function getReplyNumber() {
            var _this3 = this;

            var param = {};
            param.userId = this.userId;
            param.companyId = this.companyId;
            var host = this.netjs.getCompanyUrl();
            this.netjs.noProgressGet(host + "userReplyBindList", param, function (e) {
                if (e.status == 1) {
                    _this3.sendNotify('replyNumber', { replyNumber: e.resultObject });
                }
            });
        }
    },
    created: function created() {
        var _this4 = this;

        this.userId = this.getString('userId');
        this.companyId = this.getString('authCompanyId');
        this.addEventListener('onPageInit', function (e) {
            _this4.load();
        });
    }
};

/***/ }),

/***/ 335:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wraper', [_c('div', {
    staticStyle: {
      backgroundColor: "#F8F8F8",
      flex: "1"
    }
  }, [_c('flist', {
    ref: "list",
    attrs: {
      "loadOnInit": false,
      "background": "#F6F6F6"
    },
    on: {
      "load": _vm.load,
      "refresh": _vm.refresh
    }
  }, _vm._l((_vm.lists), function(obj, i) {
    return _c('cell', {
      appendAsTree: true,
      attrs: {
        "slot": "cell",
        "append": "tree"
      },
      slot: "cell"
    }, [_c('div', {
      staticClass: ["panel"]
    }, [_c('div', {
      staticClass: ["left-block"]
    }, [_c('text', {
      staticClass: ["user-name"]
    }, [_vm._v(_vm._s(obj.realName))]), _c('text', {
      staticClass: ["department-text"]
    }, [_vm._v("所属部门：" + _vm._s(obj.department))]), _c('text', {
      staticClass: ["department-text"]
    }, [_vm._v("申请时间：" + _vm._s(obj.replyTime))])]), _c('div', {
      staticClass: ["right-block"]
    }, [(obj.replyStatus == 0) ? _c('div', {
      staticStyle: {
        flexDirection: "row",
        justifyContent: "center",
        alignItems: "center"
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#E89C35",
        paddingRight: "10px",
        paddingLeft: "10px",
        width: "100px"
      },
      on: {
        "click": function($event) {
          _vm.handleUser(1, obj.userId, i)
        }
      }
    }, [_vm._v("接受")]), _c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#E89C35",
        paddingRight: "10px",
        paddingLeft: "10px",
        width: "100px"
      },
      on: {
        "click": function($event) {
          _vm.handleUser(2, obj.userId, i)
        }
      }
    }, [_vm._v("拒绝")])]) : _vm._e(), (obj.replyStatus == 1) ? _c('div', [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#858585"
      }
    }, [_vm._v("申请通过")])]) : _vm._e(), (obj.replyStatus == 2) ? _c('div', [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#858585"
      }
    }, [_vm._v("申请拒绝")])]) : _vm._e(), (obj.replyStatus == 3) ? _c('div', [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#858585"
      }
    }, [_vm._v("已解绑")])]) : _vm._e()])])])
  }))], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 733:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(333)
)

/* script */
__vue_exports__ = __webpack_require__(334)

/* template */
var __vue_template__ = __webpack_require__(335)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\Enterprise\\userBindList.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-30bbae4d"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });