// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 750);
/******/ })
/************************************************************************/
/******/ ({

/***/ 339:
/***/ (function(module, exports) {

module.exports = {
  "panel": {
    "width": "750",
    "height": "88",
    "backgroundColor": "#FFFFFF",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#F4F4F4"
  },
  "code-icon": {
    "paddingRight": "20",
    "fontSize": "28"
  }
}

/***/ }),

/***/ 340:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {
            list: []
        };
    },

    methods: {
        onload: function onload() {
            this.load();
        },
        refresh: function refresh() {
            this.load();
        },
        load: function load() {
            var _this = this;

            var param = {};
            param.userId = this.getString('userId');
            var host = this.netjs.getHelpUrl() + 'opinion/getSuggestionById';
            this.$refs.list.load(host, param, this.list, function (itms, res) {
                _this.list = itms;
            });
        },
        gotoDetail: function gotoDetail(id, isAnswer) {
            if (isAnswer == 'false') {
                this.toast('该条建议或反馈暂未处理');
            } else {
                var param = {};
                param.opId = id;
                this.pushParam('./suggestDetail.js', param);
            }
        }
    },
    created: function created() {
        this.addEventListener('onPageInit', function (e) {
            // if(this.runAble){
            //     setTimeout(()=>{this.load()},300);
            //     this.runAble=false;
            // }
        });
        // this.registNotify("sliderSuggest", (res) => {
        //     if(this.runAble){
        //         setTimeout(()=>{this.load()},300);
        //         this.runAble=false;
        //     }
        // });
    }
};

/***/ }),

/***/ 341:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wraper', {
    on: {
      "load": _vm.onload
    }
  }, [_c('div', {
    staticStyle: {
      backgroundColor: "#F4F4F4",
      flex: "1"
    }
  }, [_c('flist', {
    ref: "list",
    staticStyle: {
      marginTop: "25px"
    },
    attrs: {
      "loadOnInit": false,
      "background": "#F6F6F6",
      "usePullRefresh": false
    },
    on: {
      "load": _vm.load,
      "refresh": _vm.refresh
    }
  }, _vm._l((_vm.list), function(obj) {
    return _c('cell', {
      appendAsTree: true,
      attrs: {
        "slot": "cell",
        "append": "tree"
      },
      slot: "cell"
    }, [_c('div', {
      staticClass: ["panel"],
      on: {
        "click": function($event) {
          _vm.gotoDetail(obj.opId, obj.isAnswer)
        }
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "32px",
        color: "#333333",
        marginLeft: "30px"
      }
    }, [_vm._v(_vm._s(obj.opContent))]), _c('gxt-icon', {
      staticClass: ["code-icon"],
      attrs: {
        "name": "rightArrow"
      }
    })], 1)])
  }))], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 750:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(339)
)

/* script */
__vue_exports__ = __webpack_require__(340)

/* template */
var __vue_template__ = __webpack_require__(341)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\Help\\mySuggest.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-fecc727e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });