// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 782);
/******/ })
/************************************************************************/
/******/ ({

/***/ 345:
/***/ (function(module, exports) {

module.exports = {
  "detailedDiv": {
    "marginLeft": "25",
    "marginRight": "25",
    "marginBottom": "25",
    "borderRadius": "30",
    "backgroundColor": "#FFFFFF",
    "height": "350",
    "width": "700",
    "flexDirection": "row"
  },
  "informationDiv": {
    "height": "136",
    "borderTopWidth": "1",
    "borderTopStyle": "solid",
    "borderTopColor": "#F4F4F4",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "paddingLeft": "30",
    "paddingRight": "30",
    "backgroundColor": "#FFFFFF"
  },
  "buyDiv": {
    "width": "120",
    "height": "50",
    "marginTop": "30",
    "justifyContent": "center",
    "alignItems": "center",
    "borderRadius": "50",
    "borderColor": "#3f80cc",
    "borderStyle": "solid",
    "borderWidth": "1"
  },
  "tab-list": {
    "alignItems": "center",
    "height": "90",
    "flexDirection": "row",
    "justifyContent": "space-around",
    "borderBottomWidth": "4",
    "borderBottomStyle": "solid"
  },
  "textStyle": {
    "fontSize": "36"
  },
  "list": {
    "width": "750",
    "textAlign": "center",
    "height": "1500"
  }
}

/***/ }),

/***/ 346:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {
            userId: '', //用户ID
            lists: [],
            inquiryNumRemain: 0, //用户剩余条数
            companyInquiryNum: 0, //公司条数
            isPull: false
        };
    },

    methods: {
        onload: function onload() {
            this.getUserAccount();
            this.load();
        },

        //跳转回用户菜单
        goUserCenter: function goUserCenter() {
            this.back();
        },
        refresh: function refresh() {
            this.isPull = true;
            this.load();
        },
        load: function load() {
            var _this = this;

            var param = {};
            param.userId = this.userId;
            param.numsType = 2;
            param.useType = 4;
            param.isPull = this.isPull;
            var host = this.netjs.getAccountUrl() + 'inquiryUserAccount/inquiryUseDetail';
            this.$refs.list.load(host, param, this.lists, function (itms, res) {
                _this.isPull = false;
                _this.lists = itms;
            });
        },
        getUserAccount: function getUserAccount() {
            var self = this;
            var param = {};
            param.userId = self.userId;
            var host = this.netjs.getAccountUrl();
            this.netjs.noProgressGet(host + "inquiryUserAccount/userAccountInfo", param, function (e) {
                if (e.status == 1) {
                    if (e.resultObject.inquiryNumRemain) {
                        self.inquiryNumRemain = e.resultObject.inquiryNumRemain;
                    }
                    if (e.resultObject.companyInquiryNum) {
                        self.companyInquiryNum = e.resultObject.companyInquiryNum;
                    }
                }
            });
        },
        buyInquiryNum: function buyInquiryNum(flag) {
            var _this2 = this;

            if (flag == 1) {
                var host = this.netjs.getCompanyUrl();
                if (this.getString('userType') == 1) {
                    this.netjs.noProgressGet(host + "getMyAuthCompany", { userId: this.userId }, function (e) {
                        if (e.status == 1) {
                            var companyStatus = e.resultObject.companyStatus;
                            if (companyStatus == 0) {
                                _this2.toast('认证企业审核中,请通过后再充值条数');
                            } else if (companyStatus == 2) {
                                _this2.toast('认证企业未通过,请通过后再充值条数');
                            } else {
                                _this2.pushParam('./recharge.js', { companyId: e.resultObject.companyId });
                            }
                        } else {
                            _this2.toast('该帐号暂未申请认证企业');
                        }
                    });
                } else {
                    this.netjs.noProgressGet(host + 'myBindCompany', { userId: this.userId }, function (e) {
                        if (e.status == 1) {
                            _this2.pushParam('./recharge.js', { companyId: e.resultObject.companyId });
                        } else {
                            _this2.toast(e.message);
                        }
                    });
                }
            } else {
                this.push('./recharge.js');
            }
        }
    },
    created: function created() {
        this.userId = this.getString('userId');
    }
};

/***/ }),

/***/ 347:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wraper', {
    on: {
      "load": _vm.onload
    }
  }, [_c('div', {
    staticStyle: {
      flex: "1"
    }
  }, [_c('div', {
    staticClass: ["detailedDiv"]
  }, [_c('div', {
    staticStyle: {
      width: "350px",
      height: "350px",
      alignItems: "center"
    }
  }, [_c('div', {
    staticStyle: {
      height: "100px",
      justifyContent: "center",
      alignItems: "center"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "32px",
      color: "#333333"
    }
  }, [_vm._v("企业")])]), _c('div', {
    staticStyle: {
      alignItems: "center",
      flexDirection: "row",
      justifyContent: "center",
      height: "70px"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "70px"
    }
  }, [_vm._v(_vm._s(_vm.companyInquiryNum))]), _c('text', {
    staticStyle: {
      fontSize: "28px"
    }
  }, [_vm._v("条")])]), _c('div', {
    staticClass: ["buyDiv"],
    on: {
      "click": function($event) {
        _vm.buyInquiryNum(1)
      }
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "28px",
      color: "#3f80cc"
    }
  }, [_vm._v("购买")])])]), _c('div', {
    staticStyle: {
      width: "350px",
      height: "350px",
      alignItems: "center"
    }
  }, [_c('div', {
    staticStyle: {
      height: "100px",
      justifyContent: "center",
      alignItems: "center"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "32px",
      color: "#333333"
    }
  }, [_vm._v("个人")])]), _c('div', {
    staticStyle: {
      alignItems: "center",
      flexDirection: "row",
      justifyContent: "center",
      height: "70px"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "70px"
    }
  }, [_vm._v(_vm._s(_vm.inquiryNumRemain))]), _c('text', {
    staticStyle: {
      fontSize: "28px"
    }
  }, [_vm._v("条")])]), _c('div', {
    staticClass: ["buyDiv"],
    on: {
      "click": function($event) {
        _vm.buyInquiryNum(0)
      }
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "28px",
      color: "#3f80cc"
    }
  }, [_vm._v("购买")])])])]), _c('div', {
    staticStyle: {
      height: "90px",
      flexDirection: "row",
      justifyContent: "center",
      alignItems: "center",
      backgroundColor: "white"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "36px",
      color: "#333333"
    }
  }, [_vm._v("个人明细")])]), _c('flist', {
    ref: "list",
    attrs: {
      "loadOnInit": false,
      "background": "#F6F6F6",
      "usePullRefresh": false
    },
    on: {
      "load": _vm.load,
      "refresh": _vm.refresh
    }
  }, _vm._l((_vm.lists), function(obj, index) {
    return (obj) ? _c('cell', {
      staticClass: ["informationDiv"],
      appendAsTree: true,
      attrs: {
        "slot": "cell",
        "append": "tree"
      },
      slot: "cell"
    }, [_c('div', {
      staticStyle: {
        alignItems: "left",
        width: "350px"
      }
    }, [(obj.useType == 1) ? _c('div', {
      staticStyle: {
        paddingTop: "30px",
        paddingBottom: "10px"
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "34px"
      }
    }, [_vm._v("在线充值")])]) : _vm._e(), (obj.useType == 2) ? _c('div', {
      staticStyle: {
        paddingTop: "30px",
        paddingBottom: "10px"
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "34px"
      }
    }, [_vm._v("询价支付")])]) : _vm._e(), (obj.useType == 3) ? _c('div', {
      staticStyle: {
        paddingTop: "30px",
        paddingBottom: "10px"
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "34px"
      }
    }, [_vm._v("询价退回")])]) : _vm._e(), _c('div', {
      staticStyle: {
        paddingTop: "10px",
        paddingBottom: "30px"
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "24px",
        color: "#999999"
      }
    }, [_vm._v(_vm._s(obj.numUseTime))])])]), _c('div', {
      staticStyle: {
        flexGrow: "1",
        width: "375px",
        alignItems: "flex-end",
        paddingRight: "20px"
      }
    }, [(obj.nums > 0) ? _c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#666666"
      }
    }, [_vm._v("+" + _vm._s(obj.nums))]) : _c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#666666"
      }
    }, [_vm._v(_vm._s(obj.nums))])])]) : _vm._e()
  }))], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 782:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(345)
)

/* script */
__vue_exports__ = __webpack_require__(346)

/* template */
var __vue_template__ = __webpack_require__(347)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\MyWallet\\number.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-198f1d0c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });