// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 865);
/******/ })
/************************************************************************/
/******/ ({

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(39)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\global\\index.vue"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

//注册接口
var registerApi = 'http://api.jc.net.cn';
//短信接口
var messageApi = 'http://api.jc.net.cn';
//注册appId
var appId = 'weizaojia';
//注册appKey
var appKey = '1c29cbaeaf8e66b4e6f8213bae6c5a25';
//手机号验证
var phoneReg = /^1[0-9]{10}$/;
//线上接口
var onlineApi = 'http://api.jc.net.cn';
// const onlineApi = 'http://10.1.1.131:8087';
//获取登录时存储pref的userId
var pref = weex.requireModule('pref');
var userId = pref.getString('userId');
// const userId = 172;
exports.default = {
    registerApi: registerApi,
    messageApi: messageApi,
    appId: appId,
    appKey: appKey,
    phoneReg: phoneReg,
    onlineApi: onlineApi,
    userId: userId
};

/***/ }),

/***/ 865:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _index = __webpack_require__(38);

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var websocket = weex.requireModule('webSocket');
var modal = weex.requireModule('modal');
var net = weex.requireModule('net');
var pref = weex.requireModule('pref');

var lockReconnect = false; //避免重复连接
var tt;
var appName = 'weizaojia';
var appType = 'mobile';
var userId = _index2.default.userId;
var password = "111111";
var fromUserId = appName + '--' + userId;
var fromUserType = '临时用户';
var fromUserName = '用户2';
// var toUserId = '172';
// var toUserName = '用户1';
// var toUserType = '正式用户';
var verityParam = encodeURI(appName + "," + fromUserId + "," + fromUserName + "," + password);
var heartCheck = {
    timeout: 5000, // 10秒-
    timeoutObj: null,
    serverTimeoutObj: null,
    reset: function reset() {
        clearTimeout(this.timeoutObj);
        clearTimeout(this.serverTimeoutObj);
    },
    start: function start() {
        this.reset();
        var self = this;
        this.timeoutObj = setTimeout(function () {
            // 这里发送一个心跳，后端收到后，返回一个心跳消息
            // onmessage拿到返回的心跳就说明连接正常
            var message = JSON.stringify({ "fromUserId": fromUserId, "heartBeat": "ping" });
            websocket.send(message);
            // console.log(message);
            self.serverTimeoutObj = setTimeout(function () {
                // 如果超过一定时间还没重置，说明后端主动断开了
                // 如果onclose会执行reconnect，我们执行ws.close()就行了.如果直接执行reconnect 会触发onclose导致重连两次
                // modal.toast({message:'serverTimeoutObj'})
                websocket.close();
            }, self.timeout);
        }, this.timeout);
    }
};

function reconnect() {
    if (lockReconnect) {
        return;
    };
    lockReconnect = true;
    tt && clearTimeout(tt);
    tt = setTimeout(function () {
        connectTest();
        lockReconnect = false;
    }, 5000);
};
function connectTest() {
    var param = {
        verifyParam: verityParam
        // let that = this;
    };net.get('http://10.1.1.130:84/webSocket/doVerify', param, {}, function () {
        //start
    }, function (e) {
        //success
        if (e.res.status == 1) {
            //链接打开的监听器
            websocket.onopen(function (e) {
                modal.alert({ message: 'websocket.js open' });
                // var message = JSON.stringify({"isList":"1","toUserId":fromUserId});
                // websocket.send(message);
                heartCheck.start();
            });
            //错误事件的监听器
            websocket.onerror(function (e) {
                modal.toast({ message: 'error' });
                // console.log(e)
                reconnect();
            });
            //消息事件的监听器
            websocket.onmessage(function (e) {
                var data = JSON.parse(e.data);
                // let that = this;

                if (data.result != '' && data.result.content != '') {
                    if (typeof data.result == 'string') {
                        //心跳检测返回消息处理
                    } else {
                        //离线未读消息处理
                        if (Array.isArray(data.result)) {
                            var unread = void 0;
                            unread = data.result;
                            for (var i = 0; i < unread.length; i++) {
                                var message = {
                                    "type": "A",
                                    "content": unread[i].content
                                };
                                var localTalkdata = pref.get(unread[i].fromUserId);
                                if (localTalkdata) {
                                    localTalkdata.talkData.push(message);
                                    pref.set(unread[i].fromUserId, localTalkdata);
                                    //保存至最后一条的数据列表
                                    var mesTime = getNowFormatDate().substr(11, 5);
                                    var lastMsg = unread[i].content;
                                    var saveFromUserId = unread[i].fromUserId;
                                    saveListMsg(mesTime, lastMsg, saveFromUserId);
                                }
                            }
                        } else {
                            var _message = {
                                "type": "A",
                                "content": data.result.content
                            };
                            if (pref.get(data.result.fromUserId)) {
                                //保存至相应的聊天记录
                                var localTalkData = pref.get(data.result.fromUserId);
                                localTalkData.talkData.push(_message);
                                pref.set(data.result.fromUserId, localTalkData);
                            } else {
                                //没有当前用户的存储块
                                var current = {};
                                current.talkData = [];
                                current.talkData.push(_message);
                                pref.set(data.result.fromUserId, current);
                                //保存至最后一条的数据列表
                            }
                            //保存至最后一条的数据列表
                            var _mesTime = getNowFormatDate().substr(11, 5);
                            var _lastMsg = data.result.content;
                            var _saveFromUserId = data.result.fromUserId;
                            saveListMsg(_mesTime, _lastMsg, _saveFromUserId);
                        }
                    }
                }
                heartCheck.start();
            });
            //关闭事件的监听器
            websocket.onclose(function (e) {
                modal.toast({ message: 'websocket.js closed' });
            });
            // websocket.WebSocket('ws://msg.jc.net.cn/webSocket/'+verityParam,'');
            websocket.WebSocket('ws://10.1.1.130:84/webSocket/' + verityParam, '');
            return websocket;
        } else if (e.res.status != 1 || e.res.status != 0) {
            reconnect();
        }
    }, function (e) {
        //exception
        reconnect();
    }, function () {
        //compelete
    });
    return websocket;
};
//列表页信息存本地
function saveListMsg(msgTime, lastMsg, saveFromUserId) {
    var notifyMsg = {
        // "toUserId":this.toUserId,
        "fromUserId": saveFromUserId,
        "time": msgTime,
        "content": lastMsg
    };
    if (pref.get("msgList")) {
        var msgList = pref.get("msgList");
        var haveIndex = -1;
        for (var i = 0; i < msgList.msg.length; i++) {
            if (msgList.msg[i].fromUserId == saveFromUserId) {
                haveIndex = i;
            }
        };
        if (haveIndex != -1) {
            msgList.msg[haveIndex].time = notifyMsg.time;
            msgList.msg[haveIndex].content = notifyMsg.content;
        } else {
            msgList.msg.push(notifyMsg);
        }
        pref.set("msgList", msgList);
    } else {
        //赋值聊天列表数据
        var _msgList = { "msg": [] };
        _msgList.msg.push(notifyMsg);
        pref.set("msgList", _msgList);
    }
};
//获取当前时间
function getNowFormatDate() {
    var date = new Date();
    var seperator1 = "-";
    var seperator2 = ":";
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
    var hours = date.getHours();
    var minutes = date.getMinutes();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    if (hours >= 0 && hours <= 9) {
        hours = "0" + hours;
    }
    if (minutes >= 0 && minutes <= 9) {
        minutes = "0" + minutes;
    }
    //2018-06-20 09:36:40
    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate + " " + hours + seperator2 + minutes + seperator2 + date.getSeconds();
    return currentdate;
};
module.exports = {
    connectTest: connectTest,
    heartCheck: heartCheck
};

/***/ })

/******/ });