// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 364);
/******/ })
/************************************************************************/
/******/ ({

/***/ 292:
/***/ (function(module, exports) {

module.exports = {
  "limg": {
    "width": 32,
    "height": 46
  },
  "refresh": {
    "height": 128,
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "refreshText": {
    "color": "#888888",
    "fontSize": 30
  },
  "indicator": {
    "color": "#888888",
    "height": 40,
    "width": 40,
    "marginRight": 10
  },
  "panel": {
    "width": "600",
    "height": "250",
    "marginLeft": "75",
    "marginTop": "35",
    "marginBottom": "35",
    "flexDirection": "column",
    "justifyContent": "center",
    "borderWidth": "2",
    "borderStyle": "solid",
    "borderColor": "#DDDDDD",
    "backgroundColor": "#F5F5F5"
  },
  "text": {
    "fontSize": "50",
    "textAlign": "center",
    "color": "#41B883"
  }
}

/***/ }),

/***/ 293:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//


exports.default = {
    props: {
        width: {
            default: 750
        }
    },
    data: function data() {
        return {
            rtext: '下拉以加载',
            updatetime: '没有更新',
            offset: 0,
            deg: 20,
            refreshing: false,
            pulldistance: 135,
            hasrotate: false,
            key: "ky" + Math.random()
        };
    },

    methods: {
        animateArrow: function animateArrow(deg) {
            var animation = weex.requireModule('animation');
            var arrow = this.$refs.arrow;
            //                var deg=this.hasrotate?180:0

            animation.transition(arrow, {
                styles: {
                    transform: "rotate(" + deg + "deg" + ")"
                },

                duration: 150, //ms
                timingFunction: 'ease',
                delay: 0 //ms
            }, function () {});
        },
        onrefresh: function onrefresh(event) {
            var _this = this;

            if (this.offset >= this.pulldistance) {
                this.refreshing = true;
                this.rtext = "加载中";
                setTimeout(function () {
                    _this.$emit('onRefresh');
                }, 1000);
            }
        },
        end: function end() {
            this.refreshing = false;
            this.updatetime = this.getNowFormatDate();
        },
        onpullingdown: function onpullingdown(event) {

            var dis = event.pullingDistance;
            if (dis < 0) dis *= -1;
            this.offset = dis;

            if (this.refreshing == false) {

                if (dis > this.pulldistance) {
                    this.rtext = "松开刷新";
                    this.deg = 180;
                    this.hasrotate = false;
                    this.animateArrow(180);
                } else {
                    var p = dis / this.pulldistance;
                    if (p > 1) p == 1;
                    this.deg = p * 180;
                    this.animateArrow(0);
                    this.rtext = '下拉以加载';
                }
            }
        },
        getNowFormatDate: function getNowFormatDate() {
            var date = new Date();
            var seperator1 = "-";
            var seperator2 = ":";
            var month = date.getMonth() + 1;
            var strDate = date.getDate();
            var min = date.getMinutes();
            var secon = date.getSeconds();
            if (month >= 1 && month <= 9) {
                month = "0" + month;
            }
            if (strDate >= 0 && strDate <= 9) {
                strDate = "0" + strDate;
            }
            if (min >= 0 && min <= 9) {
                min = "0" + min;
            }
            if (secon >= 0 && secon <= 9) {
                secon = "0" + secon;
            }

            var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate + " " + date.getHours() + seperator2 + min + seperator2 + secon;
            return currentdate;
        }
    },

    created: function created() {}
};

/***/ }),

/***/ 294:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('refresh', {
    key: _vm.key,
    staticClass: ["refresh"],
    style: {
      'width': _vm.width
    },
    attrs: {
      "id": "rex",
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh,
      "pullingdown": _vm.onpullingdown
    }
  }, [_c('div', {
    staticStyle: {
      flexDirection: "row",
      alignItems: "center",
      justifyContent: "center"
    }
  }, [(_vm.refreshing) ? _c('floading', {
    staticClass: ["indicator"],
    attrs: {
      "color": "#555555"
    }
  }) : _vm._e(), (!_vm.refreshing) ? _c('image', {
    ref: "arrow",
    staticClass: ["limg"],
    attrs: {
      "src": "root:img/pull_arrow.png"
    }
  }) : _vm._e(), _c('div', {
    staticStyle: {
      alignItems: "center"
    }
  }, [_c('text', {
    staticClass: ["refreshText"]
  }, [_vm._v(_vm._s(_vm.rtext))])])], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 307:
/***/ (function(module, exports) {

module.exports = {
  "progress": {
    "width": 200,
    "height": 200,
    "opacity": 0.8,
    "borderRadius": 30,
    "justifyContent": "center",
    "alignItems": "center",
    "flexDirection": "row",
    "position": "absolute",
    "left": 265,
    "top": 300
  },
  "exception": {
    "marginTop": 50,
    "borderRadius": 10,
    "justifyContent": "center",
    "alignItems": "center",
    "width": 300,
    "height": 80,
    "borderWidth": 2,
    "borderColor": "#949494",
    "backgroundColor": "#ffffff",
    "backgroundColor:active": "#dddddd"
  },
  "emptytxt": {
    "marginTop": "146",
    "fontSize": "29",
    "color": "#999999"
  },
  "empty": {
    "alignItems": "center"
  },
  "loading": {
    "height": 90,
    "justifyContent": "center",
    "alignItems": "center",
    "flexDirection": "row",
    "borderRadius": 5,
    "borderWidth": 1,
    "borderColor": "#e6e6e6",
    "backgroundColor": "#fdfdfd"
  },
  "c": {
    "flex": 1
  },
  "page": {
    "backgroundColor": "#ffffff",
    "flex": 1
  }
}

/***/ }),

/***/ 308:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var pull = __webpack_require__(309);

exports.default = {
    components: { pull: pull },
    props: {
        columnCount: {
            default: 1
        },
        width: {
            default: 750
        },
        reverse: {
            default: false
        },
        exceptionText: {
            default: '网络请求失败'
        },
        key: {
            default: 'key1'
        },
        columnGap: {
            default: 20
        },
        columnWidth: {
            default: 'auto'
        },
        scrollable: {
            default: true
        },
        showScrollbar: {
            default: true
        },
        showheader: {
            default: false
        },
        stateTop: {
            default: 100
        },
        stateBottom: {
            default: 0
        },
        usePullRefresh: {
            default: true
        },
        items: {
            default: []
        },
        isEmpty: {
            default: false
        },
        background: {
            default: '#ffffff'
        },
        isException: {
            default: false
        },
        pageSize: {
            default: 15
        },
        pageNum: {
            default: 1
        },
        isloading: {
            default: false
        },
        loadOnInit: {
            default: true
        },
        hasmore: {
            default: false
        },
        emptyTxt: {
            default: '空空如也哦!'
        },
        img_empty_src: {
            default: 'root:img/status/empty.png'
        },

        img_exception_src: {
            default: 'root:img/status/no-network.png'
        },
        showweg: {
            default: false
        },
        ispull: {
            default: false
        },
        isautoheight: {
            default: false
        },
        searchMark: {
            default: false
        },
        //是否加载过数据
        isRun: {
            default: false
        }

    },
    data: function data() {

        return {
            pullkey: this.key + "pull",
            waterkey: this.key + "water",
            maxId: ''

        };
    },
    mounted: function mounted() {

        if (this.loadOnInit) {
            var self = this;
            self.$emit('load');
        }
    },


    methods: {
        scroll: function scroll(p) {
            this.$emit('scroll', p);
        },
        hideFooterIndicator: function hideFooterIndicator() {
            var _this = this;

            setTimeout(function () {
                _this.isloading = false;
            }, 1000);
        },

        loadmore: function loadmore(e) {
            this.$emit('load');
        },
        showEmpty: function showEmpty() {
            this.isEmpty = true;
            this.isException = false;
        },
        showException: function showException() {
            this.isEmpty = false;
            this.isException = true;
        },
        load: function load(url, param, items, callback) {
            if (param.isPull) {
                this.ispull = param.isPull;
            }
            param.pageSize = this.pageSize;
            if (this.ispull) {
                param.page = 1;
                this.pageNum = 1;
            } else {
                param.page = this.pageNum;
            }
            if (this.maxId && !this.ispull) {
                param.maxId = this.maxId;
            }

            this.loadFull(url, param, items, callback, function () {}, function () {}, function () {}, function () {});
        },

        loadFull: function loadFull(url, param, items, callback, start, fail, exp, comp) {
            var _this2 = this;

            if (this.isloading) return;
            this.exceptionText = '网络请求失败';
            this.isException = false;
            this.isEmpty = false;
            this.isloading = true;

            var self = this;
            var modal = weex.requireModule('modal');
            this.netjs.getFull(url, param, {}, function () {
                //start
                start();
            }, function (res) {
                //success
                if (!_this2.ispull) {
                    _this2.hasmore = res.status == 1;
                } else {
                    _this2.hasmore = false;
                }
                if (res.status == 1) {
                    if (res.maxId) {
                        self.maxId = res.maxId;
                    }
                    if (_this2.ispull) {
                        if (!res.resultList) {
                            items = res.resultObject.content;
                        } else {
                            items = res.resultList;
                        }
                    } else {
                        if (!res.resultList) {
                            items = items.concat(res.resultObject.content);
                        } else {
                            items = items.concat(res.resultList);
                        }
                    }
                    _this2.pageNum++;
                    self.items = items;
                } else {
                    if (_this2.ispull) {
                        items = [];
                    }
                }

                if (items.length == 0) {
                    self.showEmpty();
                }
                callback(items, res);
            }, function (e) {
                fail(e);
            }, function () {
                //exception
                exp();
                if (items.length == 0) {
                    self.showException();
                } else {
                    modal.toast({ message: '网络异常' });
                }
            }, function (e) {
                self.ispull = false;
                self.hideFooterIndicator();
                if (self.usePullRefresh && !self.searchMark) {
                    self.$refs.refresh.end();
                }
                comp();
            });
        },
        hideRefresh: function hideRefresh() {
            if (this.usePullRefresh && !this.searchMark) {
                this.$refs.refresh.end();
            }
            this.ispull = false;
        },
        refresh: function refresh() {

            this.ispull = true;

            this.isEmpty = false;
            this.isException = false;
            this.isloading = false;
            this.$emit('refresh');
        },
        reload: function reload() {
            this.isEmpty = false;
            this.isException = false;
            this.isloading = false;
            this.ispull = false;
            this.$emit('refresh');
        }
    }
};

/***/ }),

/***/ 309:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(292)
)

/* script */
__vue_exports__ = __webpack_require__(293)

/* template */
var __vue_template__ = __webpack_require__(294)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\pullrefresh.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-8f4fc102"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 310:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["c"],
    style: {
      'width': _vm.width
    }
  }, [_c('list', {
    key: _vm.waterkey,
    staticClass: ["page"],
    style: {
      'width': _vm.width
    },
    attrs: {
      "backgroundColor": _vm.background,
      "columnGap": _vm.columnGap,
      "reverse": _vm.reverse,
      "showScrollbar": _vm.showScrollbar,
      "scrollable": _vm.scrollable,
      "loadmoreoffset": "250"
    },
    on: {
      "scroll": _vm.scroll,
      "loadmore": _vm.loadmore
    }
  }, [(_vm.usePullRefresh) ? _c('pull', {
    ref: "refresh",
    attrs: {
      "width": _vm.width
    },
    on: {
      "onRefresh": _vm.refresh
    }
  }) : _vm._e(), _c('header', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', [_vm._t("head")], 2)]), _vm._t("cell"), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', [_vm._t("foot")], 2)]), (_vm.isEmpty) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_vm._t("emptyView", [_c('div', {
    staticClass: ["empty"],
    style: {
      'margin-top': _vm.stateTop,
      'margin-bottom': _vm.stateBottom
    }
  }, [_c('image', {
    staticStyle: {
      width: "401px",
      height: "201"
    },
    attrs: {
      "src": _vm.img_empty_src
    }
  }), _c('text', {
    staticClass: ["emptytxt"]
  }, [_vm._v(_vm._s(_vm.emptyTxt))])])])], 2) : _vm._e(), (_vm.isException) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["empty"],
    style: {
      'margin-top': _vm.stateTop,
      'margin-bottom': _vm.stateBottom
    }
  }, [_c('image', {
    staticStyle: {
      width: "252",
      height: "201"
    },
    attrs: {
      "src": _vm.img_exception_src
    }
  }), _c('text', {
    staticStyle: {
      color: "#000000",
      marginTop: "146"
    }
  }, [_vm._v(_vm._s(_vm.exceptionText))]), _c('div', {
    staticClass: ["exception"],
    on: {
      "click": _vm.reload
    }
  }, [_c('text', {
    staticStyle: {
      color: "#000000",
      fontSize: "28"
    }
  }, [_vm._v("重新加载")])])])]) : _vm._e(), (!_vm.ispull && _vm.isloading && _vm.hasmore && _vm.isRun) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["loading"]
  }, [_c('floading', {
    staticStyle: {
      height: "40",
      width: "40"
    },
    attrs: {
      "color": "#999999",
      "loadingStyle": "small"
    }
  }), _c('text', {
    staticStyle: {
      marginLeft: "10",
      color: "#999999",
      fontSize: "28"
    }
  }, [_vm._v("正在载入")])], 1)]) : _vm._e()], 2), (!_vm.searchMark && !_vm.isEmpty && _vm.items.length == 0 && !_vm.isException) ? _c('div', {
    staticClass: ["progress"]
  }, [_c('floading', {
    staticStyle: {
      height: "40",
      width: "40",
      marginTop: "20"
    },
    attrs: {
      "color": "#b1b1b1",
      "loadingStyle": "big"
    }
  }), _c('text', {
    staticStyle: {
      marginLeft: "5",
      color: "#b1b1b1",
      fontSize: "30",
      marginTop: "30"
    }
  }, [_vm._v("加载中")])], 1) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 364:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(307)
)

/* script */
__vue_exports__ = __webpack_require__(308)

/* template */
var __vue_template__ = __webpack_require__(310)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\flist.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5595fb66"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });