// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 491);
/******/ })
/************************************************************************/
/******/ ({

/***/ 301:
/***/ (function(module, exports) {

module.exports = {
  "cycle": {
    "width": "750",
    "flex": 1
  },
  "content": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0,
    "marginTop": 0,
    "marginBottom": 0
  },
  "top": {
    "backgroundColor": "#3F80CC",
    "height": "40",
    "width": "750"
  },
  "full-top": {
    "backgroundColor": "#3F80CC",
    "height": "80",
    "width": "750"
  },
  "banner": {
    "width": "750",
    "height": "88",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "backgroundColor": "#3F80CC"
  },
  "inner-banner": {
    "height": "180",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center"
  },
  "icon-width": {
    "width": "88",
    "height": "88",
    "lineHeight": "88",
    "textAlign": "center",
    "fontSize": "42"
  },
  "title": {
    "fontSize": "36",
    "color": "#FFFFFF",
    "marginLeft": "100"
  },
  "inquiry-status": {
    "flexDirection": "row",
    "justifyContent": "space-around",
    "alignItems": "center",
    "height": "128"
  },
  "category-status": {
    "flexDirection": "column",
    "alignItems": "center",
    "paddingTop": "20",
    "paddingBottom": "20"
  },
  "tab-list-head": {
    "alignItems": "center",
    "height": "150",
    "width": "150",
    "flexDirection": "row",
    "justifyContent": "space-around"
  }
}

/***/ }),

/***/ 302:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


exports.default = {
    data: function data() {
        return {
            isFullScreen: '',
            screenHeight: '',
            headCurrentPage: 0,
            selectIndex: 0,
            items: [{ url: 'root:app/inquiry/main/index.js', param: { sheetStatus: -1 } }, { url: 'root:app/inquiry/main/index.js', param: { sheetStatus: 0 } }, { url: 'root:app/inquiry/main/index.js', param: { sheetStatus: 1 } }, { url: 'root:app/inquiry/main/index.js', param: { sheetStatus: 2 } }, { url: 'root:app/inquiry/main/index.js', param: { sheetStatus: 3 } }],
            headTab: [{
                title: '全部',
                name: 'all'
            }, {
                title: '待派单',
                name: 'pendingBill'
            }, {
                title: '待接单',
                name: 'pendingOrder'
            }, {
                title: '待报价',
                name: 'pendingOffer'
            }, {
                title: '待评价',
                name: 'pendingEvaluate'
            }],
            headTabStyles: {
                bgColor: '#FFFFFF',
                titleColor: '#666666',
                activeTitleColor: '#3F80CC',
                activeBgColor: '#FFFFFF',
                fontSize: 24,
                iconFontSize: 44,
                iconFontColor: '#656766',
                activeIconFontColor: '#3F80CC'
            }
        };
    },

    methods: {
        headChange: function headChange(i) {
            this.headCurrentPage = i;
            this.selectIndex = i;
        },
        change: function change(e) {
            this.sendNotify('sliderInquiryList', { inquiryStatus: e.index });
            this.selectIndex = e.index;
            this.headCurrentPage = e.index;
        },
        publish: function publish() {
            var param = {};
            param.userId = this.userId;
            this.pushParam('../publish/slider.js', param);
        },
        search: function search() {
            var param = {};
            param.userId = this.userId;
            this.pushParam('./search.js', param);
        },
        send: function send() {
            this.sendNotify('toggle', {});
        }
    },
    created: function created() {

        this.isFullScreen = this.getIsFullScreen();
        if (this.isFullScreen) {
            this.screenHeight = this.getScreenHeight() - 228;
        } else {
            this.screenHeight = this.getScreenHeight() - 188;
        }
    }
};

/***/ }),

/***/ 303:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wraper', [_c('div', {
    staticStyle: {
      flex: "1"
    }
  }, [_c('div', {
    class: [_vm.isFullScreen ? 'full-top' : 'top']
  }), _c('div', {
    staticClass: ["banner"]
  }, [_c('gxt-icon', {
    staticClass: ["icon-width"],
    attrs: {
      "name": "user"
    },
    on: {
      "gxtIconClicked": _vm.send
    }
  }), _c('text', {
    staticClass: ["title"]
  }, [_vm._v("建材微价")]), _c('div', {
    staticClass: ["inner-banner"]
  }, [_c('gxt-icon', {
    staticClass: ["icon-width"],
    attrs: {
      "name": "search"
    },
    on: {
      "gxtIconClicked": _vm.search
    }
  }), _c('gxt-icon', {
    staticClass: ["icon-width"],
    attrs: {
      "name": "addInquiry"
    },
    on: {
      "gxtIconClicked": _vm.publish
    }
  })], 1)], 1), _c('div', {
    staticClass: ["inquiry-status"]
  }, _vm._l((_vm.headTab), function(v, selectIndex) {
    return _c('div', {
      key: selectIndex,
      staticClass: ["tab-list-head"],
      on: {
        "click": function($event) {
          _vm.headChange(selectIndex)
        }
      }
    }, [_c('div', {
      staticClass: ["category-status"]
    }, [_c('gxt-icon', {
      style: {
        fontSize: _vm.headTabStyles.iconFontSize + 'px',
        color: _vm.headCurrentPage == selectIndex ? _vm.headTabStyles.activeIconFontColor : _vm.headTabStyles.iconFontColor
      },
      attrs: {
        "activeClass": false,
        "name": v.name
      },
      on: {
        "gxtIconClicked": function($event) {
          _vm.headChange(selectIndex)
        }
      }
    }), _c('text', {
      style: {
        fontSize: _vm.headTabStyles.fontSize + 'px',
        color: _vm.headCurrentPage == selectIndex ? _vm.headTabStyles.activeTitleColor : _vm.headTabStyles.titleColor,
        marginTop: '15px'
      }
    }, [_vm._v(_vm._s(v.title))])], 1)])
  })), _c('cycleslider', {
    staticClass: ["cycle"],
    staticStyle: {
      width: "750"
    },
    style: {
      'height': _vm.screenHeight
    },
    attrs: {
      "infinite": false,
      "index": _vm.selectIndex
    },
    on: {
      "change": _vm.change
    }
  }, _vm._l((_vm.items), function(item) {
    return _c('div', {
      key: "k1",
      staticClass: ["content"]
    }, [_c('embed', {
      staticClass: ["content"],
      attrs: {
        "src": item.url,
        "type": "weex",
        "param": item.param
      }
    })])
  }))], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 491:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(301)
)

/* script */
__vue_exports__ = __webpack_require__(302)

/* template */
var __vue_template__ = __webpack_require__(303)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\inquiry\\main\\inquirySlider.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-c0d2cebc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ })

/******/ });