// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 715);
/******/ })
/************************************************************************/
/******/ ({

/***/ 715:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(716)
)

/* script */
__vue_exports__ = __webpack_require__(717)

/* template */
var __vue_template__ = __webpack_require__(718)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\Enterprise\\CompanyQrCode.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-bc51f3d8"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ }),

/***/ 716:
/***/ (function(module, exports) {

module.exports = {
  "top": {
    "height": "40",
    "backgroundColor": "#3F80CC"
  },
  "full-top": {
    "backgroundColor": "#3F80CC",
    "height": "80"
  },
  "left-icon": {
    "width": "88",
    "height": "88",
    "paddingRight": "6",
    "lineHeight": "88",
    "fontSize": "38",
    "textAlign": "center"
  },
  "banner": {
    "backgroundColor": "#3B7ECF",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "88"
  },
  "banner-title": {
    "fontSize": "32",
    "color": "#ffffff"
  },
  "empty": {
    "width": "88"
  },
  "companyName": {
    "height": "120",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "QrCodeDiv": {
    "height": "500",
    "alignItems": "center"
  }
}

/***/ }),

/***/ 717:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    data: function data() {
        return {
            qrCodeUrl: '', //二维码图片地址
            companyName: '',
            companyId: '',
            isFullScreen: ''
        };
    },

    methods: {
        //跳转回上级界面
        goBack: function goBack() {
            this.back();
        },
        getQRCode: function getQRCode() {
            var _this = this;

            this.netjs.noProgressGet(this.netjs.getCompanyUrl() + 'getCompanyQRCode', { companyId: this.companyId }, function (e) {
                if (e.status == 1) {
                    _this.qrCodeUrl = e.resultObject.qrCodeUrl;
                } else {
                    _this.toast('获取二维码失败，请重试');
                }
            });
        }
    },
    created: function created() {
        var _this2 = this;

        this.isFullScreen = this.getIsFullScreen();
        this.addEventListener("onPageInit", function (e) {
            _this2.companyId = e.companyId;
            _this2.companyName = e.companyName;
            _this2.getQRCode();
        });
    }
};

/***/ }),

/***/ 718:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('div', {
    class: [_vm.isFullScreen ? 'full-top' : 'top']
  }), _c('div', {
    staticClass: ["banner"]
  }, [_c('gxt-icon', {
    staticClass: ["left-icon"],
    attrs: {
      "name": "back"
    },
    on: {
      "gxtIconClicked": _vm.goBack
    }
  }), _c('text', {
    staticClass: ["banner-title"]
  }, [_vm._v("公司二维码")]), _c('div', {
    staticClass: ["empty"]
  })], 1), _c('div', {
    staticClass: ["companyName"]
  }, [_c('text', {
    staticStyle: {
      fontSize: "32px"
    }
  }, [_vm._v(_vm._s(_vm.companyName))])]), _c('div', {
    staticClass: ["QrCodeDiv"]
  }, [_c('image', {
    staticStyle: {
      height: "500px",
      width: "500px"
    },
    attrs: {
      "src": _vm.qrCodeUrl
    }
  })]), _vm._m(0)])
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      alignItems: "center",
      marginTop: "50px"
    }
  }, [_c('text', {
    staticStyle: {
      fontSize: "28px"
    }
  }, [_vm._v("扫描此二维码即可加入公司，并共用公司购买的询价条数")])])
}]}
module.exports.render._withStripped = true

/***/ })

/******/ });