// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 719);
/******/ })
/************************************************************************/
/******/ ({

/***/ 284:
/***/ (function(module, exports) {

module.exports = {
  "weui-switch": {
    "position": "relative",
    "width": "70",
    "height": "38",
    "outline": 0,
    "borderRadius": "19"
  },
  "cycle": {
    "content": "\" \"",
    "position": "absolute",
    "top": "1",
    "left": "1",
    "width": "36",
    "height": "36",
    "borderRadius": "18",
    "backgroundColor": "#ffffff"
  },
  "weui-switch-close": {
    "border": "1px solid #D6D7DC",
    "backgroundColor": "#D6D7DC"
  },
  "weui-switch-on": {
    "borderColor": "#3F80CC",
    "backgroundColor": "#3F80CC"
  }
}

/***/ }),

/***/ 285:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
    props: {
        value: {
            type: Boolean,
            default: true
        },
        visible: {
            default: true
        },
        userId: {
            type: String,
            default: -1
        },
        init: {
            default: false
        },
        isClick: {
            default: true
        }
    },
    data: function data() {
        return {
            shift: ''
        };
    },

    watch: {},
    methods: {
        toggle: function toggle(init) {
            var cycleDiv = this.$refs.cycle;
            this.value = !this.value;
            animation.transition(cycleDiv, {
                styles: {
                    transform: this.value ? 'translateX(32)' : 'translateX(0)'
                },
                duration: 200, //ms
                timingFunction: 'ease',
                needLayout: false,
                delay: 0 //ms
            });

            if (!init) {
                this.$emit('change', { bindUserId: this.userId, checked: this.value });
            }
        }
    },
    mounted: function mounted() {
        //            this.toggle(true);
    }
};

/***/ }),

/***/ 286:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      height: "40px",
      width: "92px"
    },
    on: {
      "click": function($event) {
        _vm.toggle(false)
      }
    }
  }, [_c('span', {
    staticClass: ["weui-switch"],
    class: [_vm.value ? 'weui-switch-on' : 'weui-switch-close'],
    attrs: {
      "value": _vm.value
    },
    on: {
      "click": function($event) {
        _vm.toggle(false)
      }
    }
  }), _c('div', {
    ref: "cycle",
    staticClass: ["cycle"],
    style: {
      'transform': _vm.value ? 'translateX(32)' : 'translateX(0)'
    },
    on: {
      "click": function($event) {
        _vm.toggle(false)
      }
    }
  })])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 291:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(284)
)

/* script */
__vue_exports__ = __webpack_require__(285)

/* template */
var __vue_template__ = __webpack_require__(286)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\component\\myswitch.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-b7a76db2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 330:
/***/ (function(module, exports) {

module.exports = {
  "panel": {
    "width": "750",
    "height": "175",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#F4F4F4",
    "backgroundColor": "#FFFFFF"
  },
  "left-block": {
    "flexDirection": "column",
    "paddingLeft": "30",
    "justifyContent": "center",
    "width": "600"
  },
  "user-block": {
    "flexDirection": "row",
    "justifyContent": "flex-start",
    "alignItems": "center"
  },
  "right-block": {
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "width": "150"
  },
  "user-name": {
    "fontSize": "28",
    "marginTop": "15"
  },
  "inquiry-number": {
    "marginTop": "15",
    "fontSize": "28",
    "marginLeft": "50"
  },
  "department-text": {
    "fontSize": "24",
    "color": "#858585",
    "marginTop": "15"
  },
  "remove": {
    "width": "150",
    "height": "175",
    "backgroundColor": "#FF0000",
    "position": "absolute",
    "right": "-150",
    "justifyContent": "center",
    "alignItems": "center"
  }
}

/***/ }),

/***/ 331:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
var mySwitch = __webpack_require__(291);
exports.default = {
    components: {
        mySwitch: mySwitch
    },
    data: function data() {
        return {
            userId: '',
            companyId: '',
            lists: [],
            index: -1,
            prevIndex: -1,
            isPull: false
        };
    },

    methods: {
        change: function change(e) {
            var _this = this;

            var param = {};
            param.userId = this.userId;
            param.companyId = this.companyId;
            param.bindUserId = e.bindUserId;
            if (e.checked) {
                param.canUseCompanyInquiry = 1;
            } else {
                param.canUseCompanyInquiry = 0;
            }
            var host = this.netjs.getCompanyUrl();
            this.netjs.noProgressPost(host + "setUserInquiryStatus", param, function (e) {
                if (e.status == 1) {
                    _this.toast('设置成功');
                }
            });
        },
        refresh: function refresh() {
            this.isPull = true;
            this.load();
        },
        load: function load() {
            var _this2 = this;

            var param = {};
            param.userId = this.userId;
            param.companyId = this.companyId;
            param.isPull = this.isPull;
            var host = this.netjs.getCompanyUrl() + 'userList';
            this.$refs.list.load(host, param, this.lists, function (itms, res) {
                _this2.lists = itms;
                _this2.isPull = false;
            });
        },
        swipeEvent: function swipeEvent(event, i) {

            if (event.direction == 'left') {
                var infoDiv = this.$refs['empinfo' + i][0];
                var deleteDiv = this.$refs['removeEmp' + i][0];
                if (this.prevIndex != -1) {
                    //最后一次左滑的元素
                    var lastInfoDiv = this.$refs['empinfo' + this.prevIndex][0];
                    var lastDeleteDiv = this.$refs['removeEmp' + this.prevIndex][0];
                    animation.transition(lastInfoDiv, {
                        styles: {
                            transform: 'translateX(0)'
                        },
                        duration: 300, //ms
                        timingFunction: 'ease',
                        needLayout: false,
                        delay: 0 //ms
                    });
                    animation.transition(lastDeleteDiv, {
                        styles: {
                            transform: 'translateX(0)'
                        },
                        duration: 300, //ms
                        timingFunction: 'ease',
                        needLayout: false,
                        delay: 0 //ms
                    });
                    animation.transition(infoDiv, {
                        styles: {
                            transform: 'translateX(-150px)'
                        },
                        duration: 300, //ms
                        timingFunction: 'ease',
                        needLayout: false,
                        delay: 0 //ms
                    });
                    animation.transition(deleteDiv, {
                        styles: {
                            transform: 'translateX(-150px)'
                        },
                        duration: 300, //ms
                        timingFunction: 'ease',
                        needLayout: false,
                        delay: 0 //ms
                    });
                } else {
                    animation.transition(infoDiv, {
                        styles: {
                            transform: 'translateX(-150px)'
                        },
                        duration: 300, //ms
                        timingFunction: 'ease',
                        needLayout: false,
                        delay: 0 //ms
                    });
                    animation.transition(deleteDiv, {
                        styles: {
                            transform: 'translateX(-150px)'
                        },
                        duration: 300, //ms
                        timingFunction: 'ease',
                        needLayout: false,
                        delay: 0 //ms
                    });
                }
                this.prevIndex = i;
                this.index = i;
            } else if (event.direction == 'right') {

                var _lastInfoDiv = this.$refs['empinfo' + this.prevIndex][0];
                var _lastDeleteDiv = this.$refs['removeEmp' + this.prevIndex][0];
                animation.transition(_lastInfoDiv, {
                    styles: {
                        transform: 'translateX(0)'
                    },
                    duration: 300, //ms
                    timingFunction: 'ease',
                    needLayout: false,
                    delay: 0 //ms
                });
                animation.transition(_lastDeleteDiv, {
                    styles: {
                        transform: 'translateX(0)'
                    },
                    duration: 300, //ms
                    timingFunction: 'ease',
                    needLayout: false,
                    delay: 0 //ms
                });
                this.index = -1;
            }
        },
        deleteEmp: function deleteEmp(unBindUserId, i) {
            var _this3 = this;

            //this.alert(unBindUserId+'---'+i);
            //this.lists.splice(i,1);
            var lastInfoDiv = this.$refs['empinfo' + this.prevIndex][0];
            var lastDeleteDiv = this.$refs['removeEmp' + this.prevIndex][0];
            animation.transition(lastInfoDiv, {
                styles: {
                    transform: 'translateX(0)'
                },
                duration: 0.5, //ms
                timingFunction: 'ease',
                needLayout: false,
                delay: 0 //ms
            });
            animation.transition(lastDeleteDiv, {
                styles: {
                    transform: 'translateX(0)'
                },
                duration: 0.5, //ms
                timingFunction: 'ease',
                needLayout: false,
                delay: 0 //ms
            });
            this.index = -1;

            var param = {};
            param.userId = this.userId;
            param.companyId = this.companyId;
            param.unBindUserId = unBindUserId;
            var host = this.netjs.getCompanyUrl() + 'unBindUser';
            this.netjs.noProgressPost(host, param, function (e) {
                if (e.status == 1) {
                    _this3.lists.splice(i, 1);
                    _this3.toast('解绑成功');
                }
            });
        }
    },
    created: function created() {
        var _this4 = this;

        this.userId = this.getString('userId');
        this.companyId = this.getString('authCompanyId');
        this.addEventListener('onPageInit', function () {
            _this4.load();
        });
    }
};

/***/ }),

/***/ 332:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      backgroundColor: "#F8F8F8",
      flex: "1"
    }
  }, [_c('flist', {
    ref: "list",
    attrs: {
      "loadOnInit": false,
      "background": "#F6F6F6"
    },
    on: {
      "load": _vm.load,
      "refresh": _vm.refresh
    }
  }, _vm._l((_vm.lists), function(obj, i) {
    return (obj) ? _c('cell', {
      appendAsTree: true,
      attrs: {
        "slot": "cell",
        "append": "tree"
      },
      slot: "cell"
    }, [_c('div', {
      staticStyle: {
        flexDirection: "row",
        position: "relative"
      },
      on: {
        "swipe": function($event) {
          _vm.swipeEvent($event, i)
        }
      }
    }, [_c('div', {
      ref: 'empinfo' + i,
      refInFor: true,
      staticClass: ["panel"]
    }, [_c('div', {
      staticClass: ["left-block"]
    }, [_c('div', {
      staticClass: ["user-block"]
    }, [_c('text', {
      staticClass: ["user-name"]
    }, [_vm._v(_vm._s(obj.realName))]), _c('text', {
      staticClass: ["inquiry-number"]
    }, [_vm._v("消耗：" + _vm._s(obj.costInquiryNum) + "条")])]), _c('text', {
      staticClass: ["department-text"]
    }, [_vm._v("所属部门：" + _vm._s(obj.department))]), _c('text', {
      staticClass: ["department-text"]
    }, [_vm._v("通过时间：" + _vm._s(obj.bindTime))])]), _c('div', {
      ref: 'myswitch' + i,
      refInFor: true,
      staticClass: ["right-block"],
      style: {
        opacity: i != _vm.index ? 1 : 0
      }
    }, [_c('mySwitch', {
      attrs: {
        "isClick": i != _vm.index,
        "userId": obj.userId,
        "value": obj.canUseCompanyInquiry != 0
      },
      on: {
        "change": _vm.change
      }
    })], 1)]), _c('div', {
      ref: 'removeEmp' + i,
      refInFor: true,
      staticClass: ["remove"],
      on: {
        "click": function($event) {
          _vm.deleteEmp(obj.userId, i)
        }
      }
    }, [_c('text', {
      staticStyle: {
        color: "#ffffff",
        fontSize: "30px"
      }
    }, [_vm._v("解绑")])])])]) : _vm._e()
  }))], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 333:
/***/ (function(module, exports) {

module.exports = {
  "panel": {
    "width": "750",
    "height": "175",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#F4F4F4",
    "backgroundColor": "#FFFFFF"
  },
  "left-block": {
    "flexDirection": "column",
    "paddingLeft": "30",
    "justifyContent": "center",
    "width": "500"
  },
  "right-block": {
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center",
    "width": "200"
  },
  "user-name": {
    "fontSize": "28",
    "marginTop": "15"
  },
  "department-text": {
    "fontSize": "24",
    "color": "#858585",
    "marginTop": "15"
  }
}

/***/ }),

/***/ 334:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


exports.default = {
    data: function data() {
        return {
            userId: '',
            companyId: '',
            lists: [],
            isPull: false
        };
    },

    methods: {
        refresh: function refresh() {
            this.isPull = true;
            this.load();
        },
        load: function load() {
            var _this = this;

            var param = {};
            param.userId = this.userId;
            param.companyId = this.companyId;
            param.isPull = this.isPull;
            var host = this.netjs.getCompanyUrl() + 'userReplyBindList';
            this.$refs.list.load(host, param, this.lists, function (itms, res) {
                _this.lists = itms;
                _this.isPull = false;
            });
        },

        // onload(){
        //     this.load();
        // },
        handleUser: function handleUser(status, bindUserId, index) {
            var _this2 = this;

            var param = {
                // companyId:this.companyId,
                companyId: this.companyId,
                userId: this.userId,
                bindUserId: bindUserId,
                bindStatus: status
            };
            this.netjs.noProgressPost(this.netjs.getCompanyUrl() + 'handRequestBind', param, function (e) {

                if (e.status == 1) {
                    _this2.lists[index].replyStatus = status;
                    _this2.getReplyNumber();
                    _this2.toast(e.message);
                    _this2.sendNotify('personalStatus', { personalStatus: status });
                } else {
                    _this2.toast(e.message);
                }
            });
        },
        getReplyNumber: function getReplyNumber() {
            var _this3 = this;

            var param = {};
            param.userId = this.userId;
            param.companyId = this.companyId;
            var host = this.netjs.getCompanyUrl();
            this.netjs.noProgressGet(host + "userReplyBindList", param, function (e) {
                if (e.status == 1) {
                    _this3.sendNotify('replyNumber', { replyNumber: e.resultObject });
                }
            });
        }
    },
    created: function created() {
        var _this4 = this;

        this.userId = this.getString('userId');
        this.companyId = this.getString('authCompanyId');
        this.addEventListener('onPageInit', function (e) {
            _this4.load();
        });
    }
};

/***/ }),

/***/ 335:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wraper', [_c('div', {
    staticStyle: {
      backgroundColor: "#F8F8F8",
      flex: "1"
    }
  }, [_c('flist', {
    ref: "list",
    attrs: {
      "loadOnInit": false,
      "background": "#F6F6F6"
    },
    on: {
      "load": _vm.load,
      "refresh": _vm.refresh
    }
  }, _vm._l((_vm.lists), function(obj, i) {
    return _c('cell', {
      appendAsTree: true,
      attrs: {
        "slot": "cell",
        "append": "tree"
      },
      slot: "cell"
    }, [_c('div', {
      staticClass: ["panel"]
    }, [_c('div', {
      staticClass: ["left-block"]
    }, [_c('text', {
      staticClass: ["user-name"]
    }, [_vm._v(_vm._s(obj.realName))]), _c('text', {
      staticClass: ["department-text"]
    }, [_vm._v("所属部门：" + _vm._s(obj.department))]), _c('text', {
      staticClass: ["department-text"]
    }, [_vm._v("申请时间：" + _vm._s(obj.replyTime))])]), _c('div', {
      staticClass: ["right-block"]
    }, [(obj.replyStatus == 0) ? _c('div', {
      staticStyle: {
        flexDirection: "row",
        justifyContent: "center",
        alignItems: "center"
      }
    }, [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#E89C35",
        paddingRight: "10px",
        paddingLeft: "10px",
        width: "100px"
      },
      on: {
        "click": function($event) {
          _vm.handleUser(1, obj.userId, i)
        }
      }
    }, [_vm._v("接受")]), _c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#E89C35",
        paddingRight: "10px",
        paddingLeft: "10px",
        width: "100px"
      },
      on: {
        "click": function($event) {
          _vm.handleUser(2, obj.userId, i)
        }
      }
    }, [_vm._v("拒绝")])]) : _vm._e(), (obj.replyStatus == 1) ? _c('div', [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#858585"
      }
    }, [_vm._v("申请通过")])]) : _vm._e(), (obj.replyStatus == 2) ? _c('div', [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#858585"
      }
    }, [_vm._v("申请拒绝")])]) : _vm._e(), (obj.replyStatus == 3) ? _c('div', [_c('text', {
      staticStyle: {
        fontSize: "28px",
        color: "#858585"
      }
    }, [_vm._v("已解绑")])]) : _vm._e()])])])
  }))], 1)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 719:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(720)
)

/* script */
__vue_exports__ = __webpack_require__(721)

/* template */
var __vue_template__ = __webpack_require__(724)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\Enterprise\\host.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5db13a8f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ }),

/***/ 720:
/***/ (function(module, exports) {

module.exports = {
  "host": {
    "position": "absolute",
    "left": 0,
    "top": "228",
    "right": 0,
    "bottom": 0
  },
  "full-host": {
    "position": "absolute",
    "left": 0,
    "top": "268",
    "right": 0,
    "bottom": 0
  },
  "tab-list": {
    "alignItems": "center",
    "height": "100",
    "width": "200",
    "flexDirection": "row",
    "justifyContent": "space-around",
    "backgroundColor": "#ffffff",
    "borderBottomWidth": "4",
    "borderBottomStyle": "solid"
  },
  "title-item": {
    "height": "100",
    "width": "750",
    "position": "absolute",
    "top": "128",
    "left": 0,
    "right": 0,
    "flexDirection": "row",
    "justifyContent": "space-around",
    "alignItems": "center",
    "borderBottomStyle": "solid",
    "flex": 1
  },
  "full-title-item": {
    "height": "100",
    "width": "750",
    "position": "absolute",
    "top": "168",
    "left": 0,
    "right": 0,
    "flexDirection": "row",
    "justifyContent": "space-around",
    "alignItems": "center",
    "borderBottomStyle": "solid",
    "flex": 1
  },
  "top": {
    "backgroundColor": "#3F80CC",
    "height": "40"
  },
  "full-top": {
    "backgroundColor": "#3F80CC",
    "height": "80"
  },
  "banner": {
    "width": "750",
    "height": "88",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "backgroundColor": "#3F80CC"
  },
  "banner-text": {
    "color": "#ffffff",
    "fontSize": "32"
  },
  "left-icon": {
    "width": "88",
    "height": "88",
    "paddingRight": "6",
    "lineHeight": "88",
    "fontSize": "38",
    "textAlign": "center"
  },
  "right-icon": {
    "width": "88"
  },
  "orange-circle": {
    "height": "30",
    "width": "30",
    "borderRadius": "15",
    "backgroundColor": "#df6351",
    "marginBottom": "15"
  },
  "orange-text": {
    "color": "#ffffff",
    "textAlign": "center",
    "height": "30",
    "lineHeight": "30"
  }
}

/***/ }),

/***/ 721:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var userList = __webpack_require__(722);
var userBindList = __webpack_require__(723);
exports.default = {
    components: { userList: userList, userBindList: userBindList },
    data: function data() {
        return {
            currentPage: 0,
            index: 0,
            replyNumber: '',
            headTab: [{
                title: '员工管理'
            }, {
                title: '新员工审核'
            }],
            headTabStyles: {
                bgColor: '#3F80CC',
                activeTitleColor: '#FFFFFF',
                titleColor: '#666666',
                fontSize: 28,
                activeIconFontColor: '#3F80CC'
            },
            isFullScreen: ''
        };
    },


    methods: {
        change: function change(i) {
            this.currentPage = i;
            this.index = i;
        },
        goback: function goback() {
            this.back();
        },
        getReplyNumber: function getReplyNumber() {
            var _this = this;

            var param = {};

            param.userId = this.getString('userId');
            param.companyId = this.getString('authCompanyId');
            var host = this.netjs.getCompanyUrl();
            this.netjs.noProgressGet(host + "userReplyBindList", param, function (e) {
                if (e.status == 1) {
                    _this.replyNumber = e.resultObject;
                }
            });
        }
    },
    created: function created() {
        var _this2 = this;

        this.isFullScreen = this.getIsFullScreen();
        this.addEventListener("onPageInit", function (e) {
            _this2.getReplyNumber();
        });
        this.registNotify("replyNumber", function (res) {
            _this2.replyNumber = res.replyNumber;
        });
    }
};

/***/ }),

/***/ 722:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(330)
)

/* script */
__vue_exports__ = __webpack_require__(331)

/* template */
var __vue_template__ = __webpack_require__(332)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\Enterprise\\userList.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-03a11ff0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 723:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(333)
)

/* script */
__vue_exports__ = __webpack_require__(334)

/* template */
var __vue_template__ = __webpack_require__(335)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\Enterprise\\userBindList.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-30bbae4d"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 724:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      width: "750px",
      flex: "1"
    }
  }, [_c('div', {
    class: [_vm.isFullScreen ? 'full-top' : 'top']
  }), _c('div', {
    staticClass: ["banner"]
  }, [_c('gxt-icon', {
    staticClass: ["left-icon"],
    attrs: {
      "name": "back"
    },
    on: {
      "gxtIconClicked": _vm.goback
    }
  }), _c('text', {
    staticClass: ["banner-text"]
  }, [_vm._v("员工管理")]), _c('text', {
    staticClass: ["right-icon"]
  })], 1), _c('host', {
    class: [_vm.isFullScreen ? 'full-host' : 'host'],
    attrs: {
      "index": _vm.index
    }
  }, [_c('userList'), _c('userBindList')], 1), _c('div', {
    class: [_vm.isFullScreen ? 'full-title-item' : 'title-item']
  }, _vm._l((_vm.headTab), function(v, index) {
    return _c('div', {
      key: index,
      staticClass: ["tab-list"],
      style: {
        'border-bottom-color': _vm.currentPage == index ? _vm.headTabStyles.bgColor : _vm.headTabStyles.activeTitleColor
      },
      on: {
        "click": function($event) {
          _vm.change(index)
        }
      }
    }, [_c('text', {
      style: {
        fontSize: _vm.headTabStyles.fontSize + 'px',
        color: _vm.currentPage == index ? _vm.headTabStyles.activeIconFontColor : _vm.headTabStyles.titleColor,
        marginTop: '5px'
      }
    }, [_vm._v(_vm._s(v.title))]), (index == 1 && _vm.replyNumber) ? _c('div', {
      staticClass: ["orange-circle"]
    }, [_c('text', {
      staticClass: ["orange-text"]
    }, [_vm._v(_vm._s(_vm.replyNumber))])]) : _vm._e()])
  }))], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });