// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 792);
/******/ })
/************************************************************************/
/******/ ({

/***/ 278:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var publish_host = 'http://api.jc.net.cn/core/';
var account_host = 'http://api.jc.net.cn/account/';
var pay_host = 'http://api.jc.net.cn/pay/';
var company_host = 'http://api.jc.net.cn/company/';
var user_host = 'http://api.jc.net.cn/user/';
var help_host = 'http://api.jc.net.cn/help/';
function getPublishUrl() {
    return publish_host;
}

//账户系统模块地址
function getAccountUrl() {
    return account_host;
}

function getPayUrl() {
    return pay_host;
}

//企业模块地址
function getCompanyUrl() {
    return company_host;
}

//用户模块地址
function getUserUrl() {
    return user_host;
}

function getHelpUrl() {
    return help_host;
}

function postFull(url, param, header, start, success, fail, exception, compelete) {

    var net = weex.requireModule('net');
    var modal = weex.requireModule('modal');
    var self = this;

    if (url.indexOf('/loginOut') < 0) {
        getNewToken();
        var pref = weex.requireModule('pref');
        param.access_token = pref.getString('token');
    }

    // var url = host + weg;
    //var st = weex.requireModule('static');
    //var token = st.getString('token');
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    // var farm=st.get('farm')
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    header['X-Requested-With'] = 'XMLHttpRequest';
    // param.token='95d594d7b18fd1c7db37e81dd5bae9c9'

    net.post(url, param, header, function () {
        //start
        start();
    }, function (e) {
        success(e.res);
    }, function (e) {
        //compelete
        compelete();
    }, function (e) {
        // exception
        exception();
    });
}

function getFull(url, param, header, start, success, fail, exception, compelete) {

    var net = weex.requireModule('net');
    var modal = weex.requireModule('modal');
    var self = this;
    if (url.indexOf('/user/') < 0 && url.indexOf('/sms/') < 0) {
        getNewToken();
        var pref = weex.requireModule('pref');
        param.access_token = pref.getString('token');
    }

    //var st = weex.requireModule('static');
    //var token = st.getString('token');
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    header['X-Requested-With'] = 'XMLHttpRequest';
    // var farm=st.get('farm')
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    net.get(url, param, header, function () {
        //start
        start();
    }, function (e) {
        //success
        // modal.toast({message:e.res.err})
        success(e.res);
    }, function (e) {
        //compelete

        compelete();
    }, function (e) {
        // exception
        exception();
    });
}

function post(url, param, success) {
    var progress = weex.requireModule('progress');
    var modal = weex.requireModule('modal');
    postFull(url, param, {}, function () {
        progress.showFull('处理中', false);
    }, function (e) {
        success(e);
    }, function (e) {
        //fail
        modal.toast({ message: e.message });
    }, function () {
        //exception
        modal.toast({ message: '网络异常!' });
    }, function () {
        //compelete
        progress.dismiss();
    });
}

function noProgressPost(url, param, success) {

    var modal = weex.requireModule('modal');
    postFull(url, param, {}, function () {}, function (e) {

        success(e);
    }, function (e) {
        //fail
        modal.toast({ message: e.message });
    }, function () {
        //exception
        modal.toast({ message: '网络异常!' });
    }, function () {
        //compelete

    });
}

function get(url, param, success) {
    var progress = weex.requireModule('progress');
    var modal = weex.requireModule('modal');
    getFull(url, param, {}, function () {
        progress.show();
    }, function (e) {
        success(e);
    }, function (e) {
        //fail
        modal.toast({ message: e.res.message });
    }, function () {
        //exception
        modal.toast({ message: '网络异常!' });
    }, function () {
        //compelete
        progress.dismiss();
    });
}
function noProgressGet(url, param, success) {
    getFull(url, param, {}, function () {}, function (e) {
        success(e);
    }, function (e) {
        //fail
    }, function () {
        //exception
    }, function () {
        //compelete
    });
}
function postJson(url, param, success) {

    var net = weex.requireModule('net');

    var modal = weex.requireModule('modal');
    var progress = weex.requireModule('progress');
    var self = this;
    if (url.indexOf('addMicroInquiry') == -1 && url.indexOf('/user/') == -1) {
        getNewToken();
        var pref = weex.requireModule('pref');
        //param.access_token=pref.getString('token');
        url = url + '?access_token=' + pref.getString('token');
    }
    // var st = weex.requireModule('static');
    // var token=st.getString('token')
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // var farm = st.get('farm');
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    var header = {};
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    net.postJson(url, param, header, function () {
        progress.showFull('处理中', false);
    }, function (e) {

        success(e.res);

        // else if (e.res.status == 401) {
        //   var nav = weex.requireModule("navigator")
        //   nav.presentFull('root:busi/login.js', {}, function() {
        //     self.postJson(weg, param, success);
        //   }, true);
        // }
        // else {
        //   modal.toast({message: e.res.message})
        // }
    }, function () {
        progress.dismiss();
    }, function () {
        modal.toast({ message: '网络异常！' });
    });
}

function noProgressPostJson(url, param, success) {

    var net = weex.requireModule('net');
    var modal = weex.requireModule('modal');
    var self = this;
    if (url.indexOf('addMicroInquiry') == -1 && url.indexOf('/user/') == -1) {
        getNewToken();
        var pref = weex.requireModule('pref');
        //param.access_token=pref.getString('token');
        url = url + '?access_token=' + pref.getString('token');
    }

    var header = {};
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    net.postJson(url, param, header, function () {}, function (e) {

        success(e.res);
    }, function () {}, function () {
        modal.toast({ message: '网络异常！' });
    });
}
function postFile(url, param, path, success) {
    var net = weex.requireModule('net');

    var modal = weex.requireModule('modal');
    var progress = weex.requireModule('progress');
    var self = this;
    var pref = weex.requireModule('pref');
    param.access_token = pref.getString('token');
    // var st = weex.requireModule('static');
    // var token=st.getString('token')
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // var farm = st.get('farm');
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    var header = {};
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    net.postFile(url, param, header, path, function () {
        progress.showFull('上传中', false);
    }, function (e) {

        success(e.res);
    }, function () {
        progress.dismiss();
    }, function () {
        modal.toast({ message: '网络异常！' });
    });
}

function downFile(url, percent, callback) {
    var net = weex.requireModule('net');
    net.download(url, function (percent1) {
        percent(percent1);
    }, function (e) {
        callback(e);
    }, function () {});
}
function getNewToken() {
    var pref = weex.requireModule('pref');
    var net = weex.requireModule('net');
    var nav = weex.requireModule("navigator");
    var modal = weex.requireModule('modal');

    var userId = pref.getString('userId');
    var token = pref.getString('token');
    var token_expire_time = pref.getString('token_expire_time');
    if (token_expire_time) {

        var t_date = new Date(token_expire_time.replace(/-/g, '/'));
        var t_time = t_date.getTime();
        var c_time = new Date().getTime();
        var diff_time = (t_time - c_time) / 1000;
        if (diff_time < 1800 && diff_time > 0) {
            net.get(user_host + 'login/autoLogin?appId=weizaojia' + '&accessToken=' + token + '&userId=' + userId, {}, {}, function () {}, function (e) {
                if (e.res.status == 1) {
                    modal.toast({ message: 'success' });
                    pref.setString('token', e.res.data.access_token);
                    pref.setString('token_expire_time', e.res.data.expire_time);
                }
            }, function (e) {}, function () {
                //nav.push('root:app/login/index.js')
            });
        } else if (diff_time < 0) {

            nav.push('root:app/login/index.js');
        }
    }
}

module.exports = {
    getCompanyUrl: getCompanyUrl, getUserUrl: getUserUrl, getPublishUrl: getPublishUrl, getAccountUrl: getAccountUrl, getPayUrl: getPayUrl, getHelpUrl: getHelpUrl, postFull: postFull, getFull: getFull, noProgressPost: noProgressPost, post: post, noProgressGet: noProgressGet, get: get, noProgressPostJson: noProgressPostJson, postJson: postJson, postFile: postFile, downFile: downFile

};

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(39)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\global\\index.vue"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

//注册接口
var registerApi = 'http://api.jc.net.cn';
//短信接口
var messageApi = 'http://api.jc.net.cn';
//注册appId
var appId = 'weizaojia';
//注册appKey
var appKey = '1c29cbaeaf8e66b4e6f8213bae6c5a25';
//手机号验证
var phoneReg = /^1[0-9]{10}$/;
//线上接口
var onlineApi = 'http://api.jc.net.cn';
// const onlineApi = 'http://10.1.1.131:8087';
//获取登录时存储pref的userId
var pref = weex.requireModule('pref');
var userId = pref.getString('userId');
// const userId = 172;
exports.default = {
    registerApi: registerApi,
    messageApi: messageApi,
    appId: appId,
    appKey: appKey,
    phoneReg: phoneReg,
    onlineApi: onlineApi,
    userId: userId
};

/***/ }),

/***/ 792:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(793)
)

/* script */
__vue_exports__ = __webpack_require__(794)

/* template */
var __vue_template__ = __webpack_require__(795)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-project\\micro-inquiry\\src\\app\\userCenter\\Personal\\updateMobileNumber.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-dba3f448"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__
module.exports.el = 'true'
new Vue(module.exports)


/***/ }),

/***/ 793:
/***/ (function(module, exports) {

module.exports = {
  "navigationDiv": {
    "height": "128",
    "paddingTop": "40",
    "backgroundColor": "#3F80CC",
    "display": "flex",
    "alignItems": "center",
    "justifyContent": "space-between",
    "position": "relative"
  },
  "returnDiv": {
    "height": "88",
    "position": "absolute",
    "left": "30",
    "alignItems": "center",
    "display": "flex",
    "justifyContent": "center"
  },
  "titleDiv": {
    "height": "88",
    "position": "absolute",
    "left": "0",
    "right": "0",
    "alignItems": "center",
    "display": "flex",
    "justifyContent": "center"
  },
  "screeningDiv": {
    "height": "88",
    "position": "absolute",
    "right": "30",
    "justifyContent": "center"
  }
}

/***/ }),

/***/ 794:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _index = __webpack_require__(38);

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var navigator = weex.requireModule('navigator'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var netjs = __webpack_require__(278);
var modal = weex.requireModule('modal');
var pref = weex.requireModule('pref');
exports.default = {
    name: "updateMobileNumber",
    components: { GxtIcon: GxtIcon },
    data: function data() {
        return {
            userId: '', //用户ID
            realName: '', //真实姓名
            nickName: '', //用户昵称
            sex: '', //性别
            mobileNumber: '', //电话号码
            portraitUrl: '', //头像路径
            weChatId: '', //微信
            positionalTitle: '' //职称
        };
    },

    methods: {
        //获取用户信息
        getUserInit: function getUserInit() {
            var self = this;
            var param = {};
            param.appId = _index2.default.appId;
            param.access_token = pref.getString('token');
            param.userId = pref.getString('userId');
            var host = netjs.getUserUrl();
            netjs.get(host + "operateUser/getUserInfo", param, function (e) {
                if (e.code === 1018) {
                    self.mobileNumber = e.data.mobileNumber;
                } else {
                    modal.toast({
                        message: e.message
                    });
                }
            });
        },
        goPersonal: function goPersonal() {
            this.back();
        },

        //修改电话
        onInput: function onInput() {
            var host = this.netjs.getUserUrl();
            if (this.mobileNumber != null) {
                var phone = /^1[3|5|8|9]\d{9}$/;
                var flag = phone.test(this.mobileNumber);
                if (!flag) {
                    modal.toast({
                        message: '请输入正确的手机号',
                        duration: 0.3
                    });
                    return false;
                } else {
                    var p = {};
                    p.portraitUrl = this.portraitUrl;
                    p.realName = this.realName;
                    p.nickName = this.nickName;
                    p.mobileNumber = this.mobileNumber;
                    p.positionalTitle = this.positionalTitle;
                    p.weChatId = this.weChatId;
                    p.sex = this.sex;
                    var notify = weex.requireModule("notify");
                    notify.send('key', p);
                    navigator.back();
                }
            }
            // this.param.mobileNumber = this.mobileNumber;
            // this.param.userId = pref.getString('userId');
            // this.param.appid = pref.getString('appId');
            // this.param.access_token = pref.getString('token');
            /*var param={"userID":pref.getString('userId'),"mobileNumber":this.mobileNumber};
                netjs.postJson(host+"operateUser/updateUserInfo?appId="+pref.getString('appId')+"&access_token="+pref.getString('token'),param,function (e){
                if(e.code == 1016){
                    modal.toast({
                        message:e.msg,
                        duration:0.3
                    });
                } else  {
                  var codeMsg = ''
                  switch(true)
                  {
                    case e.code===1017:
                      codeMsg = '更新用户资料失败'
                      break;
                    case e.code===1009:
                      codeMsg = '系统异常'
                      break;
                    case e.code===1021:
                      codeMsg = '传递参数空或者错误'
                      break;
                    default:
                      codeMsg = '修改失败'
                   }
                  modal.toast({
                    message:codeMsg,
                    duration:0.3
                  });
                }
            });
            }*/
        }
    },
    created: function created() {
        // this.getUserInit();
        var self = this;
        var globalEvent = weex.requireModule('globalEvent');
        globalEvent.addEventListener("onPageInit", function (e) {
            var navigator = weex.requireModule('navigator');
            var param1 = navigator.param();
            self.portraitUrl = param1.portraitUrl;
            self.realName = param1.realName;
            self.nickName = param1.nickName;
            self.mobileNumber = param1.mobileNumber === '请输入手机号' ? '' : param1.mobileNumber;
            self.positionalTitle = param1.positionalTitle;
            self.weChatId = param1.weChatId;
            self.sex = param1.sex;
        });
    }
};

/***/ }),

/***/ 795:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticStyle: {
      backgroundColor: "#F8F8F8"
    }
  }, [_c('div', {
    staticClass: ["navigationDiv"]
  }, [_c('div', {
    staticClass: ["returnDiv"]
  }, [_c('gxt-icon', {
    staticStyle: {
      fontSize: "38px"
    },
    attrs: {
      "name": "back"
    },
    on: {
      "gxtIconClicked": function($event) {
        _vm.goPersonal()
      }
    }
  })], 1), _vm._m(0), _c('div', {
    staticClass: ["screeningDiv"]
  }, [_c('text', {
    staticStyle: {
      color: "#FFFFFF",
      fontSize: "32px"
    },
    on: {
      "click": function($event) {
        _vm.onInput()
      }
    }
  }, [_vm._v("完成")])])]), _c('div', [_c('input', {
    staticStyle: {
      width: "750px",
      backgroundColor: "white",
      height: "90px",
      marginTop: "20px",
      paddingLeft: "30px",
      paddingRight: "30px"
    },
    attrs: {
      "type": "tel",
      "maxlength": "20",
      "autofocus": true,
      "value": "",
      "value": (_vm.mobileNumber)
    },
    on: {
      "input": function($event) {
        _vm.mobileNumber = $event.target.attr.value
      }
    }
  })])])
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["titleDiv"]
  }, [_c('text', {
    staticStyle: {
      color: "#FFFFFF",
      fontSize: "36px"
    }
  }, [_vm._v("设置电话")])])
}]}
module.exports.render._withStripped = true

/***/ })

/******/ });