// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 864);
/******/ })
/************************************************************************/
/******/ ({

/***/ 864:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var publish_host = 'http://api.jc.net.cn/core/';
var account_host = 'http://api.jc.net.cn/account/';
var pay_host = 'http://api.jc.net.cn/pay/';
var company_host = 'http://api.jc.net.cn/company/';
var user_host = 'http://api.jc.net.cn/user/';
var help_host = 'http://api.jc.net.cn/help/';
function getPublishUrl() {
    return publish_host;
}

//账户系统模块地址
function getAccountUrl() {
    return account_host;
}

function getPayUrl() {
    return pay_host;
}

//企业模块地址
function getCompanyUrl() {
    return company_host;
}

//用户模块地址
function getUserUrl() {
    return user_host;
}

function getHelpUrl() {
    return help_host;
}

function postFull(url, param, header, start, success, fail, exception, compelete) {

    var net = weex.requireModule('net');
    var modal = weex.requireModule('modal');
    var self = this;

    if (url.indexOf('/loginOut') < 0) {
        getNewToken();
        var pref = weex.requireModule('pref');
        param.access_token = pref.getString('token');
    }

    // var url = host + weg;
    //var st = weex.requireModule('static');
    //var token = st.getString('token');
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    // var farm=st.get('farm')
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    header['X-Requested-With'] = 'XMLHttpRequest';
    // param.token='95d594d7b18fd1c7db37e81dd5bae9c9'

    net.post(url, param, header, function () {
        //start
        start();
    }, function (e) {
        success(e.res);
    }, function (e) {
        //compelete
        compelete();
    }, function (e) {
        // exception
        exception();
    });
}

function getFull(url, param, header, start, success, fail, exception, compelete) {

    var net = weex.requireModule('net');
    var modal = weex.requireModule('modal');
    var self = this;
    if (url.indexOf('/user/') < 0 && url.indexOf('/sms/') < 0) {
        getNewToken();
        var pref = weex.requireModule('pref');
        param.access_token = pref.getString('token');
    }

    //var st = weex.requireModule('static');
    //var token = st.getString('token');
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    header['X-Requested-With'] = 'XMLHttpRequest';
    // var farm=st.get('farm')
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    net.get(url, param, header, function () {
        //start
        start();
    }, function (e) {
        //success
        // modal.toast({message:e.res.err})
        success(e.res);
    }, function (e) {
        //compelete

        compelete();
    }, function (e) {
        // exception
        exception();
    });
}

function post(url, param, success) {
    var progress = weex.requireModule('progress');
    var modal = weex.requireModule('modal');
    postFull(url, param, {}, function () {
        progress.showFull('处理中', false);
    }, function (e) {
        success(e);
    }, function (e) {
        //fail
        modal.toast({ message: e.message });
    }, function () {
        //exception
        modal.toast({ message: '网络异常!' });
    }, function () {
        //compelete
        progress.dismiss();
    });
}

function noProgressPost(url, param, success) {

    var modal = weex.requireModule('modal');
    postFull(url, param, {}, function () {}, function (e) {

        success(e);
    }, function (e) {
        //fail
        modal.toast({ message: e.message });
    }, function () {
        //exception
        modal.toast({ message: '网络异常!' });
    }, function () {
        //compelete

    });
}

function get(url, param, success) {
    var progress = weex.requireModule('progress');
    var modal = weex.requireModule('modal');
    getFull(url, param, {}, function () {
        progress.show();
    }, function (e) {
        success(e);
    }, function (e) {
        //fail
        modal.toast({ message: e.res.message });
    }, function () {
        //exception
        modal.toast({ message: '网络异常!' });
    }, function () {
        //compelete
        progress.dismiss();
    });
}
function noProgressGet(url, param, success) {
    getFull(url, param, {}, function () {}, function (e) {
        success(e);
    }, function (e) {
        //fail
    }, function () {
        //exception
    }, function () {
        //compelete
    });
}
function postJson(url, param, success) {

    var net = weex.requireModule('net');

    var modal = weex.requireModule('modal');
    var progress = weex.requireModule('progress');
    var self = this;
    if (url.indexOf('addMicroInquiry') == -1 && url.indexOf('/user/') == -1) {
        getNewToken();
        var pref = weex.requireModule('pref');
        //param.access_token=pref.getString('token');
        url = url + '?access_token=' + pref.getString('token');
    }
    // var st = weex.requireModule('static');
    // var token=st.getString('token')
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // var farm = st.get('farm');
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    var header = {};
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    net.postJson(url, param, header, function () {
        progress.showFull('处理中', false);
    }, function (e) {

        success(e.res);

        // else if (e.res.status == 401) {
        //   var nav = weex.requireModule("navigator")
        //   nav.presentFull('root:busi/login.js', {}, function() {
        //     self.postJson(weg, param, success);
        //   }, true);
        // }
        // else {
        //   modal.toast({message: e.res.message})
        // }
    }, function () {
        progress.dismiss();
    }, function () {
        modal.toast({ message: '网络异常！' });
    });
}

function noProgressPostJson(url, param, success) {

    var net = weex.requireModule('net');
    var modal = weex.requireModule('modal');
    var self = this;
    if (url.indexOf('addMicroInquiry') == -1 && url.indexOf('/user/') == -1) {
        getNewToken();
        var pref = weex.requireModule('pref');
        //param.access_token=pref.getString('token');
        url = url + '?access_token=' + pref.getString('token');
    }

    var header = {};
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    net.postJson(url, param, header, function () {}, function (e) {

        success(e.res);
    }, function () {}, function () {
        modal.toast({ message: '网络异常！' });
    });
}
function postFile(url, param, path, success) {
    var net = weex.requireModule('net');

    var modal = weex.requireModule('modal');
    var progress = weex.requireModule('progress');
    var self = this;
    var pref = weex.requireModule('pref');
    param.access_token = pref.getString('token');
    // var st = weex.requireModule('static');
    // var token=st.getString('token')
    // var token = '549194d8-5e78-413b-be99-c6f43a1e0c71';
    // var farm = st.get('farm');
    // if(farm!=undefined&&param.farmId==undefined){
    //     param.farmId=farm.id;
    //     // param.farmId=1;
    // }
    var header = {};
    // if (token != undefined && token != '') {
    //     header._gt = token;
    // }
    net.postFile(url, param, header, path, function () {
        progress.showFull('上传中', false);
    }, function (e) {

        success(e.res);
    }, function () {
        progress.dismiss();
    }, function () {
        modal.toast({ message: '网络异常！' });
    });
}

function downFile(url, percent, callback) {
    var net = weex.requireModule('net');
    net.download(url, function (percent1) {
        percent(percent1);
    }, function (e) {
        callback(e);
    }, function () {});
}
function getNewToken() {
    var pref = weex.requireModule('pref');
    var net = weex.requireModule('net');
    var nav = weex.requireModule("navigator");
    var modal = weex.requireModule('modal');

    var userId = pref.getString('userId');
    var token = pref.getString('token');
    var token_expire_time = pref.getString('token_expire_time');
    if (token_expire_time) {

        var t_date = new Date(token_expire_time.replace(/-/g, '/'));
        var t_time = t_date.getTime();
        var c_time = new Date().getTime();
        var diff_time = (t_time - c_time) / 1000;
        if (diff_time < 1800 && diff_time > 0) {
            net.get(user_host + 'login/autoLogin?appId=weizaojia' + '&accessToken=' + token + '&userId=' + userId, {}, {}, function () {}, function (e) {
                if (e.res.status == 1) {
                    modal.toast({ message: 'success' });
                    pref.setString('token', e.res.data.access_token);
                    pref.setString('token_expire_time', e.res.data.expire_time);
                }
            }, function (e) {}, function () {
                //nav.push('root:app/login/index.js')
            });
        } else if (diff_time < 0) {

            nav.push('root:app/login/index.js');
        }
    }
}

module.exports = {
    getCompanyUrl: getCompanyUrl, getUserUrl: getUserUrl, getPublishUrl: getPublishUrl, getAccountUrl: getAccountUrl, getPayUrl: getPayUrl, getHelpUrl: getHelpUrl, postFull: postFull, getFull: getFull, noProgressPost: noProgressPost, post: post, noProgressGet: noProgressGet, get: get, noProgressPostJson: noProgressPostJson, postJson: postJson, postFile: postFile, downFile: downFile

};

/***/ })

/******/ });